// Change preview & source ////////////////
$(function(){
	// Onload
	$('input#ch_device:checked').each(function(){
		generator_ch_device($(this));
	});
	// Click
	$("input#ch_device").click(function(){
		generator_ch_device($(this));
	});
});

function generator_ch_device(btn){
	var tgt_ifrm = $('iframe#'   + $(btn).attr('name'));
	var tgt_ta   = $('textarea#' + $(btn).attr('name'));
	var W;
	if     ($(btn).val() == 2){ W = '258' } // FP
	else if($(btn).val() == 3){ W = '330' } // SP
	else                      { W = '706' } // PC
	var src;
	if($(tgt_ifrm).attr('src').match(/&device=[0-9]+/gi)){
		src = $(tgt_ifrm).attr('src').replace(/&device=[0-9]+/gi,'&device=' + $(btn).val());
	}else{
		src = $(tgt_ifrm).attr('src') + '&device=' + $(btn).val();
	}
//alert(src);
	$(tgt_ta).val('');
	$(tgt_ifrm).attr('src',src).load(function(){
		$(this).css('width',W);
		// Remove device mode from iframe DOM
		$(this).contents().find('form input[name=device]').remove();
		// Get source
		var body = $(this).contents().find('body').html();
		$(tgt_ta).val(body);
		// Set device mode to iframe DOM
		$(this).contents().find('form').append("<input type='hidden' name='device' value='" + $(btn).val() + "' />");
	});
}
// slider /////////////////////
// reg-form
$(function(){
	// ナビゲーションで使うCookieを読みこんでおく
	var cookie = ($.cookie("reg_code") && $.cookie("reg_code")!=null)
		? $.cookie("reg_code")
		: "";
	$(".reg_code","div#reg_box").each(
		function(i){
			var me = $(this),
			box = me.parent(),
			heading = me.prev(),
			toggle = $("div#reg_box span.box_heading"), // Toggle
			pos = "["+i+"]";

			if($.cookie("reg_code") == null || cookie.indexOf(pos)==-1){
				me.hide();
//				toggle.hide();
			}
			else{
				box.addClass("opened");
//				heading.addClass("opened");
				toggle.addClass("opened");
			}
			toggle.show();

			toggle.click(
				function(){
//					heading.toggleClass("opened");
					toggle.toggleClass("opened");
					if(!box.hasClass("opened")){
						box.addClass("opened");
						cookie += pos;
						$.cookie("reg_code",cookie);
					}
					else{
						cookie = cookie.replace(pos,"");
						$.cookie("reg_code",cookie.length==0 ? null : cookie);
					}
					me.animate(
						{
							height: "toggle"
						},
						{
							duration: 400,
							complete: function(){
//								if(!heading.hasClass("opened")) box.removeClass("opened");
								if(!toggle.hasClass("opened")) box.removeClass("opened");
							}
						}
					);
				}
			);
		}
	);
});

// modify from
$(function(){
	// ナビゲーションで使うCookieを読みこんでおく
	var cookie = ($.cookie("modify_code") && $.cookie("modify_code")!=null)
		? $.cookie("modify_code")
		: "";
	$(".modify_code","div#modify_box").each(
		function(i){
			var me = $(this),
			box = me.parent(),
			heading = me.prev(),
			toggle = $("div#modify_box span.box_heading"), // Toggle
			pos = "["+i+"]";

			if($.cookie("modify_code") == null || cookie.indexOf(pos)==-1){
				me.hide();
//				toggle.hide();
			}
			else{
				box.addClass("opened");
//				heading.addClass("opened");
				toggle.addClass("opened");
			}
			toggle.show();

			toggle.click(
				function(){
//					heading.toggleClass("opened");
					toggle.toggleClass("opened");
					if(!box.hasClass("opened")){
						box.addClass("opened");
						cookie += pos;
						$.cookie("modify_code",cookie);
					}
					else{
						cookie = cookie.replace(pos,"");
						$.cookie("modify_code",cookie.length==0 ? null : cookie);
					}
					me.animate(
						{
							height: "toggle"
						},
						{
							duration: 400,
							complete: function(){
//								if(!heading.hasClass("opened")) box.removeClass("opened");
								if(!toggle.hasClass("opened")) box.removeClass("opened");
							}
						}
					);
				}
			);
		}
	);
});

// True reg form
$(function(){
	// Read Cookie
	var cookie = ($.cookie("t_r_code") && $.cookie("t_r_code")!=null)
		? $.cookie("t_r_code")
		: "";
	$(".t_r_code","div#t_r_box").each(
		function(i){
			var me = $(this),
			box = me.parent(),
			heading = me.prev(),
			toggle = $("div#t_r_box span.box_heading"), // Toggle
			pos = "["+i+"]";

			if($.cookie("t_r_code") == null || cookie.indexOf(pos)==-1){
				me.hide();
			}
			else{
				box.addClass("opened");
				toggle.addClass("opened");
			}
			toggle.show();

			toggle.click(
				function(){
					toggle.toggleClass("opened");
					if(!box.hasClass("opened")){
						box.addClass("opened");
						cookie += pos;
						$.cookie("t_r_code",cookie);
					}
					else{
						cookie = cookie.replace(pos,"");
						$.cookie("t_r_code",cookie.length==0 ? null : cookie);
					}
					me.animate(
						{
							height: "toggle"
						},
						{
							duration: 400,
							complete: function(){
								if(!toggle.hasClass("opened")) box.removeClass("opened");
							}
						}
					);
				}
			);
		}
	);
});
