$(function(){

	$("div.parts_list select").change(
		function () {
			var val = $(this).children(':selected').val();
			for(i=0;i<=6;i++){
				if(i == val){
					$("div.parts_list div.parts_" + i).css("display", "");
				}
				else{
					$("div.parts_list div.parts_" + i).css("display", "none");
				}
			}
		}
	).change();
	$("div.parts_list select").click(
		function () {
			if(active_parts != 0){
				alert("この自由項目は、記事の配信フィルタに指定されているため、\nフォームタイプを変更できません。\n変更する場合は全記事からこのフィルタの指定を外してください。");
				return false;
			}
		}
	);

	$("div.parts_list table").each(
		function(){
			// 選択肢がすでに２個以上ある場合、最後以外の「選択肢追加」ボタン非表示
			if($(this).next().children().size() > 0){
				$("input:button#add_parts",this).css("display","none");
			}
			// 最初のの「削除」ボタン非表示
			if($(this).prev().size() == 0 && $(this).next().size() == 0){
				$("input:button#del_parts",this).css("display","none");
			}
//			$(":first input:button#del_parts",this).css("display","none");

			$("input:checkbox",this).click(
				function(){
					var form = $(this).attr("name");
					if(form.match(/^parts_(\d+)_default_on_/i)){
						var form_type = RegExp.$1;
						if(form_type == 2 || form_type == 4){
							var parent = $(this).closest("table");
							parent.prevAll().each(
								function(){
									$("input:checkbox",this).attr("checked",false);
								}
							);
							parent.nextAll().each(
								function(){
									$("input:checkbox",this).attr("checked",false);
								}
							);
						}
					}
				}
			);
			$("input:button#add_parts",this).click(
				function(){
					var form = $(this).attr("name");
					form.match(/^parts_(\d+)_add_parts_(\d+)$/i);
					var form_type     = RegExp.$1;
					var new_parts_num = RegExp.$2;
					var parts  = $("div.parts_list div.parts_" + form_type + " table:last");
					var parts_sort_no = $("span.parts_sort_no",parts);
					var parts_sort_no_txt = parts_sort_no.text();
					parts_sort_no_txt++;
					var clone = parts.clone(true);
					$("span.parts_sort_no",clone).replaceWith("<span class='parts_sort_no'>" + parts_sort_no_txt + "</span>");
					$("input:text",clone).attr("name","parts_" + form_type + "_parts_name_" + new_parts_num);
					$("input:checkbox",clone).attr("name","parts_" + form_type + "_default_on_" + new_parts_num);
					new_parts_num++;
					$("input:button",clone).attr("name","parts_" + form_type + "_add_parts_" + new_parts_num);
					$("input:text",clone).val("");
					$("input:checkbox",clone).attr("checked",false);
					$("input:button#del_parts",clone).css("display","");
					$("a#help",clone).remove();	// 1.83
					clone.insertAfter(parts);
					$(this).css("display","none");
					$("input:button#del_parts",parts).css("display","");
				}
			);
			$("input:button#del_parts",this).click(
				function(){
					$(this).attr("name").match(/^parts_\d+_del_parts_(\d+)$/i);
					var parts_num = RegExp.$1;
					if(active_parts[parts_num]){
						alert("この選択肢は、記事の配信フィルタに指定されているため削除できません。\n削除する場合は全記事からこのフィルタの指定を外してください。");
						return false;
					}
					var parent = $(this).closest("table");
					var sort_no = $("span.parts_sort_no",parent).text();
					parent.nextAll().each(
						function(){
							$("span.parts_sort_no",this).replaceWith("<span class='parts_sort_no'>" + sort_no + "</span>");
							sort_no++;
						}
					);
					if(parent.next().size() == 0){
						$("input:button#add_parts",parent.prev()).css("display","");
					}
					if(parent.prevAll().size() == 1 && parent.nextAll().size() == 0){
						$("input:button#del_parts",parent.prev()).css("display","none");
					}
					if(parent.prevAll().size() == 0 && parent.nextAll().size() == 1){
						$("input:button#del_parts",parent.next()).css("display","none");
					}
					parent.remove();
					
				}
			);
		}
	);

});


