
$(function(){
	$('input:submit[name=save_option_ssl]').bind('click submit',
		function(){
			if(confirm("WEBサーバがリロードされます。\n配信中の記事があった場合は一旦配信が停止され、一定時間後に続きから再送されます。\nよろしいですか？")){
				$('div#main div#form').hide();
				var msg_box = $('div#buff_msg');
				msg_box.delay(2000).append('<p>保存中です。ブラウザを終了しないでください</p>');
				$('body a')
					.css('cursor','not-allowed')
					.click(function(){
						 return false;
					});
				set_option_ssl_save(msg_box);
			}
			else{
				throw 'exit';
			}
		}

	);
});

function set_option_ssl_save(msg_box){ // step "switch_ssl" start
	msg_box.append("<p class='vup_loading'>証明書を切替中・・・</p>");
	$.ajax({
		type		: 'post',
		url			: './index.cgi', // file name
		async		: true,
		cache		: false,
		dataType	: 'html',
		timeout	: 0,
		data		: {
			save_option_ssl	: 1,
			step				: 'switch_cert',
			use_option_ssl	: $('input:radio[name=use_option_ssl]:checked').val()
		},
		success: function(data){
			var status = data.split(':');
			if(status[0] == 'ok'){
				$("p.vup_loading").append("<span>" + status[1] + "</span>");
				$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ok');
			}
			else{
				if(status[0] == 'ng'){
					$("p.vup_loading").append("<span>" + status[1] + "</span>");
					$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ng');
				}
				else{
					$("p.vup_loading").append("<span>" + status[0] + "</span>");
					$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ng');
				}
				throw 'exit';
			}
		},

	complete: function(){ // step "httpd_reload" start
	msg_box.append("<p class='vup_loading'>WEBサーバの設定を再読み込み中・・・</p>");
	$.ajax({
		type		: 'post',
		url			: './index.cgi', // file name
		async		: true,
		cache		: false,
		dataType	: 'html',
		timeout	: 0,
		data		: {
			save_option_ssl	: 1,
			step				: 'httpd_reload',
			use_option_ssl	: $('input:radio[name=use_option_ssl]:checked').val()
		},
		success: function(data){
			// reloadするとステータスが返らないため強制的に完了とする
			$("p.vup_loading").append("<span>" + '完了' + "</span>");
			$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ok');
		},

	complete: function(){ // step "save_setting" start
	msg_box.append("<p class='vup_loading'>基本設定を更新中・・・</p>");
	$.ajax({
		type		: 'post',
		url			: './index.cgi', // file name
		async		: true,
		cache		: false,
		dataType	: 'html',
		timeout	: 0,
		data		: {
			save_option_ssl	: 1,
			step				: 'save_setting',
			use_option_ssl	: $('input:radio[name=use_option_ssl]:checked').val()
		},
		success: function(data){
			var status = data.split(':');
			if(status[0] == 'ok'){
				$("p.vup_loading").append("<span>" + status[1] + "</span>");
					$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ok');
				}
			else{
				if(status[0] == 'ng'){
					$("p.vup_loading").append("<span>" + status[1] + "</span>");
					$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ng');
				}
				else{
					$("p.vup_loading").append("<span>" + status[0] + "</span>");
					$("p.vup_loading").removeClass('vup_loading').addClass('vup_loading_ng');
				}
				throw 'exit';
			}
		},

	complete: function(){ // complete
		var cpdir = $('input:radio[name=use_option_ssl]:checked').val() == 1
				? $('input:hidden[name=cpdir_1]').val()
				: $('input:hidden[name=cpdir_0]').val();
		msg_box.append(
			"<p>SSLサーバ証明書オプションの設定が正常に完了しました。</b>\n" +
			"<p><b>" +
			"設定を有効にするため、下記のURLからログインし直して下さい。<br />\n" +
			"<a href='" + cpdir + "?mode=logout'>" + cpdir + '?mode=logout</a>' + 
			"</b></p>\n"
		);
	} // complete

	});
	}// step "save_setting" end

	});
	} // step "http_reload" end

	});
}// step "switch_cert" end

