/****************************************************
 * jQuery RSS Plugin by fieeeld
 * version: 0.04 (2008/12/01)
 * @requires jQuery v1.2.6 or later
 *
 * Demo at: http://tpfields.xrea.jp/demo/js/sitefeeds/
 *
 ****************************************************/
$(function(){
	$('#feedList_thread').append("<div id='thread' class='loading'></div>");
	$.ajax({
		url: "./index.cgi?mode=get_community_thread",// RSS file name
		async: true,
		cache: false,
		dataType:"xml",
		timeout: 20000,
		success: function(xml){
			$(xml).find('item').each(function(i){
              if ( i > 4 ) {
                  return false;
                }
				var title = $(this).find('title').text();
				var url = $(this).find('link').text();
				var date = dateParse_th($(this).find('pubDate').text());
				$('#feedList_thread').append("<li class='"+date[1]+"'><a href='"+url+"' class='link_feed' target='_blank'>"+title+"</a></li>").hide();
    		});
			$('#feedList_thread').animate(
				{
					height: "show",
					opacity: "show"
				},
				{duration: 300}
			);
			$('div#thread.loading').remove();
		},
		error: function(){
			$('#feedList_thread').append("<li class='error'>情報が取得できませんでした。</li>").hide();
			$('#feedList_thread').animate(
				{
					height: "show",
					opacity: "show"
				},
				{duration: 300}
			);
			$('div#thread.loading').remove();
		}

	});
});

//dateParse:
function dateParse_th(str){
    var objDate = new Date(str);
    var nowDate = new Date();
    myDay = Math.floor((nowDate.getTime()-objDate.getTime()) / (1000*60*60*24)) + 1;
    //if in 7days "new!"
    if (myDay <= 7 ){
        var newMsg = 'new';
    } else {
        var newMsg = '';
    }
    var year = objDate.getFullYear();
    var month = objDate.getMonth() + 1;
    var date = objDate.getDate();
    if ( month < 10 ) { month = "0" + month; }
    if ( date < 10 ) { date = "0" + date; }
    str = year + '-' + month + '-' + date;
    rtnValue = new Array(2);
    rtnValue[0] = str;
    rtnValue[1] = newMsg;
    return rtnValue;
}
