###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Inc. owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package item;

use strict;

my $F = CGI->new();

sub view_num{
	my @view_num = (10,30,50,100,200,300,500);
}
sub regist_mode{
	my @regist_mode  = (
		"",	"代理登録","自主登録","オプトイン"
	);
	return \@regist_mode;
}
sub regist_from{
	my %regist_from = (
		'0'					=>	"<span class='unconfig'>未設定</span>",
		'sim_entry'		=> '自主同時',
		'bene_sim_entry'	=> '特典DL',
		'karame'			=> '空メ登録',
		'migration'		=> '自動移行'
	);
	my $id = $F->param('id') || $_[0];
	if($id){		# $_[0] = id
		my $rsd = &get::repo_sta_name($id);
		foreach(keys %$rsd){
			$regist_from{$_} = $$rsd{$_};
		}
	}
	return \%regist_from;
}
sub sex{
	my @sex = ("<span class='unconfig'>未設定</span>","男性","女性");
	return \@sex;
}
sub pref{
	my @pref = (
		"<span class='unconfig'>未設定</span>",
		"北海道",	"青森県",	"岩手県",	"秋田県",	"宮城県",	"山形県",	"福島県",
		"新潟県",	"茨城県",	"栃木県",	"群馬県",	"千葉県",	"東京都",	"埼玉県",	"山梨県",	"神奈川県",	"岐阜県",
		"長野県",	"富山県",	"石川県",	"福井県",	"静岡県",	"愛知県",	"滋賀県",	"京都府",	"三重県",	"奈良県",
		"和歌山県",	"大阪府",	"兵庫県",	"岡山県",	"島根県",	"鳥取県",	"広島県",	"山口県",	"香川県",
		"愛媛県",	"徳島県",	"高知県",	"福岡県",	"佐賀県",	"長崎県",	"大分県",	"熊本県",	"宮崎県",
		"鹿児島県",	"沖縄県",	"海外"
	);
	return \@pref;
}
sub marr{
	my @marr = ("<span class='unconfig'>未設定</span>","未婚","既婚");
	return \@marr;
}
sub child{
	my @child = ("<span class='unconfig'>未設定</span>","いる","いない");
	return \@child;
}
sub house{
	my @house = (
		"<span class='unconfig'>未設定</span>","賃貸/集合住宅","賃貸/一戸建て","一戸建て","寮/社宅","その他"
	);
	return \@house;
}
sub pet{
	my @pet = ("<span class='unconfig'>未設定</span>","無し","有り");
	return \@pet;
}
sub pet_kind{
	my @pet_kind =(
		"<span class='unconfig'>未設定</span>","犬","猫","鳥","魚","その他"
	);
	return \@pet_kind;
}
sub interest{
	my @interest = (
		"<span class='unconfig'>未設定</span>",
		"エンターテインメント/趣味",	"暮らしと生活",				"インターネット/PC/家電",
		"健康/美容/ファッション",	"ビジネス/経済/お金",			"生き方/恋愛/人間関係",
		"子育て/学校",				"職業/キャリア",				"ニュース/政治/国際情勢",	"教養/学問/サイエンス",
		"スポーツ/アウトドア/車",	"地域/旅行/お出かけ",			"コンピュータテクノロジー",
		"身体の悩み",				"競馬/パチンコ/パチスロ",		"その他"
	);
	return \@interest;
}
sub job{
	my @job = (
		"<span class='unconfig'>未設定</span>",
		"銀行/金融",	"コンピュータ関係",	"教育/研究",	"エンジニア/建築",
		"製造/流通",	"サービス",		"医薬/健康",		"娯楽/メディア/出版",	"旅行/接客業",
		"小売/卸売",	"非営利団体",	"政府/自治体",		"法律関係",				"主婦/主夫",
		"学生",			"無職",			"その他"
	);
	return \@job;
}
sub sports{
	my @sports = (
		"<span class='unconfig'>未設定</span>",
		'サッカー/フットサル',	'野球/ソフトボール',	'バレー/ビーチバレー',	'バスケットボール',	'ゴルフ',
		'ラグビー/アメフト',	'モータースポーツ',		'テニス/バドミントン/卓球',	'登山/ハイキング',		'格闘技/武道',
		'スケボー/自転車',		'射撃/アーチェリー',	'釣り/マリンスポーツ',		'スキー/スノーボード',	'陸上競技/体操',	'その他'
	);
	return \@sports;
}
sub trouble{
	my @trouble = (
		"<span class='unconfig'>未設定</span>",
		'人間関係',		'子育て',	'夫婦関係',		'美容関係',	'ダイエット関係',	'ローン/借金',	'禁煙',
		'住宅関係',	'記憶力/暗記力','視力低下',	'抜け毛/薄毛',	'男性機能',	'口臭',	'アトピー',		'水虫',
		'いびき',	'その他'
	);
	return \@trouble;
}
sub attri{
	my ($al,$max) = &get::attri_list();
	my @attri = ();
	$attri[0] = "<span class='unconfig'>未設定</span>";
	if($max){
		map {$attri[$$_{no}] = $$_{name};} @$al;
	}
	return \@attri;
}
sub domain{
	my @domain = ('','携帯メールアドレス','PCメールアドレス');
	return \@domain;
}
sub is_birthday{
	my @is_birthday = ('----','今日','明日','今週','来週','今月','来月');
	return \@is_birthday;
}
sub udevice{	# 1.81
	my @device = (#"<span class='unconfig'>未設定</span>",
	"<span class='unconfig'>未設定</span>","PC/タブレット","フィーチャーフォン","スマートフォン");
	return \@device;
}
###################################
sub user_info{
	my ($id) = @_;
	#	insetr_str,		name,						magazine_type,	column_name,	data_type,	item_array
	# data_type => 0:direct,1:Alternatively select,2:Multiple choice,4:textarea
	my @user_info = (
		['%%NAME%%',		'お名前（姓）',				'(0.1)(1)(2)(3)(W)',	'',				0								],
		['%%FIRNAME%%',	'お名前（名）',				'(0.1)(1)(2)(3)(W)',	'',				0								], # 1.77
		&item::reg_item(),
		['%%EMAIL%%',		'メールアドレス',			'(0.1)(1)(2)(3)(W)',	'email'	,		0								],
		['%%POINTS%%',	'所持ポイント',				'(0.1)(1)(2)(3)',		'points',		0								],
		['%%CLICKS%%',	'累計クリック数',			'(0.1)(1)(2)(3)',		'clicks',		0								],
		['%%OPENS%%',		'累計開封数',				'(0.1)(1)(2)(3)',		'opens',		0								],	# 1.81
		['%%NEXT_STORY%%','次回配信ストーリーNo',	'(1)',					'next_story',	0								],
		['%%ENTRY%%',		'読者登録日',				'(0.1)(1)(2)(3)',		'entry',		0								],
		['%%REG_MODE%%',	'読者登録方法',				'(0.1)(1)(2)(3)',		'regist_mode',	1,	&item::regist_mode()		],
		['%%REG_FROM%%',	'読者獲得元',				'(0.1)(1)(2)(3)',		'regist_from',	1,	&item::regist_from($id)	],
		['%%ATTRI_1%%',	'属性1',					'(0.1)(1)(2)(3)',		'attri_1',		1,	&item::attri()			],
		['%%ATTRI_2%%',	'属性2',					'(0.1)(1)(2)(3)',		'attri_2',		1,	&item::attri()			],
		['%%ATTRI_3%%',	'属性3',					'(0.1)(1)(2)(3)',		'attri_3',		1,	&item::attri()			],
		['%%ATTRI_4%%',	'属性4',					'(0.1)(1)(2)(3)',		'attri_4',		1,	&item::attri()			],
		['%%ATTRI_5%%',	'属性5',					'(0.1)(1)(2)(3)',		'attri_5',		1,	&item::attri()			],
		['%%ATTRI_6%%',	'属性6',					'(0.1)(1)(2)(3)',		'attri_6',		1,	&item::attri()			],
		['%%ATTRI_7%%',	'属性7',					'(0.1)(1)(2)(3)',		'attri_7',		1,	&item::attri()			],
		['%%ATTRI_8%%',	'属性8',					'(0.1)(1)(2)(3)',		'attri_8',		1,	&item::attri()			],
		['%%ATTRI_9%%',	'属性9',					'(0.1)(1)(2)(3)',		'attri_9',		1,	&item::attri()			]
	);
	return @user_info;
}
sub reg_item{
	my @reg_item = (
		['%%FULLNAME%%',	'お名前（姓名）',			'(0.1)(1)(2)(3)(W)',	'name',			0,	'',						'姓と名はスペースで区切ってください'	],
		['%%SEX%%',		'性別',						'(0.1)(1)(2)(3)',		'sex',			1,	&item::sex()			],
		['%%BIRTHDAY%%',	'生年月日',					'(0.1)(1)(2)(3)',		'birth',		0							],
		['%%POSTAL%%',	'郵便番号',					'(0.1)(1)(2)(3)',		'postal',		0,	'',						'例：123-4567'	],
		['%%LIVE_1%%',	'住所（都道府県）',			'(0.1)(1)(2)(3)',		'live_1',		1,	&item::pref()			],
		['%%LIVE_2%%',	'住所（市町村以下）',		'(0.1)(1)(2)(3)',		'live_2',		0							],
		['%%PHONE%%',		'電話番号',					'(0.1)(1)(2)(3)',		'phone'	,		0,	'',						'例：012-345-6789'],
		['%%JOB%%',		'職業',						'(0.1)(1)(2)(3)',		'job',			1,	&item::job()			],
		['%%MARR%%',		'結婚',						'(0.1)(1)(2)(3)',		'marr',			1,	&item::marr()			],
		['%%CHILD%%',		'子供の有無',				'(0.1)(1)(2)(3)',		'child',		1,	&item::child()		],
		['%%HOUSE%%',		'住居形態',					'(0.1)(1)(2)(3)',		'house',		1,	&item::house()		],
		['%%PET%%',		'ペットの有無',				'(0.1)(1)(2)(3)',		'pet',			1,	&item::pet()			],
		['%%PET_KIND%%',	'ペットの種類',				'(0.1)(1)(2)(3)',		'pet_kind',	2,	&item::pet_kind(),	'複数選択可'		],
		['%%INTEREST%%',	'興味分野',					'(0.1)(1)(2)(3)',		'interest',	2,	&item::interest(),	'複数選択可'		],
		['%%SPORTS%%',	'好きなスポーツ',			'(0.1)(1)(2)(3)',		'sports',		2,	&item::sports(),		'複数選択可'		],
		['%%TROUBLE%%',	'生活上の悩み',				'(0.1)(1)(2)(3)',		'trouble',		2,	&item::trouble(),		'複数選択可'		],
		['%%USERID%%',	'読者ID',					'(0.1)(1)(2)(3)',		'uid',			0							],
		['%%USERPASS%%',	'読者パスワード',			'(0.1)(1)(2)(3)',		'upwd',			0							],
		['%%USERDEVICE%%','受信端末',					'(0.1)(1)(2)(3)',		'udevice',		1, &item::udevice()		]	# 1.81
	);
	return @reg_item;
}
sub form_item_by_name {	# 1.74
	my ($modify) = @_;
	# 1.79 ###################
	my @form_item = ();
	if($modify == 1){	# modify form
		@form_item = (
			['',	'現在のメールアドレス',			'',	'email',		0	],
			['',	'新しいメールアドレス',			'',	'email_new',	0	],
			['',	'新しいメールアドレス（確認）',	'',	'email_cfm',	0	],
			&item::reg_item(),
			['',	'コメント欄',					'',	'tarea'	,		3	]
		);
	}
	elsif($modify == 2){	# true reg form
		@form_item = (
			['',	'メールアドレス',			'',	'email',		0	],
			&item::reg_item(),
			['',	'コメント欄',				'',	'tarea'	,		3	]
		);
	}
	else{	# reg form
		@form_item = (
			['',	'メールアドレス',			'',	'email',		0	],
			['',	'メールアドレス（確認）',	'',	'email_cfm',	0	],	# 1.79
			&item::reg_item(),
			['',	'コメント欄',				'',	'tarea'	,		3	]
		);
	}
	########################
	my %item = ();
	my @def_order = ();
	map {
		$item{$$_[3]} = $_ if $$_[3];
		push (@def_order, $$_[3]); 
	} @form_item;
	return (\%item, \@def_order);
}
sub common_tags{
	my @common_tags = (
		['%%TITLE%%',			'マガジンタイトル',			'(0.1)(1)(2)(3)(4)(W)'	],
		['%%DATE%%',			'配信日',					'(0.1)(1)(2)(3)(W)'		],
		['%%VOL%%',			'累計号番号',				'(0.1)(1)(2)(3)'		],
		['%%CIRC%%',			'発行部数',					'(0.1)(1)(2)(3)(W)'		],
		['%%FROMNAME%%',		'送信者名',					'(0.1)(1)(2)(3)(4)(W)'	],
		['%%REPLY%%',			'返信先アドレス',			'(0.1)(1)(2)(3)(4)(W)'	],
		['%%BCN_URL%%',		'バックナンバーURL',		'(0.1)(1)(2)(3)(W)'	],
		['%%ULK_URL%%',		'1クリック解除URL',		'(0.1)(1)(2)(3)'		],
		['%%REG_FORM_URL%%',	'登録/解除フォームURL',		'(0.1)(1)(2)(3)(W)'	],	# 1.73
		['%%MDF_FORM_URL%%',	'読者情報変更フォームURL',	'(0.1)(1)(2)(3)'		],	# 1.73
		&item::user_info()
	);
	return @common_tags;
}
sub template_tags{
	my @template_tags = (
		['[__TITLE__]',			'マガジンタイトル'		],
		['[__CIRC__]',			'現在の読者数'			],
		['[__FROM_NAME__]',		'発行者名'				],
		['[__BCN_SUB__]',			'記事の件名'			],
		['[__BCN_BODY__]',		'記事の本文'			],
		['[__BCN_CTRL__]',		'ページコントロール'	],
		['[__BCN_LIST__]',		'バックナンバーリスト'	],
		['[__BCN_LIST_CTRL__]',	'リストコントロール'	],
		['[__BCN_USERS__]',		'発行部数'				],
		['[__BCN_DAY__]',			'発行年月日'			],
		['[__HOME_URL__]',		'バックナンバーのTOPページURL']
	);
	return @template_tags;
}

sub error_diags{
	my @error_diags = (
		[
			'Host_not_exists',
			"ホストまたはドメインが存在しない",
			"Host.*not found|directory file does not exist|5\\.4\\.4|5\\.1\\.2|4\\.4\\.3"
		],
		[
			'Connection_timeout',
			"受信先メールサーバが応答無しまたはビジー状態",
			"connection timed? out|recipient has been delayed|is not responding|service not available|4\\.4\\.1|4\\.4\\.2|4\\.4\\.7|\\s421\\s|\\s450\\s|4\\.7\\.1|4\\.7\\.0|\\s420\\s|too many|many hops"
		],
		[
			'Account_not_exists',
			"受信先又は転送先アカウントが存在しない",
			"This user doesn't have a.*account|failed permanently|This address no longer accepts|This is a permanent error|User unknown|5\\.5\\.0|5\\.0\\.0|5\\.1\\.1|5\\.7\\.1|5\\.2\\.1|\\s551\\s|(\\s|;)550\\s|\\s553\\s|5\\.4\\.0|\\s554\\s"
		],
		[
			'Mailbox_unavailable',
			"受信先メールボックスの容量不足またはサイズ制限",
			"(User|Domain) (disk|is over) quota|(temporarily|maildir) over quota|mailbox (for user )?is full|over the allowed quota|exceeds allowed message count|mailbox exceeded the local limit|Not enough disk space|4\\.2\\.1|5\\.2\\.2|5\\.7\\.0|\\s552\\s"
		],
		[
			'Server_error',
			"配信時サーバエラー",
			"\\s451\\s|\\s452\\s"
		],
		[
			'Authen_error',
			"認証エラー",
			"\\s432\\s|\\s454\\s|\\s530\\s|\\s534\\s|\\s535\\s|\\s538\\s"
		],
		[
			'Auto_return',
			"自動返信が設定されている"
		],
		[	'Other',
			"その他"
		]
	);
	return @error_diags;
}

sub default_tags{
	my @default_tags = (
		['[__TITLE__]',				'マガジンタイトル',
			'form_reg,form_mdf,error,regi_alert,regi_fini,ulk_alert,ulk_fini,mdf_alert,mdf_fini,p_r_fini,form_t_r,induce_kara_reg,induce_kara_rm'	],
		['[__FROM_NAME__]',			'発行者名',
			'form_reg,form_mdf,error,regi_alert,regi_fini,ulk_alert,ulk_fini,mdf_alert,mdf_fini,p_r_fini,form_t_r,induce_kara_reg,induce_kara_rm'	],
		['[__FROM_ADD__]',			'配信元アドレス',
			'form_reg,form_mdf,error,regi_alert,regi_fini,ulk_alert,ulk_fini,mdf_alert,mdf_fini,p_r_fini,form_t_r,induce_kara_reg,induce_kara_rm'	],
		['[__REPLY_ADD__]',			'返信先アドレス',
			'form_reg,form_mdf,error,regi_alert,regi_fini,ulk_alert,ulk_fini,mdf_alert,mdf_fini,p_r_fini,form_t_r,induce_kara_reg,induce_kara_rm'	],
		#['[__PARTS_INFO__]',			'フォームパーツ',			'form_reg,form_mdf,form_t_r'						],	# 1.65 ～
		['[__PARTS_INFO_LIST__]',	'フォームパーツ',			'form_reg,form_mdf,form_t_r'						],	# 1.79 ～
		['[__SUBMIT_BTN__]',			'送信ボタン',				'form_reg,form_mdf,form_t_r'						],	# 1.65 ～
		['[__ERR_MSG__]',				'エラーメッセージ',			'error'												],
		['[__REG_ADD__]',				'登録完了アドレス',			'regi_fini'										],
		['[__REG_NAME__]',			'登録完了姓名',				'regi_fini'										],
		['[__FORM_AGAIN__]',			'再購読ボタン',				'ulk_fini'											],
		['[__ULK_ADD__]',				'配信解除対象アドレス',		'ulk_fini, ulk_alert'								],
		['[__ULK_EXE_BTN__]',		'配信解除確定ボタン',		'ulk_alert'										],
		['[__P_R_ADD__]',				'仮登録アドレス',			'p_r_fini, form_t_r'								],
		['[__P_R_NAME__]',			'仮登録姓名',				'p_r_fini, form_t_r'								],
		#['[__REG_INFO__]',			'入力された情報',			'regi_alert, mdf_alert'							],	# 1.62
		['[__REG_INFO_LIST__]',		'入力された情報',			'regi_alert, mdf_alert'							],	# 1.79
		['[__REG_EXE_BTN__]',		'登録/変更確定ボタン',		'regi_alert, mdf_alert'							],	# 1.62
		['[__REG_FAMNAME__]',		'登録完了姓',				'regi_fini'										],	# 1.73
		['[__REG_FIRNAME__]',		'登録完了名',				'regi_fini'										],	# 1.73
		['[__P_R_FAMNAME__]',		'仮登録姓',					'p_r_fini,form_t_r'								],	# 1.73
		['[__P_R_FIRNAME__]',		'仮登録名',					'p_r_fini,form_t_r'								],	# 1.73
		['[__MAILTO__]',				'登録用mailtoリンクの値',	'induce_kara_reg,induce_kara_rm'				],	# 1.81
		['[__MAILTO2__]',				'解除用mailtoリンクの値',	'induce_kara_reg,induce_kara_rm'				],	# 1.81
		['[__FROM_DOMAIN__]',		'配信元アドレスのドメイン',	'induce_kara_reg,induce_kara_rm'				]	# 1.81
	);
	return @default_tags;
}

sub default_views{
#	my ($id) = @_;
	# 1.79 ###################
	#my ($stg) = @_;
	my ($stg,$device) = @_;
	$device ||= 1;
	##########################
# 1.79 ###################
my %source = ();
if($device == 2){	# Feature phone
		%source = (
			form_reg	=> &default::form_reg_fp($stg),
			form_mdf	=> &default::form_mdf_fp($stg),
			error		=> &default::error_fp($stg),
			regi_alert	=> &default::regi_alert_fp($stg),
			regi_fini	=> &default::regi_fini_fp($stg),
			ulk_alert	=> &default::ulk_alert_fp($stg),
			ulk_fini	=> &default::ulk_fini_fp($stg),
			mdf_alert	=> &default::mdf_alert_fp($stg),
			mdf_fini	=> &default::mdf_fini_fp($stg),
			p_r_fini	=> &default::p_r_fini_fp($stg),
			form_t_r	=> &default::form_t_r_fp($stg),
			bcn			=> &default::bcn_fp($stg),	# 1.80
			induce_kara_reg => &default::induce_kara_reg_fp($stg),	# 1.81
			induce_kara_rm  => &default::induce_kara_rm_fp($stg)		# 1.81
		);
}
elsif($device == 3){	# Smart phone
		%source = (
			form_reg	=> &default::form_reg_sp($stg),
			form_mdf	=> &default::form_mdf_sp($stg),
			error		=> &default::error_sp($stg),
			regi_alert	=> &default::regi_alert_sp($stg),
			regi_fini	=> &default::regi_fini_sp($stg),
			ulk_alert	=> &default::ulk_alert_sp($stg),
			ulk_fini	=> &default::ulk_fini_sp($stg),
			mdf_alert	=> &default::mdf_alert_sp($stg),
			mdf_fini	=> &default::mdf_fini_sp($stg),
			p_r_fini	=> &default::p_r_fini_sp($stg),
			form_t_r	=> &default::form_t_r_sp($stg),
			bcn			=> &default::bcn_sp($stg),	# 1.80
			induce_kara_reg => &default::induce_kara_reg_sp($stg),	# 1.81
			induce_kara_rm  => &default::induce_kara_rm_sp($stg)		# 1.81
		);
}
else{	# PC and others
		%source = (
			form_reg	=> &default::form_reg($stg),
			form_mdf	=> &default::form_mdf($stg),
			error		=> &default::error($stg),
			regi_alert	=> &default::regi_alert($stg),
			regi_fini	=> &default::regi_fini($stg),
			ulk_alert	=> &default::ulk_alert($stg),
			ulk_fini	=> &default::ulk_fini($stg),
			mdf_alert	=> &default::mdf_alert($stg),
			mdf_fini	=> &default::mdf_fini($stg),
			p_r_fini	=> &default::p_r_fini($stg),
			form_t_r	=> &default::form_t_r($stg),
			bcn			=> &default::bcn($stg),	# 1.80
			induce_kara_reg => &default::induce_kara_reg($stg),	# 1.81
			induce_kara_rm  => &default::induce_kara_rm($stg)	# 1.81
		);
}
	my @default_views = (
		['登録/解除フォーム出力',					'form_reg',			$source{form_reg},			'(1)(2)(3)'		],	# 1.65 ～
		['情報変更フォーム出力',					'form_mdf',			$source{form_mdf},			'(1)(2)(3)'		],	# 1.65 ～
		['システムエラー',							'error',				$source{error},				'(1)(2)(3)(4)'	],
		['読者登録の確認',							'regi_alert',			$source{regi_alert},			'(1)(2)(3)'		],
		['読者登録完了',							'regi_fini',			$source{regi_fini},			'(1)(2)(3)'		],
		['配信解除の確認',							'ulk_alert',			$source{ulk_alert},			'(1)(2)(3)'		],
		['配信解除完了',							'ulk_fini',			$source{ulk_fini},			'(1)(2)(3)'		],
		['読者情報変更の確認',						'mdf_alert',			$source{mdf_alert},			'(1)(2)(3)'		],
		['読者情報変更完了',						'mdf_fini',			$source{mdf_fini},			'(1)(2)(3)'		],
		['読者仮登録完了',							'p_r_fini',			$source{p_r_fini},			'(1)(2)(3)'		],
		['本登録URLクリック後の本登録フォーム出力',	'form_t_r',			$source{form_t_r},			'(1)(2)(3)'		],	# 1.73 ～
		['バックナンバー',							'bcn',					$source{bcn},					'(1)(2)(3)'		],	# 1.80 ～
		['空メール送信ページ出力（登録）',			'induce_kara_reg',	$source{induce_kara_reg},	'(1)(2)(3)'		],	# 1.81 ～
		['空メール送信ページ出力（解除）',			'induce_kara_rm',		$source{induce_kara_rm},		'(1)(2)(3)'		]	# 1.81 ～
	);
	return @default_views;
}

sub deliv_date_m{
	return \('月始','月末','指定日');
}
sub deliv_date_y{
	return \('年始','年末','指定日');
}
sub date_select{
	my @date_select = ('----','今日','明日','今週','来週','今月','来月');
	return \@date_select;
}

1;

