###########################################################################
# This file is a Copyrighted work is protected by Copyright law.
# Igreks Communications owns the Copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package mobile;

use strict;

sub set{
	my (
		$care_name,
		#$lang,	# 1.71 Comment Out
		$name,
		$subject,
		$tot_body,
		$attach,
		$wwwdir,		# 1.71
		$mltpt_text	# 1.71
	) = @_;
	if($care_name eq 'docomo'){
		#return &mobile::docomo($lang,$name,$subject,$tot_body,$attach);
		return &mobile::docomo($name,$subject,$tot_body,$attach,$mltpt_text);	# 1.71
	}
	elsif($care_name eq 'ezweb'){
		#return &mobile::ezweb($lang,$name,$subject,$tot_body,$attach);
		return &mobile::ezweb($name,$subject,$tot_body,$attach,$mltpt_text);	# 1.71
	}
	elsif($care_name eq 'softbank'){
		return &mobile::softbank($name,$subject,$tot_body,$attach,$mltpt_text);
	}
	######## 1.71 
	else{ # PC
		return &mobile::mb2pc($name,$subject,$tot_body,$attach,$wwwdir,$mltpt_text);
	}
	######## 1.71 
}

sub docomo{
	#my ($lang,$name,$subject,$tot_body,$attach) = @_;
	my ($name,$subject,$tot_body,$attach,$mltpt_text) = @_;	# 1.71
	my $care_no = 1;
=pod
	######################################## 1.60
	my ($charset,$encbit) = $lang
			? ('utf-8', '8bit')
			: ('iso-2022-jp', '7bit');
	######################################## 1.60
	my $mail_head = <<HEAD;
Content-Type: multipart/mixed; boundary="nextpt00"
Content-Transfer-Encoding: $encbit

--nextpt00
Content-Type: multipart/related; boundary="nextpt01"

--nextpt01
Content-Type: multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type: text/html; charset="$charset"
Content-Transfer-Encoding: quoted-printable
HEAD
=cut
	my $mail_head = <<HEAD;
Content-Type: multipart/mixed; boundary="nextpt00"
Content-Transfer-Encoding: 7bit

--nextpt00
Content-Type: multipart/related; boundary="nextpt01"

--nextpt01
Content-Type: multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type:text/plain; charset="iso-2022-jp"
Content-Transfer-Encoding: 7bit

$mltpt_text

--nextpt02
Content-Type: text/html; charset="iso-2022-jp"
Content-Transfer-Encoding: quoted-printable
HEAD
	# 1.73 #####################
	# ISO-2022-JP
	my $encode = Unicode::Japanese->new($mail_head,'utf8');
	$mail_head = $encode->jis;
	############################
	$mail_head = &proc::conv_pictgram($care_no,$mail_head);

=pod
	######################################## 1.60
	if($lang){
		# UTF-8
		$name    = &proc::base64encode($name,'utf8');
		$subject = &proc::conv_pictgram($care_no,$subject);
		$subject = &proc::base64encode($subject,'utf8');
	}
	######################################## 1.60
	else{
=cut
		# ISO-2022-JP
		$encode = Unicode::Japanese->new($name,'utf8');
		$name = $encode->jis;
		$name = &proc::base64encode($name,'jis');

		$encode = Unicode::Japanese->new($subject,'utf8');
		$subject = $encode->jis;
		$subject = &proc::conv_pictgram($care_no,$subject);
		$subject = &proc::base64encode($subject,'jis');

		$encode = Unicode::Japanese->new($tot_body,'utf8');
		$tot_body = $encode->jis;
	#}

	$tot_body = &proc::conv_pictgram($care_no,$tot_body);
	$tot_body = <<BODY;
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-2022-jp" />
	</head>
	<body>
		$tot_body
	</body>
</html>
BODY
	$tot_body = &proc::Qencode($tot_body);

	my $mail_foot = <<FOOT;
--nextpt02--

$$attach{image}

--nextpt01--

--nextpt00--
FOOT
	return	(
		$mail_head,
		$mail_foot,
		$name,
		$subject,
		$tot_body
	);
}

sub ezweb{
	#my ($lang,$name,$subject,$tot_body,$attach) = @_;
	my ($name,$subject,$tot_body,$attach,$mltpt_text) = @_; # 1.71
	my $care_no = 2;
=pod
	######################################## 1.60
	my ($charset,$encbit) = $lang
			? ('utf-8', '8bit')
			: ('iso-2022-jp', '7bit');
	######################################## 1.60
	my $mail_head	= <<EOM;
MIME-Version: 1.0
Content-Type:multipart/mixed; boundary="nextpt01"

--nextpt01
Content-Type:multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type: text/plain; charset="$charset"
Content-Transfer-Encoding: $encbit

--nextpt02
Content-Type:text/html; charset="$charset"
Content-Transfer-Encoding: quoted-printable
EOM
	######################################## 1.60
=cut
	my $mail_head	= <<EOM;
MIME-Version: 1.0
Content-Type:multipart/mixed; boundary="nextpt01"

--nextpt01
Content-Type:multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type:text/plain; charset="iso-2022-jp"
Content-Transfer-Encoding: 7bit

$mltpt_text

--nextpt02
Content-Type:text/html; charset="iso-2022-jp"
Content-Transfer-Encoding: quoted-printable
EOM
	# 1.73 #####################
	# ISO-2022-JP
	my $encode = Unicode::Japanese->new($mail_head,'utf8');
	$mail_head = $encode->jis;
	############################
	$mail_head = &proc::conv_pictgram($care_no,$mail_head);

=pod
	if($lang){
		# UTF-8
		$name    = &proc::base64encode($name,'utf8');
		$subject = &proc::conv_pictgram($care_no,$subject);
		$subject = &proc::base64encode($subject,'utf8');
	}
	######################################## 1.60
	else{
=cut
		# ISO-2022-JP
		$encode = Unicode::Japanese->new($name,'utf8');
		$name = $encode->jis;
		$name = &proc::base64encode($name,'jis');

		$encode = Unicode::Japanese->new($subject,'utf8');
		$subject = $encode->jis;
		$subject = &proc::conv_pictgram($care_no,$subject);
		$subject = &proc::base64encode($subject,'jis');

		$encode = Unicode::Japanese->new($tot_body,'utf8');
		$tot_body = $encode->jis;
	#}

	$tot_body = &proc::conv_pictgram($care_no,$tot_body);
	$tot_body = <<BODY;
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-2022-jp" />
	</head>
	<body>
		$tot_body
	</body>
</html>
BODY
	$tot_body = &proc::Qencode($tot_body);

	my $mail_foot = <<FOOT;
--nextpt02--

$$attach{image}

--nextpt01--
FOOT
	return	(
		$mail_head,
		$mail_foot,
		$name,
		$subject,
		$tot_body
	);
}

sub softbank{
	my ($name,$subject,$tot_body,$attach,$mltpt_text) = @_;
	my $care_no = 3;
=pod
	my $mail_head	= <<EOM;
Content-Type:multipart/related; boundary="nextpt01"

--nextpt01
Content-Type:multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type:text/html; charset="utf-8"
Content-Transfer-Encoding: 8bit
EOM
=cut
	# 1.71 ##########################################
	my $mail_head	= <<EOM;
Content-Type:multipart/related; boundary="nextpt01"

--nextpt01
Content-Type:multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type:text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

$mltpt_text

--nextpt02
Content-Type:text/html; charset="utf-8"
Content-Transfer-Encoding: 8bit
EOM
	$mail_head = &proc::conv_pictgram($care_no,$mail_head);
	##################################################
	$name = &proc::base64encode($name,'utf8');
	$subject = &proc::conv_pictgram($care_no,$subject);
	$subject = &proc::base64encode($subject,'utf8');
	$tot_body = &proc::conv_pictgram($care_no,$tot_body);

	$tot_body = <<BODY;
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	</head>
	<body>
		$tot_body
	</body>
</html>
BODY

	my $mail_foot = <<FOOT;
--nextpt02--

$$attach{image}

--nextpt01--
FOOT
	return	(
		$mail_head,
		$mail_foot,
		$name,
		$subject,
		$tot_body
	);
}

sub mb2pc {	# 1.71
	my ($name,$subject,$tot_body,$attach,$wwwdir,$mltpt_text) = @_;
	my $care_no = 0;
	my $mail_head	= <<EOM;
Content-Type: multipart/mixed; boundary="nextpt00"
Content-Transfer-Encoding: 7bit

--nextpt00
Content-Type: multipart/related; boundary="nextpt01"

--nextpt01
Content-Type: multipart/alternative; boundary="nextpt02"

--nextpt02
Content-Type: text/plain; charset="iso-2022-jp"
Content-Transfer-Encoding: 7bit

$mltpt_text

--nextpt02
Content-Type: text/html; charset="iso-2022-jp"
Content-Transfer-Encoding: 7bit
EOM
	# 1.73 #####################
	# ISO-2022-JP
	my $encode = Unicode::Japanese->new($mail_head,'utf8');
	$mail_head = $encode->jis;
	############################

	# ISO-2022-JP
	$encode = Unicode::Japanese->new($name,'utf8');
	$name = $encode->jis;
	$name = &proc::base64encode($name,'jis');

	$subject = &proc::conv_pictgram_alt($subject);	# Convert Pictgram to alt string	
	$encode  = Unicode::Japanese->new($subject,'utf8');
	$subject = $encode->jis;
	$subject = &proc::base64encode($subject,'jis');

	$encode = Unicode::Japanese->new($tot_body,'utf8');
	$tot_body = $encode->jis;

	# Convert Pictgram tags to CID
	$tot_body =~ s/\%\%(PG_[\d\w]+)\%\%/<img src="cid:img_cid_00$1\@pictgram" width="13" height="13" style="margin:1px;">/g;	
	$tot_body = <<BODY;
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-2022-jp" />
	</head>
	<body>
		$tot_body
	</body>
</html>
BODY

	my $mail_foot = <<FOOT;
--nextpt02--

$$attach{image}
$$attach{pictgram}

--nextpt01--

--nextpt00--
FOOT
#die $mail_foot;
	return	(
		$mail_head,
		$mail_foot,
		$name,
		$subject,
		$tot_body
	);
}

########################### 1.71
=pod
sub sp_set_picts_and_encode{	# HTML for PC
	my (
		$care_name,
		$lang,
		$name,
		$sub,
		$tot_body,
		$wwwdir
	) = @_;
#die $lang;
	my ($charset,$encbit,$base64) = ('iso-2022-jp','7bit','jis');
	if($lang){	# UTF-8			
		($charset,$encbit,$base64) = ('utf-8','8bit','utf8');
	}
	else{	# ISO-2022-JP
		# To name
		my $encode = Unicode::Japanese->new($name,'utf8');
		$name   = $encode->jis;
		# Subject
		$encode = Unicode::Japanese->new($sub,'utf8');
		$sub    = $encode->jis;
		# Body
		$encode = Unicode::Japanese->new($tot_body,'utf8');
		$tot_body = $encode->jis;
	}

	my $care_no = 0;
	if($care_name){ # Smart phone
		if   ($care_name eq 'docomo'){$care_no = 1;}
		elsif($care_name eq 'ezweb') {$care_no = 2;}
		else {$care_no = 3;}
#die $care_no;
#die $sub;
		$sub = &proc::conv_pictgram($care_no,$sub);
		$tot_body = &proc::conv_pictgram($care_no,$tot_body);
	}
	else{	# PC
		$sub = &proc::conv_pictgram_alt($sub);
		$tot_body = &proc::conv_pictgram_image($care_no,$tot_body,$wwwdir);
	}

	$tot_body = <<BODY;
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=$charset" />
	</head>
	<body>
		$tot_body
	</body>
</html>
BODY
	$name = &proc::base64encode($name,$base64);
	$sub  = &proc::base64encode($sub, $base64);

	my $mail_head = <<HEAD;
Content-Type: text/html; charset=$charset
Content-Transfer-Encoding: $encbit
HEAD
	my $mail_foot = '';

	return	(
		$mail_head,
		$mail_foot,
		$name,
		$sub,
		$tot_body
	);
}
=cut
########################### 1.71

sub pictgram_table{
	my ($care) = @_;

	my @pict = ();
	# Sun 太陽
	$pict[0]->{PG_Sun} = '63647.gif';
	$pict[1]->{PG_Sun} = "\xF8\x9F";
	$pict[2]->{PG_Sun} = "\xF6\x60";
	$pict[3]->{PG_Sun} = "\xEE\x81\x8A";
	$pict[99]->{PG_Sun} = "太陽";
	# Croud 雲
	$pict[0]->{PG_Croud} = '63648.gif';
	$pict[1]->{PG_Croud} = "\xF8\xA0";
	$pict[2]->{PG_Croud} = "\xF6\x65";
	$pict[3]->{PG_Croud} = "\xEE\x81\x89";
	$pict[99]->{PG_Croud} = "雲";
	# Rain 雨
	$pict[0]->{PG_Rain} = '63649.gif';
	$pict[1]->{PG_Rain} = "\xF8\xA1";
	$pict[2]->{PG_Rain} = "\xF6\x64";
	$pict[3]->{PG_Rain} = "\xEE\x81\x8B";
	$pict[99]->{PG_Rain} = "雨";
	# Snow 雪
	$pict[0]->{PG_Snow} = '63650.gif';
	$pict[1]->{PG_Snow} = "\xF8\xA2";
	$pict[2]->{PG_Snow} = "\xF6\x5D";
	$pict[3]->{PG_Snow} = "\xEE\x81\x88";
	$pict[99]->{PG_Snow} = "雪";
	# Thunder 雷
	$pict[0]->{PG_Thunder} = '63651.gif';
	$pict[1]->{PG_Thunder} = "\xF8\xA3";
	$pict[2]->{PG_Thunder} = "\xF6\x5F";
	$pict[3]->{PG_Thunder} = "\xEE\x84\xBD";
	$pict[99]->{PG_Thunder} = "雷";
	# Typhoon 台風
	$pict[0]->{PG_Typhoon} = '63652.gif';
	$pict[1]->{PG_Typhoon} = "\xF8\xA4";
	$pict[2]->{PG_Typhoon} = "\xF6\x41";
	$pict[3]->{PG_Typhoon} = "\xEE\x91\x83";
	$pict[99]->{PG_Typhoon} = "台風";
=pod
	# Mist 霧
	$pict[0]->{PG_Mist} = '63653.gif';
	$pict[1]->{PG_Mist} = "\xF8\xA5";
	$pict[2]->{PG_Mist} = "\xF7\xB5";
	$pict[3]->{PG_Mist} = "\xEE\x84\x8B";
	$pict[99]->{PG_Mist} = "霧";
=cut
	# Umblera 傘
	$pict[0]->{PG_Umblera} = '63654.gif';
	$pict[1]->{PG_Umblera} = "\xF8\xA6";
	$pict[2]->{PG_Umblera} = "\xF3\xBC";
	$pict[3]->{PG_Umblera} = "\xEE\x90\xBC";
	$pict[99]->{PG_Umblera} = "傘";
	# Aries 牡羊座
	$pict[0]->{PG_Aries} = '63655.gif';
	$pict[1]->{PG_Aries} = "\xF8\xA7";
	$pict[2]->{PG_Aries} = "\xF6\x67";
	$pict[3]->{PG_Aries} = "\xEE\x88\xBF";
	$pict[99]->{PG_Aries} = "牡羊座";
	# Taurus 牡牛座
	$pict[0]->{PG_Taurus} = '63656.gif';
	$pict[1]->{PG_Taurus} = "\xF8\xA8";
	$pict[2]->{PG_Taurus} = "\xF6\x68";
	$pict[3]->{PG_Taurus} = "\xEE\x89\x80";
	$pict[99]->{PG_Taurus} = "牡牛座";
	# Gemini 双子座
	$pict[0]->{PG_Gemini} = '63657.gif';
	$pict[1]->{PG_Gemini} = "\xF8\xA9";
	$pict[2]->{PG_Gemini} = "\xF6\x69";
	$pict[3]->{PG_Gemini} = "\xEE\x89\x81";
	$pict[99]->{PG_Gemini} = "双子座";
	# Cancer 蟹座
	$pict[0]->{PG_Cancer} = '63658.gif';
	$pict[1]->{PG_Cancer} = "\xF8\xAA";
	$pict[2]->{PG_Cancer} = "\xF6\x6A";
	$pict[3]->{PG_Cancer} = "\xEE\x89\x82";
	$pict[99]->{PG_Cancer} = "蟹座";
	# Leo 獅子座
	$pict[0]->{PG_Leo} = '63659.gif';
	$pict[1]->{PG_Leo} = "\xF8\xAB";
	$pict[2]->{PG_Leo} = "\xF6\x6B";
	$pict[3]->{PG_Leo} = "\xEE\x89\x83";
	$pict[99]->{PG_Leo} = "獅子座";
	# Virgo 乙女座
	$pict[0]->{PG_Virgo} = '63660.gif';
	$pict[1]->{PG_Virgo} = "\xF8\xAC";
	$pict[2]->{PG_Virgo} = "\xF6\x6C";
	$pict[3]->{PG_Virgo} = "\xEE\x89\x84";
	$pict[99]->{PG_Virgo} = "乙女座";
	# Libra 天秤座
	$pict[0]->{PG_Libra} = '63661.gif';
	$pict[1]->{PG_Libra} = "\xF8\xAD";
	$pict[2]->{PG_Libra} = "\xF6\x6D";
	$pict[3]->{PG_Libra} = "\xEE\x89\x85";
	$pict[99]->{PG_Libra} = "天秤座";
	# Scorpio 蠍座
	$pict[0]->{PG_Scorpio} = '63662.gif';
	$pict[1]->{PG_Scorpio} = "\xF8\xAE";
	$pict[2]->{PG_Scorpio} = "\xF6\x6E";
	$pict[3]->{PG_Scorpio} = "\xEE\x89\x86";
	$pict[99]->{PG_Scorpio} = "蠍座";
	# Sagittarius 射手座
	$pict[0]->{PG_Sagittarius} = '63663.gif';
	$pict[1]->{PG_Sagittarius} = "\xF8\xAF";
	$pict[2]->{PG_Sagittarius} = "\xF6\x6F";
	$pict[3]->{PG_Sagittarius} = "\xEE\x89\x87";
	$pict[99]->{PG_Sagittarius} = "射手座";
	# Capricorn 山羊座
	$pict[0]->{PG_Capricorn} = '63664.gif';
	$pict[1]->{PG_Capricorn} = "\xF8\xB0";
	$pict[2]->{PG_Capricorn} = "\xF6\x70";
	$pict[3]->{PG_Capricorn} = "\xEE\x89\x88";
	$pict[99]->{PG_Capricorn} = "山羊座";
	# Aquarius 水瓶座
	$pict[0]->{PG_Aquarius} = '63665.gif';
	$pict[1]->{PG_Aquarius} = "\xF8\xB1";
	$pict[2]->{PG_Aquarius} = "\xF6\x71";
	$pict[3]->{PG_Aquarius} = "\xEE\x89\x89";
	$pict[99]->{PG_Aquarius} = "水瓶座";
	# Pisces 魚座
	$pict[0]->{PG_Pisces} = '63666.gif';
	$pict[1]->{PG_Pisces} = "\xF8\xB2";
	$pict[2]->{PG_Pisces} = "\xF6\x72";
	$pict[3]->{PG_Pisces} = "\xEE\x89\x8A";
	$pict[99]->{PG_Pisces} = "魚座";
	# Baseball 野球
	$pict[0]->{PG_Baseball} = '63668.gif';
	$pict[1]->{PG_Baseball} = "\xF8\xB4";
	$pict[2]->{PG_Baseball} = "\xF6\x93";
	$pict[3]->{PG_Baseball} = "\xEE\x80\x96";
	$pict[99]->{PG_Baseball} = "野球";
	# Golf ゴルフ
	$pict[0]->{PG_Golf} = '63669.gif';
	$pict[1]->{PG_Golf} = "\xF8\xB5";
	$pict[2]->{PG_Golf} = "\xF7\xB6";
	$pict[3]->{PG_Golf} = "\xEE\x80\x94";
	$pict[99]->{PG_Golf} = "ゴルフ";
	# Tennis テニス
	$pict[0]->{PG_Tennis} = '63670.gif';
	$pict[1]->{PG_Tennis} = "\xF8\xB6";
	$pict[2]->{PG_Tennis} = "\xF6\x90";
	$pict[3]->{PG_Tennis} = "\xEE\x80\x95";
	$pict[99]->{PG_Tennis} = "テニス";
	# Football サッカー
	$pict[0]->{PG_Football} = '63671.gif';
	$pict[1]->{PG_Football} = "\xF8\xB7";
	$pict[2]->{PG_Football} = "\xF6\x8F";
	$pict[3]->{PG_Football} = "\xEE\x80\x98";
	$pict[99]->{PG_Football} = "サッカー";
	# Ski スキー
	$pict[0]->{PG_Ski} = '63672.gif';
	$pict[1]->{PG_Ski} = "\xF8\xB8";
	$pict[2]->{PG_Ski} = "\xF3\x80";
	$pict[3]->{PG_Ski} = "\xEE\x80\x93";
	$pict[99]->{PG_Ski} = "スキー";
	# Basketball バスケットボール
	$pict[0]->{PG_Basketball} = '63673.gif';
	$pict[1]->{PG_Basketball} = "\xF8\xB9";
	$pict[2]->{PG_Basketball} = "\xF7\xB7";
	$pict[3]->{PG_Basketball} = "\xEE\x90\xAA";
	$pict[99]->{PG_Basketball} = "バスケットボール";
	# Motersports モータースポーツ
	$pict[0]->{PG_Motersports} = '63674.gif';
	$pict[1]->{PG_Motersports} = "\xF8\xBA";
	$pict[2]->{PG_Motersports} = "\xF6\x92";
	$pict[3]->{PG_Motersports} = "\xEE\x84\xB2";
	$pict[99]->{PG_Motersports} = "モータースポーツ";
	# Train 電車
	$pict[0]->{PG_Train} = '63676.gif';
	$pict[1]->{PG_Train} = "\xF8\xBC";
	$pict[2]->{PG_Train} = "\xF6\x8E";
	$pict[3]->{PG_Train} = "\xEE\x80\x9E";
	$pict[99]->{PG_Train} = "電車";
	# Subway 地下鉄
	$pict[0]->{PG_Subway} = '63677.gif';
	$pict[1]->{PG_Subway} = "\xF8\xBD";
	$pict[2]->{PG_Subway} = "\xF7\xEC";
	$pict[3]->{PG_Subway} = "\xEE\x90\xB4";
	$pict[99]->{PG_Subway} = "地下鉄";
	# Car 車
	$pict[0]->{PG_Car} = '63679.gif';
	$pict[1]->{PG_Car} = "\xF8\xBF";
	$pict[2]->{PG_Car} = "\xF6\x8A";
	$pict[3]->{PG_Car} = "\xEE\x80\x9B";
	$pict[99]->{PG_Car} = "車";
	# Bus バス
	$pict[0]->{PG_Bus} = '63681.gif';
	$pict[1]->{PG_Bus} = "\xF8\xC1";
	$pict[2]->{PG_Bus} = "\xF6\x88";
	$pict[3]->{PG_Bus} = "\xEE\x85\x99";
	$pict[99]->{PG_Bus} = "バス";
	# Ship 船
	$pict[0]->{PG_Ship} = '63682.gif';
	$pict[1]->{PG_Ship} = "\xF8\xC2";
	$pict[2]->{PG_Ship} = "\xF3\x55";
	$pict[3]->{PG_Ship} = "\xEE\x88\x82";
	$pict[99]->{PG_Ship} = "船";
	# Plain 飛行機
	$pict[0]->{PG_Plain} = '63683.gif';
	$pict[1]->{PG_Plain} = "\xF8\xC3";
	$pict[2]->{PG_Plain} = "\xF6\x8C";
	$pict[3]->{PG_Plain} = "\xEE\x80\x9D";
	$pict[99]->{PG_Plain} = "飛行機";
	# House 家
	$pict[0]->{PG_House} = '63684.gif';
	$pict[1]->{PG_House} = "\xF8\xC4";
	$pict[2]->{PG_House} = "\xF6\x84";
	$pict[3]->{PG_House} = "\xEE\x80\xB6";
	$pict[99]->{PG_House} = "家";
	# Building ビル
	$pict[0]->{PG_Building} = '63685.gif';
	$pict[1]->{PG_Building} = "\xF8\xC5";
	$pict[2]->{PG_Building} = "\xF6\x86";
	$pict[3]->{PG_Building} = "\xEE\x80\xB8";
	$pict[99]->{PG_Building} = "ビル";
	# Post Office 郵便局
	$pict[0]->{PG_PostOffice} = '63686.gif';
	$pict[1]->{PG_PostOffice} = "\xF8\xC6";
	$pict[2]->{PG_PostOffice} = "\xF3\x51";
	$pict[3]->{PG_PostOffice} = "\xEE\x85\x93";
	$pict[99]->{PG_PostOffice} = "郵便局";
	# Hospital 病院
	$pict[0]->{PG_Hospital} = '63687.gif';
	$pict[1]->{PG_Hospital} = "\xF8\xC7";
	$pict[2]->{PG_Hospital} = "\xF3\x52";
	$pict[3]->{PG_Hospital} = "\xEE\x85\x95";
	$pict[99]->{PG_Hospital} = "病院";
	# Bank 銀行
	$pict[0]->{PG_Bank} = '63688.gif';
	$pict[1]->{PG_Bank} = "\xF8\xC8";
	$pict[2]->{PG_Bank} = "\xF6\x83";
	$pict[3]->{PG_Bank} = "\xEE\x85\x8D";
	$pict[99]->{PG_Bank} = "銀行";
	# ATM
	$pict[0]->{PG_ATM} = '63689.gif';
	$pict[1]->{PG_ATM} = "\xF8\xC9";
	$pict[2]->{PG_ATM} = "\xF6\x7B";
	$pict[3]->{PG_ATM} = "\xEE\x85\x94";
	$pict[99]->{PG_ATM} = "ATM";
	# Hotel ホテル
	$pict[0]->{PG_Hotel} = '63690.gif';
	$pict[1]->{PG_Hotel} = "\xF8\xCA";
	$pict[2]->{PG_Hotel} = "\xF3\x54";
	$pict[3]->{PG_Hotel} = "\xEE\x85\x98";
	$pict[99]->{PG_Hotel} = "ホテル";
	# Convenience Store コンビニ
	$pict[0]->{PG_Conveni} = '63691.gif';
	$pict[1]->{PG_Conveni} = "\xF8\xCB";
	$pict[2]->{PG_Conveni} = "\xF6\x7C";
	$pict[3]->{PG_Conveni} = "\xEE\x85\x96";
	$pict[99]->{PG_Conveni} = "コンビニ";
	# Gas station ガソリンスタンド
	$pict[0]->{PG_GS} = '63692.gif';
	$pict[1]->{PG_GS} = "\xF8\xCC";
	$pict[2]->{PG_GS} = "\xF7\x8E";
	$pict[3]->{PG_GS} = "\xEE\x80\xBA";
	$pict[99]->{PG_GS} = "ガソリンスタンド";
	# Parking 駐車場
	$pict[0]->{PG_Parking} = '63693.gif';
	$pict[1]->{PG_Parking} = "\xF8\xCD";
	$pict[2]->{PG_Parking} = "\xF6\x7E";
	$pict[3]->{PG_Parking} = "\xEE\x85\x8F";
	$pict[99]->{PG_Parking} = "駐車場";
	# Signal 信号
	$pict[0]->{PG_Signal} = '63694.gif';
	$pict[1]->{PG_Signal} = "\xF8\xCE";
	$pict[2]->{PG_Signal} = "\xF6\x42";
	$pict[3]->{PG_Signal} = "\xEE\x85\x8E";
	$pict[99]->{PG_Signal} = "信号";
	# W.C トイレ
	$pict[0]->{PG_WC} = '63695.gif';
	$pict[1]->{PG_WC} = "\xF8\xCF";
	$pict[2]->{PG_WC} = "\xF6\x7D";
	$pict[3]->{PG_WC} = "\xEE\x85\x80";
	$pict[99]->{PG_WC} = "トイレ";
	# Restaurant レストラン
	$pict[0]->{PG_Restaurant} = '63696.gif';
	$pict[1]->{PG_Restaurant} = "\xF8\xD0";
	$pict[2]->{PG_Restaurant} = "\xF6\x85";
	$pict[3]->{PG_Restaurant} = "\xEE\x81\x83";
	$pict[99]->{PG_Restaurant} = "レストラン";
	# Cafe 喫茶店
	$pict[0]->{PG_Cafe} = '63697.gif';
	$pict[1]->{PG_Cafe} = "\xF8\xD1";
	$pict[2]->{PG_Cafe} = "\xF7\xB4";
	$pict[3]->{PG_Cafe} = "\xEE\x81\x85";
	$pict[99]->{PG_Cafe} = "喫茶店";
	# Bar バー
	$pict[0]->{PG_Bar} = '63698.gif';
	$pict[1]->{PG_Bar} = "\xF8\xD2";
	$pict[2]->{PG_Bar} = "\xF6\x9B";
	$pict[3]->{PG_Bar} = "\xEE\x81\x84";
	$pict[99]->{PG_Bar} = "バー";
	# Tonguer ビール
	$pict[0]->{PG_Tonguer} = '63699.gif';
	$pict[1]->{PG_Tonguer} = "\xF8\xD3";
	$pict[2]->{PG_Tonguer} = "\xF6\x9C";
	$pict[3]->{PG_Tonguer} = "\xEE\x81\x87";
	$pict[99]->{PG_Tonguer} = "ビール";
	# Humburger ハンバーガー
	$pict[0]->{PG_Humburger} = '63700.gif';
	$pict[1]->{PG_Humburger} = "\xF8\xD4";
	$pict[2]->{PG_Humburger} = "\xF6\xAF";
	$pict[3]->{PG_Humburger} = "\xEE\x84\xA0";
	$pict[99]->{PG_Humburger} = "ハンバーガー";
	# Shoes 靴
	$pict[0]->{PG_Shoes} = '63701.gif';
	$pict[1]->{PG_Shoes} = "\xF8\xD5";
	$pict[2]->{PG_Shoes} = "\xF6\xF3";
	$pict[3]->{PG_Shoes} = "\xEE\x80\x87";
	$pict[99]->{PG_Shoes} = "靴";
	# Scissors ハサミ
	$pict[0]->{PG_Scissors} = '63702.gif';
	$pict[1]->{PG_Scissors} = "\xF8\xD6";
	$pict[2]->{PG_Scissors} = "\xF6\xEF";
	$pict[3]->{PG_Scissors} = "\xEE\x8C\x93";
	$pict[99]->{PG_Scissors} = "ハサミ";
	# カラオケ
	$pict[0]->{PG_Karaoke} = '63703.gif';
	$pict[1]->{PG_Karaoke} = "\xF8\xD7";
	$pict[2]->{PG_Karaoke} = "\xF6\xDC";
	$pict[3]->{PG_Karaoke} = "\xEE\x80\xBC";
	$pict[99]->{PG_Karaoke} = "カラオケ";
	# Movie 映画
	$pict[0]->{PG_Movie} = '63704.gif';
	$pict[1]->{PG_Movie} = "\xF8\xD8";
	$pict[2]->{PG_Movie} = "\xF6\xF0";
	$pict[3]->{PG_Movie} = "\xEE\x80\xBD";
	$pict[99]->{PG_Movie} = "映画";
	# Top-right 右斜め上
	$pict[0]->{PG_TopRight} = '63705.gif';
	$pict[1]->{PG_TopRight} = "\xF8\xD9";
	$pict[2]->{PG_TopRight} = "\xF7\x71";
	$pict[3]->{PG_TopRight} = "\xEE\x88\xB6";
	$pict[99]->{PG_TopRight} = "右斜め上";
	# Music 音楽
	$pict[0]->{PG_Music} = '63707.gif';
	$pict[1]->{PG_Music} = "\xF8\xDB";
	$pict[2]->{PG_Music} = "\xF6\xE1";
	$pict[3]->{PG_Music} = "\xEE\x80\xBE";
	$pict[99]->{PG_Music} = "音楽";
	# Art アート
	$pict[0]->{PG_Art} = '63708.gif';
	$pict[1]->{PG_Art} = "\xF8\xDC";
	$pict[2]->{PG_Art} = "\xF7\xB9";
	$pict[3]->{PG_Art} = "\xEE\x94\x82";
	$pict[99]->{PG_Art} = "アート";
	# Theater 演劇
	$pict[0]->{PG_Theater} = '63709.gif';
	$pict[1]->{PG_Theater} = "\xF8\xDD";
	$pict[2]->{PG_Theater} = "\xF3\xC9";
	$pict[3]->{PG_Theater} = "\xEE\x94\x83";
	$pict[99]->{PG_Theater} = "演劇";
	# Ticket チケット
	$pict[0]->{PG_Ticket} = '63711.gif';
	$pict[1]->{PG_Ticket} = "\xF8\xDF";
	$pict[2]->{PG_Ticket} = "\xF6\x76";
	$pict[3]->{PG_Ticket} = "\xEE\x84\xA5";
	$pict[99]->{PG_Ticket} = "チケット";
	# Smoking 喫煙
	$pict[0]->{PG_Smoking} = '63712.gif';
	$pict[1]->{PG_Smoking} = "\xF8\xE0";
	$pict[2]->{PG_Smoking} = "\xF6\x55";
	$pict[3]->{PG_Smoking} = "\xEE\x8C\x8E";
	$pict[99]->{PG_Smoking} = "喫煙";
	# No Smoking 禁煙
	$pict[0]->{PG_NoSmoking} = '63713.gif';
	$pict[1]->{PG_NoSmoking} = "\xF8\xE1";
	$pict[2]->{PG_NoSmoking} = "\xF6\x56";
	$pict[3]->{PG_NoSmoking} = "\xEE\x88\x88";
	$pict[99]->{PG_NoSmoking} = "禁煙";
	# Camera カメラ
	$pict[0]->{PG_Camera} = '63714.gif';
	$pict[1]->{PG_Camera} = "\xF8\xE2";
	$pict[2]->{PG_Camera} = "\xF6\xEE";
	$pict[3]->{PG_Camera} = "\xEE\x80\x88";
	$pict[99]->{PG_Camera} = "カメラ";
	# Baggage カバン
	$pict[0]->{PG_Baggage} = '63715.gif';
	$pict[1]->{PG_Baggage} = "\xF8\xE3";
	$pict[2]->{PG_Baggage} = "\xF6\x74";
	$pict[3]->{PG_Baggage} = "\xEE\x84\x9E";
	$pict[99]->{PG_Baggage} = "カバン";
	# Book 本
	$pict[0]->{PG_Book} = '63716.gif';
	$pict[1]->{PG_Book} = "\xF8\xE4";
	$pict[2]->{PG_Book} = "\xF6\x77";
	$pict[3]->{PG_Book} = "\xEE\x85\x88";
	$pict[99]->{PG_Book} = "本";
	# Ribbon リボン
	$pict[0]->{PG_Ribbon} = '63717.gif';
	$pict[1]->{PG_Ribbon} = "\xF8\xE5";
	$pict[2]->{PG_Ribbon} = "\xF7\xBC";
	$pict[3]->{PG_Ribbon} = "\xEE\x8C\x94";
	$pict[99]->{PG_Ribbon} = "リボン";
	# Present プレゼント
	$pict[0]->{PG_Present} = '63718.gif';
	$pict[1]->{PG_Present} = "\xF8\xE6";
	$pict[2]->{PG_Present} = "\xF6\xA8";
	$pict[3]->{PG_Present} = "\xEE\x84\x92";
	$pict[99]->{PG_Present} = "プレゼント";
	# Birthday バースデー
	$pict[0]->{PG_Birthday} = '63719.gif';
	$pict[1]->{PG_Birthday} = "\xF8\xE7";
	$pict[2]->{PG_Birthday} = "\xF7\xBD";
	$pict[3]->{PG_Birthday} = "\xEE\x8D\x8B";
	$pict[99]->{PG_Birthday} = "バースデー";
	# Telephone 電話
	$pict[0]->{PG_Telephone} = '63720.gif';
	$pict[1]->{PG_Telephone} = "\xF8\xE8";
	$pict[2]->{PG_Telephone} = "\xF7\xB3";
	$pict[3]->{PG_Telephone} = "\xEE\x80\x89";
	$pict[99]->{PG_Telephone} = "電話";
	# Handyphone 携帯
	$pict[0]->{PG_Handyphone} = '63721.gif';
	$pict[1]->{PG_Handyphone} = "\xF8\xE9";
	$pict[2]->{PG_Handyphone} = "\xF7\xA5";
	$pict[3]->{PG_Handyphone} = "\xEE\x80\x8A";
	$pict[99]->{PG_Handyphone} = "携帯";
	# Memorandom メモ
	$pict[0]->{PG_Memo} = '63722.gif';
	$pict[1]->{PG_Memo} = "\xF8\xEA";
	$pict[2]->{PG_Memo} = "\xF3\x65";
	$pict[3]->{PG_Memo} = "\xEE\x8C\x81";
	$pict[99]->{PG_Memo} = "メモ";
	# Television テレビ
	$pict[0]->{PG_Tv} = '63723.gif';
	$pict[1]->{PG_Tv} = "\xF8\xEB";
	$pict[2]->{PG_Tv} = "\xF6\xDB";
	$pict[3]->{PG_Tv} = "\xEE\x84\xAA";
	$pict[99]->{PG_Tv} = "テレビ";
	# Compact Disc CD
	$pict[0]->{PG_CD} = '63725.gif';
	$pict[1]->{PG_CD} = "\xF8\xED";
	$pict[2]->{PG_CD} = "\xF6\xE5";
	$pict[3]->{PG_CD} = "\xEE\x84\xA6";
	$pict[99]->{PG_CD} = "CD";
	# Heart ハート
	$pict[0]->{PG_Heart} = '63726.gif';
	$pict[1]->{PG_Heart} = "\xF8\xEE";
	$pict[2]->{PG_Heart} = "\xF3\x78";
	$pict[3]->{PG_Heart} = "\xEE\x88\x8C";
	$pict[99]->{PG_Heart} = "ハート";
	# Spead スペード
	$pict[0]->{PG_Spead} = '63727.gif';
	$pict[1]->{PG_Spead} = "\xF8\xEF";
	$pict[2]->{PG_Spead} = "\xF7\xBE";
	$pict[3]->{PG_Spead} = "\xEE\x88\x8E";
	$pict[99]->{PG_Spead} = "スペード";
	# Dia ダイヤ
	$pict[0]->{PG_Dia} = '63728.gif';
	$pict[1]->{PG_Dia} = "\xF8\xF0";
	$pict[2]->{PG_Dia} = "\xF7\xBF";
	$pict[3]->{PG_Dia} = "\xEE\x88\x8D";
	$pict[99]->{PG_Dia} = "ダイヤ";
	# Clover クラブ
	$pict[0]->{PG_Clover} = '63729.gif';
	$pict[1]->{PG_Clover} = "\xF8\xF1";
	$pict[2]->{PG_Clover} = "\xF7\xC0";
	$pict[3]->{PG_Clover} = "\xEE\x88\x8F";
	$pict[99]->{PG_Clover} = "クラブ";
	# Eye 目
	$pict[0]->{PG_Eye} = '63730.gif';
	$pict[1]->{PG_Eye} = "\xF8\xF2";
	$pict[2]->{PG_Eye} = "\xF7\xC1";
	$pict[3]->{PG_Eye} = "\xEE\x90\x99";
	$pict[99]->{PG_Eye} = "目";
	# Ear 耳
	$pict[0]->{PG_Ear} = '63731.gif';
	$pict[1]->{PG_Ear} = "\xF8\xF3";
	$pict[2]->{PG_Ear} = "\xF7\xC2";
	$pict[3]->{PG_Ear} = "\xEE\x90\x9B";
	$pict[99]->{PG_Ear} = "耳";
	# Fist グー
	$pict[0]->{PG_Fist} = '63732.gif';
	$pict[1]->{PG_Fist} = "\xF8\xF4";
	$pict[2]->{PG_Fist} = "\xF4\x88";
	$pict[3]->{PG_Fist} = "\xEE\x80\x90";
	$pict[99]->{PG_Fist} = "グー";
	# Peace sign ちょき
	$pict[0]->{PG_Peace} = '63733.gif';
	$pict[1]->{PG_Peace} = "\xF8\xF5";
	$pict[2]->{PG_Peace} = "\xF7\xC3";
	$pict[3]->{PG_Peace} = "\xEE\x80\x91";
	$pict[99]->{PG_Peace} = "ちょき";
	# Palm パー
	$pict[0]->{PG_Palm} = '63734.gif';
	$pict[1]->{PG_Palm} = "\xF8\xF6";
	$pict[2]->{PG_Palm} = "\xF7\xC4";
	$pict[3]->{PG_Palm} = "\xEE\x80\x92";
	$pict[99]->{PG_Palm} = "パー";
	# Bottom-right 右下
	$pict[0]->{PG_BottomRight} = '63735.gif';
	$pict[1]->{PG_BottomRight} = "\xF8\xF7";
	$pict[2]->{PG_BottomRight} = "\xF7\x69";
	$pict[3]->{PG_BottomRight} = "\xEE\x88\xB8";
	$pict[99]->{PG_BottomRight} = "右下";
	# Top-left 左上
	$pict[0]->{PG_TopLeft} = '63736.gif';
	$pict[1]->{PG_TopLeft} = "\xF8\xF8";
	$pict[2]->{PG_TopLeft} = "\xF7\x68";
	$pict[3]->{PG_TopLeft} = "\xEE\x88\xB7";
	$pict[99]->{PG_TopLeft} = "左上";
	# Foot 足
	$pict[0]->{PG_Foot} = '63737.gif';
	$pict[1]->{PG_Foot} = "\xF8\xF9";
	$pict[2]->{PG_Foot} = "\xF3\xEB";
	$pict[3]->{PG_Foot} = "\xEE\x94\xB6";
	$pict[99]->{PG_Foot} = "足";
	# Wheelchair 車いす
	$pict[0]->{PG_Wheelchair} = '63740.gif';
	$pict[1]->{PG_Wheelchair} = "\xF8\xFC";
	$pict[2]->{PG_Wheelchair} = "\xF6\x57";
	$pict[3]->{PG_Wheelchair} = "\xEE\x88\x8A";
	$pict[99]->{PG_Wheelchair} = "車椅子";
	# Crescent moon 三日月
	$pict[0]->{PG_CrescentMoon} = '63811.gif';
	$pict[1]->{PG_CrescentMoon} = "\xF9\x43";
	$pict[2]->{PG_CrescentMoon} = "\xF6\x5E";
	$pict[3]->{PG_CrescentMoon} = "\xEE\x81\x8C";
	$pict[99]->{PG_CrescentMoon} = "三日月";
	# Dog 犬
	$pict[0]->{PG_Dog} = '63813.gif';
	$pict[1]->{PG_Dog} = "\xF9\x45";
	$pict[2]->{PG_Dog} = "\xF6\xBA";
	$pict[3]->{PG_Dog} = "\xEE\x81\x92";
	$pict[99]->{PG_Dog} = "犬";
	# Cat 猫
	$pict[0]->{PG_Cat} = '63814.gif';
	$pict[1]->{PG_Cat} = "\xF9\x46";
	$pict[2]->{PG_Cat} = "\xF6\xB4";
	$pict[3]->{PG_Cat} = "\xEE\x81\x8F";
	$pict[99]->{PG_Cat} = "猫";
	# Yacht ヨット
	$pict[0]->{PG_Yacht} = '63815.gif';
	$pict[1]->{PG_Yacht} = "\xF9\x47";
	$pict[2]->{PG_Yacht} = "\xF6\x8D";
	$pict[3]->{PG_Yacht} = "\xEE\x80\x9C";
	$pict[99]->{PG_Yacht} = "ヨット";
	# Xmas クリスマス
	$pict[0]->{PG_Xmas} = '63816.gif';
	$pict[1]->{PG_Xmas} = "\xF9\x48";
	$pict[2]->{PG_Xmas} = "\xF6\xA2";
	$pict[3]->{PG_Xmas} = "\xEE\x80\xB3";
	$pict[99]->{PG_Xmas} = "クリスマス";
	# Bottom-left 左下
	$pict[0]->{PG_BottomLeft} = '63817.gif';
	$pict[1]->{PG_BottomLeft} = "\xF9\x49";
	$pict[2]->{PG_BottomLeft} = "\xF7\x72";
	$pict[3]->{PG_BottomLeft} = "\xEE\x88\xB9";
	$pict[99]->{PG_BottomLeft} = "左下";
	# Calling 電話する
	$pict[0]->{PG_Calling} = '63858.gif';
	$pict[1]->{PG_Calling} = "\xF9\x72";
	$pict[2]->{PG_Calling} = "\xF7\xDF";
	$pict[3]->{PG_Calling} = "\xEE\x80\x89";
	$pict[99]->{PG_Calling} = "電話";
	# Mailing メールする
	$pict[0]->{PG_Mailing} = '63859.gif';
	$pict[1]->{PG_Mailing} = "\xF9\x73";
	$pict[2]->{PG_Mailing} = "\xF4\x66";
	$pict[3]->{PG_Mailing} = "\xEE\x84\x83";
	$pict[99]->{PG_Mailing} = "メールする";
	# Fax ファックス
	$pict[0]->{PG_Fax} = '63860.gif';
	$pict[1]->{PG_Fax} = "\xF9\x74";
	$pict[2]->{PG_Fax} = "\xF6\xF9";
	$pict[3]->{PG_Fax} = "\xEE\x80\x8B";
	$pict[99]->{PG_Fax} = "ファックス";
	# ID
	$pict[0]->{PG_Id} = '63868.gif';
	$pict[1]->{PG_Id} = "\xF9\x7C";
	$pict[2]->{PG_Id} = "\xF3\x5B";
	$pict[3]->{PG_Id} = "\xEE\x88\xA9";
	$pict[99]->{PG_Id} = "ID";
	# Search サーチ
	$pict[0]->{PG_Search} = '63873.gif';
	$pict[1]->{PG_Search} = "\xF9\x81";
	$pict[2]->{PG_Search} = "\xF6\xF1";
	$pict[3]->{PG_Search} = "\xEE\x84\x94";
	$pict[99]->{PG_Search} = "サーチ";
	# NEW
	$pict[0]->{PG_New} = '63874.gif';
	$pict[1]->{PG_New} = "\xF9\x82";
	$pict[2]->{PG_New} = "\xF7\xE5";
	$pict[3]->{PG_New} = "\xEE\x88\x92";
	$pict[99]->{PG_New} = "NEW";
	# Sharp シャープ
	$pict[0]->{PG_Sharp} = '63877.gif';
	$pict[1]->{PG_Sharp} = "\xF9\x85";
	$pict[2]->{PG_Sharp} = "\xF4\x89";
	$pict[3]->{PG_Sharp} = "\xEE\x88\x90";
	$pict[99]->{PG_Sharp} = "シャープ";
	# 1
	$pict[0]->{PG_1} = '63879.gif';
	$pict[1]->{PG_1} = "\xF9\x87";
	$pict[2]->{PG_1} = "\xF6\xFB";
	$pict[3]->{PG_1} = "\xEE\x88\x9C";
	$pict[99]->{PG_1} = "1";
	# 2
	$pict[0]->{PG_2} = '63880.gif';
	$pict[1]->{PG_2} = "\xF9\x88";
	$pict[2]->{PG_2} = "\xF6\xFC";
	$pict[3]->{PG_2} = "\xEE\x88\x9D";
	$pict[99]->{PG_2} = "2";
	# 3
	$pict[0]->{PG_3} = '63881.gif';
	$pict[1]->{PG_3} = "\xF9\x89";
	$pict[2]->{PG_3} = "\xF7\x40";
	$pict[3]->{PG_3} = "\xEE\x88\x9E";
	$pict[99]->{PG_3} = "3";
	# 4
	$pict[0]->{PG_4} = '63882.gif';
	$pict[1]->{PG_4} = "\xF9\x8A";
	$pict[2]->{PG_4} = "\xF7\x41";
	$pict[3]->{PG_4} = "\xEE\x88\x9F";
	$pict[99]->{PG_4} = "4";
	# 5
	$pict[0]->{PG_5} = '63883.gif';
	$pict[1]->{PG_5} = "\xF9\x8B";
	$pict[2]->{PG_5} = "\xF7\x42";
	$pict[3]->{PG_5} = "\xEE\x88\xA0";
	$pict[99]->{PG_5} = "5";
	# 6
	$pict[0]->{PG_6} = '63884.gif';
	$pict[1]->{PG_6} = "\xF9\x8C";
	$pict[2]->{PG_6} = "\xF7\x43";
	$pict[3]->{PG_6} = "\xEE\x88\xA1";
	$pict[99]->{PG_6} = "6";
	# 7
	$pict[0]->{PG_7} = '63885.gif';
	$pict[1]->{PG_7} = "\xF9\x8D";
	$pict[2]->{PG_7} = "\xF7\x44";
	$pict[3]->{PG_7} = "\xEE\x88\xA2";
	$pict[99]->{PG_7} = "7";
	# 8
	$pict[0]->{PG_8} = '63886.gif';
	$pict[1]->{PG_8} = "\xF9\x8E";
	$pict[2]->{PG_8} = "\xF7\x45";
	$pict[3]->{PG_8} = "\xEE\x88\xA3";
	$pict[99]->{PG_8} = "8";
	# 9
	$pict[0]->{PG_9} = '63887.gif';
	$pict[1]->{PG_9} = "\xF9\x8F";
	$pict[2]->{PG_9} = "\xF7\x46";
	$pict[3]->{PG_9} = "\xEE\x88\xA4";
	$pict[99]->{PG_9} = "9";
	# 0
	$pict[0]->{PG_0} = '63888.gif';
	$pict[1]->{PG_0} = "\xF9\x90";
	$pict[2]->{PG_0} = "\xF7\xC9";
	$pict[3]->{PG_0} = "\xEE\x88\xA5";
	$pict[99]->{PG_0} = "0";
	# OK
	$pict[0]->{PG_OK} = '63920.gif';
	$pict[1]->{PG_OK} = "\xF9\xB0";
	$pict[2]->{PG_OK} = "\xF7\xCA";
	$pict[3]->{PG_OK} = "\xEE\x89\x8d";
	$pict[99]->{PG_OK} = "OK";
	# Heart mark ハートマーク
	$pict[0]->{PG_HeartMark} = '63889.gif';
	$pict[1]->{PG_HeartMark} = "\xF9\x91";
	$pict[2]->{PG_HeartMark} = "\xF7\xB2";
	$pict[3]->{PG_HeartMark} = "\xEE\x80\xA2";
	$pict[99]->{PG_HeartMark} = "ハートマーク";
	# Break heart 失恋
	$pict[0]->{PG_HeartBreak} = '63891.gif';
	$pict[1]->{PG_HeartBreak} = "\xF9\x93";
	$pict[2]->{PG_HeartBreak} = "\xF6\x4F";
	$pict[3]->{PG_HeartBreak} = "\xEE\x80\xA3";
	$pict[99]->{PG_HeartBreak} = "失恋";
	# Smile うれしい顔
	$pict[0]->{PG_Smile} = '63893.gif';
	$pict[1]->{PG_Smile} = "\xF9\x95";
	$pict[2]->{PG_Smile} = "\xF6\x49";
	$pict[3]->{PG_Smile} = "\xEE\x81\x96";
	$pict[99]->{PG_Smile} = "うれしい顔";
	# Angry 怒った顔
	$pict[0]->{PG_Angry} = '63894.gif';
	$pict[1]->{PG_Angry} = "\xF9\x96";
	$pict[2]->{PG_Angry} = "\xF6\x4A";
	$pict[3]->{PG_Angry} = "\xEE\x81\x99";
	$pict[99]->{PG_Angry} = "怒った顔";
	# Sad 悲しい顔
	$pict[0]->{PG_Sad} = '63895.gif';
	$pict[1]->{PG_Sad} = "\xF9\x98";
	$pict[2]->{PG_Sad} = "\xF3\x97";
	$pict[3]->{PG_Sad} = "\xEE\x81\x98";
	$pict[99]->{PG_Sad} = "悲しい顔";
	# Note ♪音符
	$pict[0]->{PG_Note} = '63899.gif';
	$pict[1]->{PG_Note} = "\xF9\x9B";
	$pict[2]->{PG_Note} = "\xF7\xEE";
	$pict[3]->{PG_Note} = "\xEE\x8C\xA6";
	$pict[99]->{PG_Note} = "音符";
	# Spring 温泉
	$pict[0]->{PG_Spring} = '63900.gif';
	$pict[1]->{PG_Spring} = "\xF9\x9C";
	$pict[2]->{PG_Spring} = "\xF6\x95";
	$pict[3]->{PG_Spring} = "\xEE\x84\xA3";
	$pict[99]->{PG_Spring} = "温泉";
	# Kiss キスマーク
	$pict[0]->{PG_Kiss} = '63902.gif';
	$pict[1]->{PG_Kiss} = "\xF9\x9E";
	$pict[2]->{PG_Kiss} = "\xF6\xC4";
	$pict[3]->{PG_Kiss} = "\xEE\x80\x83";
	$pict[99]->{PG_Kiss} = "キスマーク";
	# Glow 輝き
	$pict[0]->{PG_Glow} = '63903.gif';
	$pict[1]->{PG_Glow} = "\xF9\x9F";
	$pict[2]->{PG_Glow} = "\xF3\x7E";
	$pict[3]->{PG_Glow} = "\xEE\x8C\xAE";
	$pict[99]->{PG_Glow} = "輝き";
	# Inspiration ひらめき
	$pict[0]->{PG_Inspiration} = '63904.gif';
	$pict[1]->{PG_Inspiration} = "\xF9\xA0";
	$pict[2]->{PG_Inspiration} = "\xF6\x4E";
	$pict[3]->{PG_Inspiration} = "\xEE\x84\x8F";
	$pict[99]->{PG_Inspiration} = "ひらめき";
	# Angry2 怒りマーク
	$pict[0]->{PG_Angry2} = '63905.gif';
	$pict[1]->{PG_Angry2} = "\xF9\xA1";
	$pict[2]->{PG_Angry2} = "\xF6\xBE";
	$pict[3]->{PG_Angry2} = "\xEE\x8C\xB4";
	$pict[99]->{PG_Angry2} = "怒りマーク";
	# Punch パンチ
	$pict[0]->{PG_Punch} = '63906.gif';
	$pict[1]->{PG_Punch} = "\xF9\xA2";
	$pict[2]->{PG_Punch} = "\xF6\xCC";
	$pict[3]->{PG_Punch} = "\xEE\x80\x8D";
	$pict[99]->{PG_Punch} = "パンチ";
	# Bomb 爆弾
	$pict[0]->{PG_Bomb} = '63907.gif';
	$pict[1]->{PG_Bomb} = "\xF9\xA3";
	$pict[2]->{PG_Bomb} = "\xF6\x52";
	$pict[3]->{PG_Bomb} = "\xEE\x8C\x91";
	$pict[99]->{PG_Bomb} = "爆弾";
	# Melody メロディ
	$pict[0]->{PG_Melody} = '63908.gif';
	$pict[1]->{PG_Melody} = "\xF9\xA4";
	$pict[2]->{PG_Melody} = "\xF6\xDE";
	$pict[3]->{PG_Melody} = "\xEE\x8C\xA6";
	$pict[99]->{PG_Melody} = "メロディ";
	# Sleepy 眠い
	$pict[0]->{PG_Sleepy} = '63910.gif';
	$pict[1]->{PG_Sleepy} = "\xF9\xA6";
	$pict[2]->{PG_Sleepy} = "\xF6\x4D";
	$pict[3]->{PG_Sleepy} = "\xEE\x84\xBC";
	$pict[99]->{PG_Sleepy} = "眠い";
	# Exclamation びっくりマーク
	$pict[0]->{PG_Exclamation} = '63911.gif';
	$pict[1]->{PG_Exclamation} = "\xF9\xA7";
	$pict[2]->{PG_Exclamation} = "\xF6\x5A";
	$pict[3]->{PG_Exclamation} = "\xEE\x80\xA1";
	$pict[99]->{PG_Exclamation} = "びっくりマーク";
	# Sweat 汗汗
	$pict[0]->{PG_Sweat} = '63915.gif';
	$pict[1]->{PG_Sweat} = "\xF9\xAB";
	$pict[2]->{PG_Sweat} = "\xF7\xCE";
	$pict[3]->{PG_Sweat} = "\xEE\x8C\xB1";
	$pict[99]->{PG_Sweat} = "汗汗";
	# Dush ダッシュ
	$pict[0]->{PG_Dush} = '63917.gif';
	$pict[1]->{PG_Dush} = "\xF9\xAD";
	$pict[2]->{PG_Dush} = "\xF6\xCD";
	$pict[3]->{PG_Dush} = "\xEE\x8C\xB0";
	$pict[99]->{PG_Dush} = "ダッシュ";
	# Night 夜
	$pict[0]->{PG_Night} = '63831.gif';
	$pict[1]->{PG_Night} = "\xF9\x57";
	$pict[2]->{PG_Night} = "\xF3\xC5";
	$pict[3]->{PG_Night} = "\xEE\x91\x8B";
	$pict[99]->{PG_Night} = "夜";
	# T-Shirt シャツ
	$pict[0]->{PG_TShirt} = '63923.gif';
	$pict[1]->{PG_TShirt} = "\xF9\xB3";
	$pict[2]->{PG_TShirt} = "\xF7\xE6";
	$pict[3]->{PG_TShirt} = "\xEE\x80\x86";
	$pict[99]->{PG_TShirt} = "シャツ";
	# Rip stick 口紅
	$pict[0]->{PG_RipStick} = '63925.gif';
	$pict[1]->{PG_RipStick} = "\xF9\xB5";
	$pict[2]->{PG_RipStick} = "\xF6\xE2";
	$pict[3]->{PG_RipStick} = "\xEE\x8C\x9C";
	$pict[99]->{PG_RipStick} = "口紅";
	# Chapel チャペル
	$pict[0]->{PG_Chapel} = '63928.gif';
	$pict[1]->{PG_Chapel} = "\xF9\xB8";
	$pict[2]->{PG_Chapel} = "\xF6\xEB";
	$pict[3]->{PG_Chapel} = "\xEE\x8C\xA5";
	$pict[99]->{PG_Chapel} = "チャペル";
	# Dollar Bag ドル袋
	$pict[0]->{PG_DollarBag} = '63930.gif';
	$pict[1]->{PG_DollarBag} = "\xF9\xBA";
	$pict[2]->{PG_DollarBag} = "\xF6\xA0";
	$pict[3]->{PG_DollarBag} = "\xEE\x84\xAF";
	$pict[99]->{PG_DollarBag} = "ドル袋";
	# Personal computer パソコン
	$pict[0]->{PG_PC} = '63931.gif';
	$pict[1]->{PG_PC} = "\xF9\xBB";
	$pict[2]->{PG_PC} = "\xF7\xE8";
	$pict[3]->{PG_PC} = "\xEE\x80\x8C";
	$pict[99]->{PG_PC} = "パソコン";
	# Crown 王冠
	$pict[0]->{PG_Crown} = '63935.gif';
	$pict[1]->{PG_Crown} = "\xF9\xBF";
	$pict[2]->{PG_Crown} = "\xF7\xF9";
	$pict[3]->{PG_Crown} = "\xEE\x84\x8E";
	$pict[99]->{PG_Crown} = "王冠";
	# Ring 指輪
	$pict[0]->{PG_Ring} = '63936.gif';
	$pict[1]->{PG_Ring} = "\xF9\xC0";
	$pict[2]->{PG_Ring} = "\xF6\xED";
	$pict[3]->{PG_Ring} = "\xEE\x80\xB4";
	$pict[99]->{PG_Ring} = "指輪";
	# Bicycle 自転車
	$pict[0]->{PG_Bicycle} = '63938.gif';
	$pict[1]->{PG_Bicycle} = "\xF9\xC2";
	$pict[2]->{PG_Bicycle} = "\xF6\x87";
	$pict[3]->{PG_Bicycle} = "\xEE\x84\xB6";
	$pict[99]->{PG_Bicycle} = "自転車";
	# Tea cup 湯呑
	$pict[0]->{PG_TeaCup} = '63939.gif';
	$pict[1]->{PG_TeaCup} = "\xF9\xC3";
	$pict[2]->{PG_TeaCup} = "\xF3\x82";
	$pict[3]->{PG_TeaCup} = "\xEE\x8C\xB8";
	$pict[99]->{PG_TeaCup} = "湯のみ";
	# Relief ほっとした顔
	$pict[0]->{PG_Relief} = '63942.gif';
	$pict[1]->{PG_Relief} = "\xF9\xC6";
	$pict[2]->{PG_Relief} = "\xF3\x99";
	$pict[3]->{PG_Relief} = "\xEE\x90\x8A";
	$pict[99]->{PG_Relief} = "ほっとした顔";
	# Cold sweat 冷汗
	$pict[0]->{PG_ColdSweat} = '63943.gif';
	$pict[1]->{PG_ColdSweat} = "\xF9\xC8";
	$pict[2]->{PG_ColdSweat} = "\xF7\xF6";
	$pict[3]->{PG_ColdSweat} = "\xEE\x90\x8F";
	$pict[99]->{PG_ColdSweat} = "冷汗";
	# Grouch 不機嫌
	$pict[0]->{PG_Grouch} = '63945.gif';
	$pict[1]->{PG_Grouch} = "\xF9\xC9";
	$pict[2]->{PG_Grouch} = "\xF4\x61";
	$pict[3]->{PG_Grouch} = "\xEE\x90\x96";
	$pict[99]->{PG_Grouch} = "不機嫌";
	# Embarrassing しらける
	$pict[0]->{PG_Embarrassing} = '63946.gif';
	$pict[1]->{PG_Embarrassing} = "\xF9\xCA";
	$pict[2]->{PG_Embarrassing} = "\xF3\x9D";
	$pict[3]->{PG_Embarrassing} = "\xEE\x90\x8E";
	$pict[99]->{PG_Embarrassing} = "しらける";
	# Heart eyes 目がハート
	$pict[0]->{PG_HeartEyes} = '63947.gif';
	$pict[1]->{PG_HeartEyes} = "\xF9\xCB";
	$pict[2]->{PG_HeartEyes} = "\xF7\xF4";
	$pict[3]->{PG_HeartEyes} = "\xEE\x90\x97";
	$pict[99]->{PG_HeartEyes} = "目がハート";
	# GOOD
	$pict[0]->{PG_Good} = '63948.gif';
	$pict[1]->{PG_Good} = "\xF9\xCC";
	$pict[2]->{PG_Good} = "\xF6\xD2";
	$pict[3]->{PG_Good} = "\xEE\x80\x8E";
	$pict[99]->{PG_Good} = "GOOD";
	# Tongue あっかんべー
	$pict[0]->{PG_Tongue} = '63949.gif';
	$pict[1]->{PG_Tongue} = "\xF9\xCD";
	$pict[2]->{PG_Tongue} = "\xF6\xC0";
	$pict[3]->{PG_Tongue} = "\xEE\x84\x85";
	$pict[99]->{PG_Tongue} = "あっかんべー";
	# Wink ウインク
	$pict[0]->{PG_Wink} = '63950.gif';
	$pict[1]->{PG_Wink} = "\xF9\xCE";
	$pict[2]->{PG_Wink} = "\xF7\xF3";
	$pict[3]->{PG_Wink} = "\xEE\x90\x85";
	$pict[99]->{PG_Wink} = "ウインク";
	# Patience 我慢
	$pict[0]->{PG_Patience} = '63952.gif';
	$pict[1]->{PG_Patience} = "\xF9\xD0";
	$pict[2]->{PG_Patience} = "\xF3\x96";
	$pict[3]->{PG_Patience} = "\xEE\x90\x86";
	$pict[99]->{PG_Patience} = "我慢";
	# Consent 納得
	$pict[0]->{PG_Consent} = '63953.gif';
	$pict[1]->{PG_Consent} = "\xF9\xD1";
	$pict[2]->{PG_Consent} = "\xF3\x93";
	$pict[3]->{PG_Consent} = "\xEE\x90\x82";
	$pict[99]->{PG_Consent} = "納得";
	# Cry 泣き顔
	$pict[0]->{PG_Cry} = '63954.gif';
	$pict[1]->{PG_Cry} = "\xF9\xD2";
	$pict[2]->{PG_Cry} = "\xF6\x4B";
	$pict[3]->{PG_Cry} = "\xEE\x90\x91";
	$pict[99]->{PG_Cry} = "泣き顔";
	# Copyright コピーライト
	$pict[0]->{PG_Copyright} = '63958.gif';
	$pict[1]->{PG_Copyright} = "\xF9\xD6";
	$pict[2]->{PG_Copyright} = "\xF7\x74";
	$pict[3]->{PG_Copyright} = "\xEE\x89\x8E";
	$pict[99]->{PG_Copyright} = "コピーライト";
	# Trade mark トレードマーク
	$pict[0]->{PG_TradeMark} = '63959.gif';
	$pict[1]->{PG_TradeMark} = "\xF9\xD7";
	$pict[2]->{PG_TradeMark} = "\xF7\x6A";
	$pict[3]->{PG_TradeMark} = "\xEE\x94\xB7";
	$pict[99]->{PG_TradeMark} = "トレードマーク";
	# Marathon マラソン
	$pict[0]->{PG_Marathon} = '63960.gif';
	$pict[1]->{PG_Marathon} = "\xF9\xD8";
	$pict[2]->{PG_Marathon} = "\xF6\x43";
	$pict[3]->{PG_Marathon} = "\xEE\x84\x95";
	$pict[99]->{PG_Marathon} = "マラソン";
	# Secret マル秘
	$pict[0]->{PG_Secret} = '63961.gif';
	$pict[1]->{PG_Secret} = "\xF9\xD9";
	$pict[2]->{PG_Secret} = "\xF6\xCA";
	$pict[3]->{PG_Secret} = "\xEE\x8C\x95";
	$pict[99]->{PG_Secret} = "マル秘";
	# Registerd レジスタードトレードマーク
	$pict[0]->{PG_Registerd} = '63963.gif';
	$pict[1]->{PG_Registerd} = "\xF9\xDB";
	$pict[2]->{PG_Registerd} = "\xF7\x75";
	$pict[3]->{PG_Registerd} = "\xEE\x89\x8F";
	$pict[99]->{PG_Registerd} = "レジスタートレードマーク";
	# Danger 危険
	$pict[0]->{PG_Danger} = '63964.gif';
	$pict[1]->{PG_Danger} = "\xF9\xDC";
	$pict[2]->{PG_Danger} = "\xF6\x59";
	$pict[3]->{PG_Danger} = "\xEE\x89\x92";
	$pict[99]->{PG_Danger} = "危険";
	# Availability 空室
	$pict[0]->{PG_Availability} = '63966.gif';
	$pict[1]->{PG_Availability} = "\xF9\xDE";
	$pict[2]->{PG_Availability} = "\xF3\x5D";
	$pict[3]->{PG_Availability} = "\xEE\x88\xAB";
	$pict[99]->{PG_Availability} = "空室";
	# Full occupancy 満室マーク
	$pict[0]->{PG_FullOccupancy} = '63968.gif';
	$pict[1]->{PG_FullOccupancy} = "\xF9\xE0";
	$pict[2]->{PG_FullOccupancy} = "\xF3\x5C";
	$pict[3]->{PG_FullOccupancy} = "\xEE\x88\xAA";
	$pict[99]->{PG_FullOccupancy} = "満室";
	# School 学校
	$pict[0]->{PG_School} = '63971.gif';
	$pict[1]->{PG_School} = "\xF9\xE3";
	$pict[2]->{PG_School} = "\xF3\x53";
	$pict[3]->{PG_School} = "\xEE\x85\x97";
	$pict[99]->{PG_School} = "学校";
	# Wave 波
	$pict[0]->{PG_Wave} = '63972.gif';
	$pict[1]->{PG_Wave} = "\xF9\xE4";
	$pict[2]->{PG_Wave} = "\xF4\x81";
	$pict[3]->{PG_Wave} = "\xEE\x90\xBE";
	$pict[99]->{PG_Wave} = "夜";
	# Mountain 山
	$pict[0]->{PG_Mountain} = '63973.gif';
	$pict[1]->{PG_Mountain} = "\xF9\xE5";
	$pict[2]->{PG_Mountain} = "\xF7\xED";
	$pict[3]->{PG_Mountain} = "\xEE\x80\xBB";
	$pict[99]->{PG_Mountain} = "山";
	# Four leaves 四葉
	$pict[0]->{PG_FourLeaves} = '63974.gif';
	$pict[1]->{PG_FourLeaves} = "\xF9\xE6";
	$pict[2]->{PG_FourLeaves} = "\xF6\xEC";
	$pict[3]->{PG_FourLeaves} = "\xEE\x84\x90";
	$pict[99]->{PG_FourLeaves} = "四葉";
	# Tulip チューリップ
	$pict[0]->{PG_Tulip} = '63976.gif';
	$pict[1]->{PG_Tulip} = "\xF9\xE8";
	$pict[2]->{PG_Tulip} = "\xF6\xBD";
	$pict[3]->{PG_Tulip} = "\xEE\x8C\x84";
	$pict[99]->{PG_Tulip} = "チューリップ";
	# Apple リンゴ
	$pict[0]->{PG_Apple} = '63978.gif';
	$pict[1]->{PG_Apple} = "\xF9\xEA";
	$pict[2]->{PG_Apple} = "\xF3\x8D";
	$pict[3]->{PG_Apple} = "\xEE\x8D\x85";
	$pict[99]->{PG_Apple} = "リンゴ";
	# Maple 紅葉
	$pict[0]->{PG_Maple} = '63980.gif';
	$pict[1]->{PG_Maple} = "\xF9\xEC";
	$pict[2]->{PG_Maple} = "\xF6\xA7";
	$pict[3]->{PG_Maple} = "\xEE\x84\x98";
	$pict[99]->{PG_Maple} = "紅葉";
	# Cherry Blossom 桜
	$pict[0]->{PG_CherryBlossom} = '63981.gif';
	$pict[1]->{PG_CherryBlossom} = "\xF9\xED";
	$pict[2]->{PG_CherryBlossom} = "\xF6\xA3";
	$pict[3]->{PG_CherryBlossom} = "\xEE\x80\xB0";
	$pict[99]->{PG_CherryBlossom} = "桜";
	# Rice ball おにぎり
	$pict[0]->{PG_RiceBall} = '63982.gif';
	$pict[1]->{PG_RiceBall} = "\xF9\xEE";
	$pict[2]->{PG_RiceBall} = "\xF6\xAE";
	$pict[3]->{PG_RiceBall} = "\xEE\x8D\x82";
	$pict[99]->{PG_RiceBall} = "おにぎり";
	# Shortcake ショートケーキ
	$pict[0]->{PG_Shortcake} = '63983.gif';
	$pict[1]->{PG_Shortcake} = "\xF9\xEF";
	$pict[2]->{PG_Shortcake} = "\xF6\xA9";
	$pict[3]->{PG_Shortcake} = "\xEE\x81\x86";
	$pict[99]->{PG_Shortcake} = "ショートケーキ";
	# Sake bottle とっくり
	$pict[0]->{PG_SakeBottle} = '63984.gif';
	$pict[1]->{PG_SakeBottle} = "\xF9\xF0";
	$pict[2]->{PG_SakeBottle} = "\xF3\x6A";
	$pict[3]->{PG_SakeBottle} = "\xEE\x8C\x8B";
	$pict[99]->{PG_SakeBottle} = "とっくり";
	# Ramen ラーメン
	$pict[0]->{PG_Ramen} = '63985.gif';
	$pict[1]->{PG_Ramen} = "\xF9\xF1";
	$pict[2]->{PG_Ramen} = "\xF7\xD1";
	$pict[3]->{PG_Ramen} = "\xEE\x8D\x80";
	$pict[99]->{PG_Ramen} = "ラーメン";
	# Bread パン
	$pict[0]->{PG_Bread} = '63986.gif';
	$pict[1]->{PG_Bread} = "\xF9\xF2";
	$pict[2]->{PG_Bread} = "\xF3\x83";
	$pict[3]->{PG_Bread} = "\xEE\x8C\xB9";
	$pict[99]->{PG_Bread} = "パン";
	# Chick ひよこ
	$pict[0]->{PG_Chick} = '63988.gif';
	$pict[1]->{PG_Chick} = "\xF9\xF4";
	$pict[2]->{PG_Chick} = "\xF6\xB9";
	$pict[3]->{PG_Chick} = "\xEE\x94\xA3";
	$pict[99]->{PG_Chick} = "ひよこ";
	# Penguin ペンギン
	$pict[0]->{PG_Penguin} = '63989.gif';
	$pict[1]->{PG_Penguin} = "\xF9\xF5";
	$pict[2]->{PG_Penguin} = "\xF6\xB5";
	$pict[3]->{PG_Penguin} = "\xEE\x81\x95";
	$pict[99]->{PG_Penguin} = "ペンギン";
	# Horse 馬
	$pict[0]->{PG_Horse} = '63993.gif';
	$pict[1]->{PG_Horse} = "\xF9\xF9";
	$pict[2]->{PG_Horse} = "\xF6\xB1";
	$pict[3]->{PG_Horse} = "\xEE\x84\xB4";
	$pict[99]->{PG_Horse} = "馬";
	# Pig 豚
	$pict[0]->{PG_Pig} = '63994.gif';
	$pict[1]->{PG_Pig} = "\xF9\xFA";
	$pict[2]->{PG_Pig} = "\xF6\xB7";
	$pict[3]->{PG_Pig} = "\xEE\x84\x8B";
	$pict[99]->{PG_Pig} = "豚";

	return $pict[$care];
}
1;

