#!/usr/bin/perl
###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Communications owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package main;

use strict;
use lib qw(./asp_opt ./ext_lib);
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use CGI::Cookie;
use DBI;
use Unicode::Japanese;
eval 'use LWP::UserAgent;';
eval 'use HTTP::Cookies;';
eval 'use HTTP::Request::Common;';
use Mail::POP3Client;
require "./config.cgi";
require "./lib/get.pl";
require "./lib/check.pl";
require "./lib/save.pl";
require "./lib/proc.pl";
require "./lib/show.pl";
require "./lib/cp.pl";
require "./lib/db.pl";
require "./lib/start.pl";
require "./lib/auto.pl";
require "./lib/asp.pl";
require "./lib/item.pl";
require "./lib/default.pl";

select((select(STDOUT),$|=1)[0]);
my $F = CGI->new();
&db::open();
# Set parameter
my $pd = $F->Vars;

$$pd{id} = $$pd{m} if !$$pd{id};
# Check parameter
if(	!$$pd{id}												||
	!$$pd{mode}											||
	(
		($$pd{mode} eq 'doi' || $$pd{mode} eq 'doi2') &&
		(!$$pd{nc} || !$$pd{ac})
	)
){
	&show::err_msg("
		<p>パラメータ情報に不備があります。</p>
		<p>WEB管理者までお問い合わせください。</p>
	");
}
my $stg  = &get::setting_data();	# 1.86 PH OK
my $dd   = &get::delivery();		# 1.86 PH OK

if(!$stg){
	&show::err_msg("
		<p>メールマガジンが存在しないか、すでに廃刊されています。</p>
		<p>詳しくは発行者までお問い合わせください。</p>
	");
}
if($$pd{mode} == 1 || $$pd{mode} == 4){	# reg, true reg
	my $modify = $$pd{mode} == 4 ? 2 : 0;	# True reg form -> modify = 2
	# Get form setting
	my $fstg = &get::form_setting($modify);	# 1.86 PH OK
	if(!$$fstg{permit}){
		&show::err_msg("現在このフォームは利用できません。");
	}
	if(&check::active_user($$pd{email},$$pd{id}) == 0){	# 1.86 PH OK
		if($$stg{regi_fini_url2}){
			print "Location: $$stg{regi_fini_url2}\n\n"; exit;
		}
		else{
			&show::err_msg("<p>送信されたメールアドレスはすでに登録されています。</p>");
		}
	}
	# Check parameter for regist
	&check::regist_param($pd,$modify) if !$$pd{again};	# 1.86 PH OK

	if($$fstg{alert} && !$$pd{exe_regist} && !$$pd{again}){
		my ($reg_info,$reg_info_hidden) = &main::set_list_and_hidden($fstg);
		#my $reg_exe_btn = <<FORM;
		#	<form action='$$stg{regist_path}\[__URI_PARAMS__\]' method='post'>
		#		<input type='submit' name='exe_regist' value=' O K ' class='btn' />
		#		$reg_info_hidden
		#	</form>
#FORM
		my $reg_exe_btn = <<FORM;
			<form action='\[__REGIST_PATH__\]\[__URI_PARAMS__\]' method='post'>
				<input type='submit' name='exe_regist' value=' O K ' class='btn' />
				$reg_info_hidden
			</form>
FORM
		&show::rg_Alert(
			$reg_info,
			$reg_exe_btn
		);
	}
	#########

	if($$pd{mode} != 4 && $$stg{double_optin2} && !$$pd{again}){
		$$pd{charset} = $$pd{charset} ? $$pd{charset} : 'auto';
		$$pd{name}	= $$pd{name_1} && $$pd{name_2} ? $$pd{name_1}.' '.$$pd{name_2} : &get::forming_name($$pd{name});	# 1.67
		if($$pd{charset} ne 'utf8'){
			$$pd{name} =	Unicode::Japanese->new(
				$$pd{name},
				$$pd{charset}
			)->utf8;
		}
		$$pd{name} = &get::forming_name($$pd{name});
		my %ud = (
			name	=> $$pd{name},
			email	=> $$pd{email}
		);
		# 1.82 ##############################
		my ($sub,$cont,$lang) = &get::doi2_msg_cont();	# 1.86 PH OK
		if(my $uri_params = &get::uri_params()){
			$cont =~ s/\%\%W?OPTINURL\%\%/$&\&$uri_params/g;
		}
		#&start::return_mail(
		#	\%ud,
		#	$stg,
		#	&get::doi2_msg_cont(),
		#	$dd
		#);
		&start::return_mail(
			\%ud,
			$stg,
			$sub,$cont,$lang,
			$dd
		);
		######################################
		&show::p_rg_OKmsg($$pd{email},$$pd{name});
	}

	else{
		&main::set_uri_params();	# 1.82
		$$pd{regist_from} = 0 if !$$pd{regist_from};	# 1.82 
		# New entry
		&db::query("SELECT MAX(no) FROM `ms\_user\_$$pd{id}`");
		my $user_no = $db::sth->fetchrow_array() + 1;
		my $no_crypt = &cp::enc_pass($user_no);
		if($$pd{again}){
			# Case click re-entry button
			# 1.86 #####
			#&db::query("
			#	INSERT IGNORE INTO `ms_user_$$pd{'id'}` (
			#		no,
			#		active,
			#		email,
			#		entry,
			#		regist_mode,
			#		regist_from,
			#		clicks,
			#		points,
			#		no_crypt,
			#		next_story
			#	)
			#	VALUES(
			#		$user_no,
			#		1,
			#		'$$pd{'email'}',
			#		'$$pd{'entry'}',
			#		2,
			#		'$$pd{regist_from}',
			#		0,
			#		'$$pd{'points'}',
			#		'$no_crypt',
			#		'$$pd{'next_story'}'
			#	)
			#");
			&db::query(
				"INSERT IGNORE INTO `ms\_user\_$$pd{id}` (
					no, active, email, entry, regist_mode, regist_from,
					clicks, points, no_crypt, next_story
				 ) VALUES (
					?, 1, ?, ?, 2, ?,
					0, ?, ?, ?
				)",
				[
					{value => $user_no         },
					{value => $$pd{email}      },
					{value => $$pd{entry}      },
					{value => $$pd{regist_from}},
					{value => $$pd{points}     },
					{value => $no_crypt        },
					{value => $$pd{next_story} }
				]
			);
			##########
		}
		else{
			$$pd{charset} = $$pd{charset} ? $$pd{charset} : 'auto';
			if($$pd{charset} ne 'utf8' && $$pd{user_comment}){
				$$pd{user_comment} = Unicode::Japanese->new(
					$$pd{user_comment}, $$pd{charset}
				)->utf8;
			}
			if($$pd{birth_year} && $$pd{birth_mon} && $$pd{birth_day}){
				$$pd{birth} = "$$pd{birth_year}-$$pd{birth_mon}-$$pd{birth_day}";
			}
			# New entry if not exists the user (email => unique)
			# 1.86 ####
			#&db::query("
			#	INSERT IGNORE INTO `ms_user_$$pd{id}` (
			#		no,
			#		active,
			#		email,
			#		entry,
			#		regist_mode,
			#		regist_from,
			#		clicks,
			#		points,
			#		no_crypt,
			#		next_story
			#	)
			#	VALUES(
			#		$user_no,
			#		1,
			#		'$$pd{email}',
			#		CURRENT_DATE(),
			#		2,
			#		'$$pd{regist_from}',
			#		0,
			#		'$$stg{fir_points2}',
			#		'$no_crypt',
			#		1
			#	)
			#");
			&db::query(
				"INSERT IGNORE INTO `ms\_user\_$$pd{id}` (
					no, active, email, entry, regist_mode, regist_from,
					clicks, points, no_crypt, next_story
				) VALUES (
					?, 1, ?, CURRENT_DATE(), 2, ?,
					0, ?, ?, 1
				)",
				[
					{value => $user_no          },
					{value => $$pd{email}       },
					{value => $$pd{regist_from} },
					{value => $$stg{fir_points2}},
					{value => $no_crypt         }
				]
			);
			##########
		}
		# active flg ON for user already exsisted 
		my @diags = ();
		foreach(&item::error_diags()){
			push(@diags, $$_[0].' = 0');
		}
		# 1.86 #####
		#&db::query("
		#	UPDATE `ms\_user\_$$pd{id}` SET
		#	active = 1,". join(',',@diags).
		#	" WHERE email = '$$pd{email}'
		#");
		&db::query(
			"UPDATE `ms\_user\_$$pd{id}`
			 SET active = 1,". join(',',@diags). 
			" WHERE email = ?",
			[ {value => $$pd{email}} ]
		);
		############
		if(!$$pd{again}){
			# 1.86 #####
			#&db::query("
			#	UPDATE `ms_user_$$pd{id}` SET
			#	entry  = CURRENT_DATE()
			#	WHERE email = '$$pd{email}'
			#");
			&db::query(
				"UPDATE `ms\_user\_$$pd{id}`
				 SET     entry = CURRENT_DATE()
				 WHERE   email = ?",
				[ {value => $$pd{email}} ]
			);
			############
		}
		# Set users info
		# 1.86 ####
		#&db::query("SELECT * FROM `ms_user_$$pd{id}` WHERE email = '$$pd{email}'");
		&db::query(
			"SELECT * FROM `ms\_user\_$$pd{id}`
			 WHERE email = ?",
			[ {value => $$pd{email}} ]
		);
		###########
		my $ud = $db::sth->fetchrow_hashref();
		&save::users_edit_by_form($ud,$pd);	# 1.86 PH OK
		# Drop from blacklist
		# 1.86 ####
		#&db::query("DELETE FROM `ms_black_$$pd{id}` WHERE email = '$$pd{email}'");
		&db::query(
			"DELETE FROM `ms\_black\_$$pd{id}`
			 WHERE email = ?",
			[ {value => $$pd{email}} ]
		);
		###########
		# Send message of complete resisting
		if($$stg{regi_msg} == 1){
			&start::return_mail(
				$ud,
				$stg,
				&get::regi_msg_cont(),
				$dd
			);
		}
		# Show result	（※Outside of FORK !!）
		if($$stg{'regi_fini_url1'}){
			print "Location: $$stg{'regi_fini_url1'}\n\n";
			# Don't exit here!
		}
		else{
			&show::rg_OKmsg($$pd{email},$$pd{name});	# 1.86 PH OK
		}
	
#=pod
		my $pid;
		FORK:{
			if($pid = fork){
				close(STDOUT);
				close(STDERR);
				close(STDIN);
				wait;
			}
			elsif(defined $pid){
				close(STDOUT);
				close(STDERR);
				close(STDIN);
				&db::child_open();
#=cut
				&proc::deliv_step($stg,$pd);
				&start::report_reg_rm(
					$stg,
					$dd,
					&get::one_user_data(
						$$pd{id},
						$$ud{no}
					),	# $ud
					$pd
				);
				##### Simule regist
				if(!$$pd{again} && $$stg{sim_entry} == 1){
					foreach(split(/,/,$$stg{sim_entry_mags})){
						my %cd = (
							regist_from	=> 'sim_entry',
							id				=> $_,
							asp_name		=> undef,
							import			=> $$pd{name}.'|'.$$pd{email},
							double_optin	=> undef
						);
						&proc::import_users(\%cd);
					}
				}
#				&db::open();
#=pod
			}
			elsif($! =~ /No more process/){
				sleep 5;
				redo FORK;
			}
			else{
				&show::err_msg(
					"forkがサポートされていません。サーバ管理者にお問い合わせください。"
				);   
			}
		} # End Of Label:FORK
#=cut
	} # else
}
elsif($$pd{mode} eq 'doi' || $$pd{mode} eq 'doi2'){

	$$pd{name}  = &cp::dec_pass($$pd{nc});
	$$pd{email} = &cp::dec_pass($$pd{ac});

	if(&check::active_user($$pd{email},$$pd{id}) == 0){	# 1.86 PH OK
		if($$stg{regi_fini_url2}){
			print "Location: $$stg{regi_fini_url2}\n\n";
			exit;
		}
		else{
			&show::err_msg("<p>送信されたメールアドレス情報はすでに登録されています。</p>\n");
		}
	}
	if($$stg{treat_doi} == 2){
		# Show true reg form
		my $path = &get::msdir()."form_if.cgi";	# 1.84 #die $path;
		$path .= '?id='.$$stg{id}.'&type='.$$stg{type_num}.'&modify=2&ac='.$$pd{ac}.'&nc='.$$pd{nc};
		if(my $uri_params = &get::uri_params()){	# 1.82
			$path .= '&'.$uri_params;
		} 
		print "Location: $path\n\n";
		exit;
	}
	else{
		# New entry
		&db::query("SELECT MAX(no) FROM `ms\_user\_$$pd{id}`");
		my $user_no = $db::sth->fetchrow_array() +1 ;
		my $no_crypt = &cp::enc_pass($user_no);
		my $reg_mode = $$pd{mode} eq 'doi2' ? 2 : 3;
		# 1.86 ###
		#&db::query("
		#	INSERT IGNORE INTO `ms_user_$$pd{'id'}` (
		#		no,
		#		active,
		#		email,
		#		entry,
		#		regist_mode,
		#		regist_from,
		#		clicks,
		#		points,
		#		no_crypt,
		#		next_story
		#	)
		#	VALUES(
		#		$user_no,
		#		1,
		#		'$$pd{email}',
		#		CURRENT_DATE(),
		#		$reg_mode,
		#		0,
		#		0,
		#		$$stg{fir_points2},
		#		'$no_crypt',
		#		1
		#	)
		#");
		&db::query(
			"INSERT IGNORE INTO `ms\_user\_$$pd{id}` (
				no, active, email, entry, regist_mode, regist_from,
				clicks, points, no_crypt, next_story
			) VALUES (
				?, 1, ?, CURRENT_DATE(), ?, 0,
				0, ?, ?, 1
			)",
			[
				{value => $user_no          },
				{value => $$pd{email}       },
				{value => $reg_mode         },
				{value => $$stg{fir_points2}},
				{value => $no_crypt         }
			]
		);
		##########
		# active flg ON for existing user 
		# 1.79 ####################################
		#&db::query("
		#	UPDATE `ms_user_$$pd{id}` SET
		#	active = 1
		#	WHERE email = '$$pd{email}'
		#");
		my @diags = ();
		foreach(&item::error_diags()){
			push(@diags, $$_[0].' = 0');
		}
		# 1.86 ####
		#&db::query("
		#	UPDATE `ms_user_$$pd{id}` SET
		#	active = 1,". join(',',@diags).
		#	" WHERE email = '$$pd{email}'
		#");
		&db::query(
			"UPDATE `ms\_user\_$$pd{id}`
			 SET active = 1,". join(',',@diags).
			" WHERE email = ?",
			[ {value => $$pd{email}} ]
		);
		###########
		##########################################
		# Set users info
		# 1.86 ####
		#&db::query("SELECT * FROM `ms_user_$$pd{id}` WHERE email = '$$pd{email}'");
		&db::query(
			"SELECT * FROM `ms\_user\_$$pd{id}`
			 WHERE email = ?",
			[ {value => $$pd{email}} ]
		);
		###########
		my $ud = $db::sth->fetchrow_hashref();
		$$pd{charset} = 'utf8';
		&save::users_edit_by_form($ud,$pd);	# 1.86 PH OK

		# Drop from blacklist
		# 1.86 #####
		#&db::query("DELETE FROM `ms_black_$$pd{id}` WHERE email = '$$pd{email}'");
		&db::query(
			"DELETE FROM `ms\_black\_$$pd{id}`
			 WHERE email = ?",
			[ {value => $$pd{email}} ]
		);
		############
		# Send mail regist completed
		if($$stg{regi_msg} == 1){
			&start::return_mail(
				$ud,
				$stg,
				&get::regi_msg_cont(),
				$dd
			);
		}
		# Show result
		if($$stg{regi_fini_url1}){
			print "Location: $$stg{regi_fini_url1}\n\n";
			# Don't exit here!
		}
		else{
			&show::rg_OKmsg($$pd{email},$$pd{name});
		}
#=pod
		my $pid = '';
		FORK:{
			if($pid = fork){
				close(STDOUT);
				close(STDERR);
				close(STDIN);
				wait;
			}
			elsif(defined $pid){
				close(STDOUT);
				close(STDERR);
				close(STDIN);
				&db::child_open();
#=cut
				&proc::deliv_step($stg,$pd);
				&start::report_reg_rm(
					$stg,
					$dd,
					&get::one_user_data(
						$$pd{id},
						$$ud{no}
					),	# $ud
					$pd
				);
				##### Simule regist
				if($$pd{mode} eq 'doi2' && $$stg{sim_entry} == 1){
					foreach(split(/,/,$$stg{sim_entry_mags})){
						my %cd = (
							regist_from	=> 'sim_entry',
							id				=> $_,
							asp_name		=> undef,
							import			=> $$pd{name}.'|'.$$pd{email},
							double_optin	=> undef
						);
						&proc::import_users(\%cd);
					}
				}
#=pod
#				&db::open();
			}
			elsif($! =~ /No more process/){
				sleep 5;
				redo FORK;
			}
			else{
				&show::err_msg("forkがサポートされていません。サーバ管理者にお問い合わせください。");   
			}
		}	# End of FORK
#=cut
	
	} # else 1.73 ############

}
elsif($$pd{mode} == 2){	# remove
	# Get form setting
	my $fstg = &get::form_setting(0);	# 1.86 PH OK
	if(!$$fstg{permit}){
		&show::err_msg("現在このフォームは利用できません。");
	}
	# Check parameter
	if(&check::email($$pd{email}) == 0){
		&show::err_msg("メールアドレスを正しく入力してください");
	}
	if(&check::active_user($$pd{email},$$pd{id})){	# 1.86 PH OK
		&show::err_msg("メールアドレスが登録されていないか、すでに配信解除済みです。");
	}
	# Show alert
	if(!$$pd{exe_unlink} && $$fstg{alert}){
		my $ulk_exe_btn = <<FORM;
			<form action='\[__REGIST_PATH__\]' method='post'>
				<input type='submit' name='exe_unlink' value=' O K ' class='btn' />
				<input type='hidden' name='mode' value='2' />
				<input type='hidden' name='id' value='$$pd{id}' />
				<input type='hidden' name='email' value='$$pd{email}' />
			</form>
FORM
		&show::rm_Alert(
			$$pd{email},
			$ulk_exe_btn
		);
	}
	# Check user table
	# 1.86 #####
	#&db::query("
	#	SELECT * FROM `ms_user_$$pd{id}`
	#	WHERE email = '$$pd{email}' AND active = 1
	#");
	&db::query(
		"SELECT * FROM `ms\_user\_$$pd{id}`
		 WHERE email  = ? AND
		       active = 1",
		[ {value => $$pd{email}} ]
	);
	############
	my $ud = $db::sth->fetchrow_hashref();
	if(!$ud){
		if($$stg{ulk_fini_url2}){
			print "Location: $$stg{ulk_fini_url2}\n\n";
			exit;
		}
		else{
			&show::err_msg("メールアドレスが登録されていないか、すでに配信解除済みです。");
			exit;
		}
	}
	# Send mail unlink completed
	if($$stg{ulk_msg} == 1){
		undef $$stg{unlink};
		&start::return_mail(
			$ud,
			$stg,	
			&get::ulk_msg_cont(),
			$dd	
		);
	}
	# Set hidden parameters for Re-Entry
	my $hidden_free = '';
	# 1.86 ####
	#&db::query("
	#	SELECT * FROM `ms_freeusersinfo`
	#	WHERE id = '$$pd{id}' AND user_no = $$ud{no}
	#");
	&db::query(
		"SELECT * FROM `ms\_freeusersinfo`
		 WHERE id      = ? AND
		       user_no = ?",
		[
			{value => $$pd{id}},
			{value => $$ud{no}}
		]
	);
	###########
	while(my $href = $db::sth->fetchrow_hashref()){
		$hidden_free .= "<input type='hidden' name='free_$$href{form_no}_$$href{form_type}' value='$$href{parts_cont}' />\n";
	}
	&start::report_reg_rm($stg,$dd,$ud,$pd);
	if($$stg{treat_ulk} == 1){	
		# Drop user
		# 1.86 ####
		#&db::query("
		#	DELETE		`ms_user_$$pd{id}`,`ms_freeusersinfo`
		#	FROM		`ms_user_$$pd{id}`
		#	LEFT JOIN	`ms_freeusersinfo`
		#	/**********************************************************************/
		#	-- ON		`ms_user_$$pd{id}`.no = `ms_freeusersinfo`.user_no
		#	ON			`ms_user_$$pd{id}`.no = `ms_freeusersinfo`.user_no AND
		#				`ms_freeusersinfo`.id = '$$pd{id}'
		#	/**********************************************************************/
		#	WHERE		`ms_user_$$pd{id}`.email = '$$pd{email}'
		#");
		&db::query(
			"DELETE    `ms\_user\_$$pd{id}`, `ms\_freeusersinfo`
			 FROM      `ms\_user\_$$pd{id}`
			 LEFT JOIN `ms\_freeusersinfo`
			 ON        `ms\_user\_$$pd{id}`.no = `ms\_freeusersinfo`.user_no AND
			           `ms\_freeusersinfo`.id     = ?
			 WHERE     `ms\_user\_$$pd{id}`.email = ?",
			[
				{value => $$pd{id}   },
				{value => $$pd{email}}
			]
		);
		###########
		# Set blacklist
		if($$stg{'black'} == 1){
			# 1.86 #####
			#&db::query("
			#	INSERT IGNORE INTO ms_black_$$pd{'id'} (
			#		no,
			#		email,
			#		entry
			#	)VALUES(
			#		'',
			#		'$$ud{email}',
			#		CURRENT_DATE()
			#	)
			#");
			&db::query(
				"INSERT IGNORE INTO `ms\_black\_$$pd{id}` (
					no, email, entry
				) VALUES (
					'', ?, CURRENT_DATE()
				)",
				[ {value => $$ud{email}} ]
			);
			############
		}
	}
	else{
		# Stop
		# 1.86 ####
		#&db::query("
		#	UPDATE `ms_user_$$pd{id}` SET
		#	active = 0
		#	WHERE email = '$$ud{email}'
		#");
		&db::query(
			"UPDATE `ms\_user\_$$pd{id}`
			 SET     active = 0
			 WHERE   email  = ?",
			[ {value => $$ud{email}} ]
		);
		###########
	}
	if($$stg{ulk_fini_url1}){
		print "Location: $$stg{ulk_fini_url1}\n\n";
		exit;
	}
	else{
		my $form_again = <<EOM;
			<form action='' method='post'>
				<input type='submit' name='' value='購読を再開する' class='btn' />
				<input type='hidden' name='mode' value='1' />
				<input type='hidden' name='id' value='$$pd{'id'}' />
				<input type='hidden' name='again' value='1' />
				<input type='hidden' name='charset' value='utf8' />
EOM
		foreach(keys %$ud){
			$form_again .= "<input type='hidden' name='$_' value='$$ud{$_}' />\n";
		}
		$form_again .= $hidden_free."</form>\n";
		&show::rm_OKmsg(
			$$ud{email},
			$form_again
		);
	}
}
elsif($$pd{mode} == 3){	# modify
	# Get form setting
	my $fstg = &get::form_setting(1);	# 1 => modify form 1.86 PH OK
	if(!$$fstg{permit}){
		&show::err_msg("現在このフォームは利用できません。");
	}
	# Check parameter for modify
	&check::regist_param($pd,1);	# 1.86 PH OK
	# Check user table
	# 1.86 ####
	#&db::query("
	#	SELECT * FROM `ms_user_$$pd{id}`
	#	WHERE email = '$$pd{email}' AND active = 1
	#");
	&db::query(
		"SELECT * FROM `ms\_user\_$$pd{id}`
		 WHERE email  = ? AND
		       active = 1",
		[ {value => $$pd{email}} ]
	);
	###########
	my $ud = $db::sth->fetchrow_hashref();
	if(!$ud){
		&show::err_msg("入力された「現在のメールアドレス」は登録されていないか、すでに配信解除済みです。");
	}
	# Check new email
	if($$pd{email_new}){
		if(&check::active_user($$pd{email_new},$$pd{id}) == 0){	# 1.86 PH OK
			&show::err_msg("入力された「新しいメールアドレス」はすでに登録されています。");
		}
	}
	if($$fstg{alert} && !$$pd{exe_regist}){
		my ($reg_info,$reg_info_hidden) = &main::set_list_and_hidden($fstg);
		my $reg_exe_btn = <<FORM;
			<form action='\[__REGIST_PATH__\]\[__URI_PARAMS__\]' method='post'>
				<input type='submit' name='exe_regist' value=' O K ' class='btn' />
				$reg_info_hidden
			</form>
FORM
		&show::mdf_Alert(
			$reg_info,
			$reg_exe_btn
		);
	}
	
	# Case email_new is exists in list and stopped
	#&db::query("
	#	DELETE FROM `ms_user_$$pd{id}`
	#	WHERE email = '$$pd{email_new}' AND active <= 0
	#");
	&db::query(
		"DELETE FROM `ms\_user\_$$pd{id}`
		 WHERE email   = ? AND
		       active <= 0",
		[ {value => $$pd{email_new}} ]
	);
	&main::set_uri_params();	# 1.82
	# Update
	&save::users_edit_by_form($ud,$pd);	# 1.86 PH OK
	# Send mail modify completed
	if($$stg{mdf_msg} == 1){
		&start::return_mail(
			$ud,
			$stg,
			&get::mdf_msg_cont(),
			$dd
		);
	}
	# 1.79 #############
	# 1.86 ####
	#&db::query("
	#	SELECT * FROM `ms_user_$$pd{id}`
	#	WHERE email = '" .($$pd{email_new} ? $$pd{email_new} : $$pd{email}). "'
	#");
	&db::query(
		"SELECT * FROM `ms\_user\_$$pd{id}`
		 WHERE email = ?",
		[ {value => ($$pd{email_new} ? $$pd{email_new} : $$pd{email})} ]
	);
	###########
	my $new_ud = $db::sth->fetchrow_hashref();
	&start::report_reg_rm($stg,$dd,$new_ud,$pd);
	####################
	&show::mdf_OKmsg(	);
}


#&db::close();
#exit;

# Subroutine
sub set_list_and_hidden{
	my ($fstg) = @_;
	# fix charset to utf8
	$$pd{charset} = $$pd{charset} ? $$pd{charset} : 'auto';
	if($$pd{charset} ne 'utf8'){
		foreach my $key(keys %$pd){
			$$pd{$key} = Unicode::Japanese->new(
				$$pd{$key},
				$$pd{charset}
			)->utf8;
		}
	}
	$$pd{charset} = 'utf8';
	# Fixed form
	my @reg_info = ();
	# 1.74 #########################################
	#my @reg_item = &item::reg_item();
	my $modify;
	if   ($$pd{mode} == 3){$modify = 1;}	# modify form
	elsif($$pd{mode} == 4){$modify = 2;}	# true reg form
	else {$modify = 0;}						# reg,rm form
	my ($fixed_form, $def_order) = &item::form_item_by_name($modify);
	my $free_form  = &get::free_form_list_active_by_no($$pd{id},$modify);	# 1.86 PH OK
	my ($form_order, $exists_fixed, $exists_free) = &get::form_order($$pd{id},$modify);	# 1.86 PH OK
	if(!$form_order || @$form_order == 0){
		map { push(@$form_order,{type => 0, fixed_form_name	=> $_});} @$def_order;
		map { push(@$form_order,{type => 1, free_form_no 	=> $_});} (sort {$a <=> $b} keys %$free_form  ); 
	}
	else{
		map { push(@$form_order, {type => 0, fixed_form_name	=> $_}) if !$$exists_fixed{$_}} keys %$fixed_form;
		map { push(@$form_order, {type => 1, free_form_no 	=> $_}) if !$$exists_free{$_} } keys %$free_form; 
	}
	###############################################
	#unshift(@reg_item,(
	#	['',	($$pd{mode} == 3 ? "現在の" : undef).'メールアドレス',	'',	'email'	,		0 ],
	#	['',	'新しいメールアドレス',										'',	'email_new',	0 ]
	#));

	#for(my $i=0; $i<@reg_item; $i++){
	foreach my $odr (@$form_order){
	if($$odr{type} == 0){	# fixed form
		#if(
		#	($$pd{$reg_item[$i][3]} && $$pd{$reg_item[$i][3]} !~ /^[\s　]+$/)	||
		#	 $reg_item[$i][3] eq 'birth'											||
		#	 $reg_item[$i][3] eq 'name'
		#){
		if(
			($$pd{$$odr{fixed_form_name}} && $$pd{$$odr{fixed_form_name}} !~ /^[\s　]+$/)	||
			 $$odr{fixed_form_name} eq 'birth'													||
			 $$odr{fixed_form_name} eq 'name'													||
			($$odr{fixed_form_name} eq 'tarea' && $$pd{user_comment} && $$pd{user_comment} !~ /^[\s　]+$/)	
		){
			#if($reg_item[$i][4]){
			if($$fixed_form{$$odr{fixed_form_name}}[4]){
				#if($reg_item[$i][4] >= 1 && $reg_item[$i][4] <= 2){
				#	# Alternative choise or Multiple choise
				#	my @val;
				#	for(my $j=0; $j<@{ $reg_item[$i][5] }; $j++){
				#		foreach(split(/\0/,$$pd{$reg_item[$i][3]})){
				#			push(@val,$reg_item[$i][5][$j]) if $_ == $j;
				#		}
				#	}
				#	push(@reg_info,{ $reg_item[$i][1] => join(',',@val) } );
				#}
				if($$fixed_form{$$odr{fixed_form_name}}[4] >= 1 && $$fixed_form{$$odr{fixed_form_name}}[4] <= 2){	# Alternative choise or Multiple choise
					my @val;
					for(my $j=0; $j<@{ $$fixed_form{$$odr{fixed_form_name}}[5] }; $j++){
						foreach(split(/\0/,$$pd{$$odr{fixed_form_name}})){
							push(@val, $$fixed_form{$$odr{fixed_form_name}}[5][$j]) if $_ == $j;
						}
					}
					#push(@reg_info,{ $$fixed_form{$$odr{fixed_form_name}}[1] => join(', ',@val) } );
					push(@reg_info,{
						$$fixed_form{$$odr{fixed_form_name}}[1] => {
							cont    => join(', ',@val),
							nofloat => undef
						}
					});	# 1.79
				}
				elsif($$fixed_form{$$odr{fixed_form_name}}[4] == 3){	# textarea
					#my $comment = $$pd{user_comment};
					my $comment = &proc::conv_html_ref_2($$pd{user_comment});	# 1.83
					$comment =~ s/\r\n|\r|\n/<br \/>\n/g;
					#push(@reg_info,{ $$fstg{tarea_exp} => $comment });
					#push(@reg_info,{ ($$fstg{$$odr{fixed_form_name}.'_exp'} ||= $$fixed_form{$$odr{fixed_form_name}}[1]) => $comment });
					push(@reg_info,{
						($$fstg{$$odr{fixed_form_name}.'_exp'} ||= $$fixed_form{$$odr{fixed_form_name}}[1]) => {
							cont    => $comment,
							nofloat => 1
						}
					});	# 1.79
				}
			}
			else{	# Direct value
				#if($reg_item[$i][3] eq 'name'){
				if($$odr{fixed_form_name} eq 'name'){
					#if($$fstg{name_splt} == 1 && ($$pd{name_1} && $$pd{name_2}) ){
					#	push(@reg_info,{ $reg_item[$i][1] => $$pd{name_1}.' '.$$pd{name_2} });
					#}
					if($$fstg{name_splt} == 1 && ($$pd{name_1} && $$pd{name_2}) ){
						#push(@reg_info,{ $$fixed_form{$$odr{fixed_form_name}}[1] => $$pd{name_1}.' '.$$pd{name_2} });
						push(@reg_info,{
							$$fixed_form{$$odr{fixed_form_name}}[1] => {
								#cont    => $$pd{name_1}.' '.$$pd{name_2},
								cont    => &proc::conv_html_ref_2($$pd{name_1}.' '.$$pd{name_2}),
								nofloat => undef
							}
						});	# 1.79
					}
					#else{
					#	if($$pd{$reg_item[$i][3]}){
					#		push(@reg_info,{ $reg_item[$i][1] => &get::forming_name($$pd{$reg_item[$i][3]}) });
					#	}
					#}
					else{
						if($$pd{$$odr{fixed_form_name}}){
							#push(@reg_info,{ $$fixed_form{$$odr{fixed_form_name}}[1] => &get::forming_name($$pd{$$odr{fixed_form_name}}) });
							push(@reg_info,{
								$$fixed_form{$$odr{fixed_form_name}}[1] => {
									#cont    => &get::forming_name($$pd{$$odr{fixed_form_name}}),
									cont    => &proc::conv_html_ref_2(&get::forming_name($$pd{$$odr{fixed_form_name}})),	# 1.83
									nofloat => undef
								}
							});	# 1.79
						}
					}
				}
				#elsif($reg_item[$i][3] eq 'birth'){
				elsif($$odr{fixed_form_name} eq 'birth'){
					if($$pd{birth_year} && $$pd{birth_mon} && $$pd{birth_day}){
						#push(@reg_info,{ $reg_item[$i][1] => $$pd{birth_year}.'-'.$$pd{birth_mon}.'-'.$$pd{birth_day} });
						#push(@reg_info,{ $$fixed_form{$$odr{fixed_form_name}}[1] => $$pd{birth_year}.'-'.$$pd{birth_mon}.'-'.$$pd{birth_day} });
						push(@reg_info,{
							$$fixed_form{$$odr{fixed_form_name}}[1] => {
								cont    => $$pd{birth_year}.'-'.$$pd{birth_mon}.'-'.$$pd{birth_day},
								nofloat => undef
							}
						});	# 1.79
					}
				}
				elsif($$odr{fixed_form_name} eq 'email_cfm'){	#1.79
					next;
				}
				else{
					# Direct value
					#push(@reg_info,{ $reg_item[$i][1] => $$pd{$reg_item[$i][3]} });
					#push(@reg_info,{ $$fixed_form{$$odr{fixed_form_name}}[1] => $$pd{$$odr{fixed_form_name}} });
					push(@reg_info,{
						$$fixed_form{$$odr{fixed_form_name}}[1] => {
							#cont    => $$odr{fixed_form_name} eq 'upwd' ? '********' : $$pd{$$odr{fixed_form_name}},
							cont    => $$odr{fixed_form_name} eq 'upwd'	# 1.83
								? '********'
								: &proc::conv_html_ref_2($$pd{$$odr{fixed_form_name}}),
							nofloat => undef
						}
					});	# 1.79
				}
			}
		} # if
	} # if fixed form
	elsif($$odr{type} == 1 && $$free_form{$$odr{free_form_no}}){	# free form
	# free form
#	foreach my $key(keys %$pd){
		#if($key =~ /^free_(\d+)_\d+$/ && $$pd{$key} && $$pd{$key} !~ /^[\s　]+$/){
		my $key = 'free_'.$$odr{free_form_no}.'_'.$$free_form{$$odr{free_form_no}}{form_type};
		if($$pd{$key} && $$pd{$key} !~ /^[\s　]+$/){
			#my $form_no  = $1;
			#my $free_stg = &get::free_form_setting($form_no);
			#if($$free_stg{form_type} >= 2 && $$free_stg{form_type} <= 4){
			if($$free_form{$$odr{free_form_no}}{form_type} >= 2 && $$free_form{$$odr{free_form_no}}{form_type} <= 4){
				# radio,checkbox,selectbox
				my @parts_list = ();
				#&db::query("
				#	SELECT		*
				#	FROM		`ms_freeparts`
				#	WHERE		form_no   = $$free_stg{no}			AND
				#				form_type = $$free_stg{form_type}
				#	ORDER BY	no
				#");
				# 1.86 ####
				#&db::query("
				#	SELECT		*
				#	FROM		`ms_freeparts`
				#	WHERE		form_no   = $$odr{free_form_no} AND
				#				form_type = $$free_form{$$odr{free_form_no}}{form_type}
				#	ORDER BY	no
				#");
				&db::query(
					"SELECT * FROM `ms\_freeparts`
					 WHERE   form_no   = ? AND
					         form_type = ?
					 ORDER BY no",
					[
						{ value => $$odr{free_form_no}                         },
						{ value => $$free_form{$$odr{free_form_no}}{form_type} }
					]
				);
				##########
				my @parts_name = ();
				while(my $href = $db::sth->fetchrow_hashref()){
					map {
						if($_ == $$href{no}){
							push(@parts_name,$$href{parts_name});
						};
					} split(/\0/,$$pd{$key});
				}
				#push(@reg_info,{ $$free_stg{form_name} => join(',',@parts_name) });
				#push(@reg_info,{ $$free_form{$$odr{free_form_no}}{form_name} => join(', ',@parts_name) });
				push(@reg_info,{
					$$free_form{$$odr{free_form_no}}{form_name} => {
						cont    => join(', ',@parts_name),
						nofloat => undef
					}
				});	# 1.79
			}
			#elsif($$free_stg{form_type} == 6){
			elsif($$free_form{$$odr{free_form_no}}{form_type} == 6){
				# DATE
				my %date = ();
				foreach my $date_part(split(/\0/,$$pd{$key})){
					if($date_part =~ /year_(\d{4})/){
						$date{year}  = $1;
					}
					elsif($date_part =~ /month_(\d{1,2})/){
						$date{month} = sprintf ("%02d", $1);
					}
					elsif($date_part =~ /day_(\d{1,2})/){
						$date{day}   = sprintf ("%02d", $1);
					}
				}
				if($date{year} && $date{month} && $date{day}){
					#push(@reg_info, { $$free_stg{form_name} => $date{year}.'-'.$date{month}.'-'.$date{day} });
					#push(@reg_info, { $$free_form{$$odr{free_form_no}}{form_name} => $date{year}.'-'.$date{month}.'-'.$date{day} });
					push(@reg_info, {
						$$free_form{$$odr{free_form_no}}{form_name} => {
							cont    => $date{year}.'-'.$date{month}.'-'.$date{day},
							nofloat => undef
						}
					});	# 1.79
				}
			}
			else{
				# text,password,textarea
				#push(@reg_info, { $$free_stg{form_name} => &proc::conv_html_ref_2($$pd{$key}) });
				#push(@reg_info, { $$free_form{$$odr{free_form_no}}{form_name} => &proc::conv_html_ref_2($$pd{$key}) });
				# 1.79 #########
				my $data;
				if($$free_form{$$odr{free_form_no}}{form_type} == 1){ # password
					$data = '********';
				}else{
					$data = &proc::conv_html_ref_2($$pd{$key});
					$data =~ s/\r\n|\r|\n/<br \/>/g;
				}
				#push(@reg_info, { $$free_form{$$odr{free_form_no}}{form_name} => $data });
				my $nofloat = $$free_form{$$odr{free_form_no}}{form_type} == 5 # textarea
					? 1 : undef;
				push(@reg_info, {
					$$free_form{$$odr{free_form_no}}{form_name} => {
						cont    => $data,
						nofloat => $nofloat
					}
				});
				################
			}
		} # if
	} # elsif free form
	} # foreach

#	if($$pd{user_comment} ne '' && $$pd{user_comment} !~ /^[\s　]+$/){
#		my $comment = $$pd{user_comment};
#		$comment =~ s/\r\n|\r|\n/<br \/>\n/g;
#		push(@reg_info,{ $$fstg{tarea_exp} => $comment } );
#	}
	#die $$pd{free_4}; POSTなのでここでURIパラメタは取得できない
	return (
		\@reg_info,
		join ("\n",map {
			$$pd{$_} =~ s/\0/,/g;
			$$pd{$_} = &proc::conv_html_ref_2($$pd{$_});
			$_ = "<input type='hidden' name='$_' value='$$pd{$_}' />";
		} keys %$pd)
	);
}

sub set_uri_params {	# 1.82
	map { if($_ =~ /([^=]+)=(.+)/ && $$pd{$1} eq ''){$$pd{$1} = $2;} } split(/&/, $ENV{QUERY_STRING});
}

1;

