<!-- show notice start -->
<TMPL_IF NAME='notice_msg'>
	<script type='text/javascript'>var notice_msg = new Array(<TMPL_VAR NAME='notice_msg'>);</script>
	<script type='text/javascript' src='./js/notice_msg.js'></script>
</TMPL_IF>
<!-- show notice end -->
<script type="text/javascript" src='./js/textarea.js'></script>
<script type="text/javascript" src='./js/lib/jquery.gpobservetext.js'></script>
<script type="text/javascript" src='./js/default_preview.js'></script>
<div class='<TMPL_VAR NAME='$switch::cap_main'>'>
	<ul class='cap_main'>
		<li class='top'><a href='?mode=ch_type&type=<TMPL_VAR NAME='$$fd{type}'>'><TMPL_VAR NAME='$type'>の設定</a></li>
		<li class='sub'><a href='?mode=show_state&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>'><TMPL_VAR NAME='$$fd{id}'></a></li>
		<li class='sub'><a href='?mode=show_default_list&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>'>デフォルト画面設定</a></li>
		<li class='sub'>
			<TMPL_VAR NAME='$name'>
			(<TMPL_IF NAME='device-1'>PC</TMPL_IF><TMPL_IF NAME='device-2'>フィーチャーフォン</TMPL_IF><TMPL_IF NAME='device-3'>スマートフォン</TMPL_IF>用)
		</li>
	</ul>
</div>
<div class='desc'>
	<TMPL_VAR NAME='$name'>画面のデフォルト表示画面を編集できます。<br />
	編集には右記の編集タグが使用できます。<br />
	テキストエリア内のHTMLソースをすべて削除して保存するとソースを初期化することができます。<br />
</div>

<form action='' method='post'>
<TMPL_IF NAME='device-1'>
	<input type='hidden' name='flw_<TMPL_VAR NAME='$$fd{name}'>' value='1' />
<TMPL_ELSE>
	<table class='nor'>
	<tr>
		<td class='<TMPL_VAR NAME='$switch::th'>' width='180'>出力するソース</td>
		<td class='cont'>
			<label><input type='radio' id='ch_source' name='flw_<TMPL_VAR NAME='$$fd{name}'>' value='1' <TMPL_VAR NAME='flw_$$fd{name}_1'> />PC用表示と同じソースを使用</label>&nbsp;&nbsp;&nbsp;&nbsp;
			<TMPL_IF NAME='device-2'>
				<label><input type='radio' id='ch_source' name='flw_<TMPL_VAR NAME='$$fd{name}'>' value='2' <TMPL_VAR NAME='flw_$$fd{name}_2'> />フィーチャーフォン用のソースを使用
			</TMPL_IF>
			<TMPL_IF NAME='device-3'>
				<label><input type='radio' id='ch_source' name='flw_<TMPL_VAR NAME='$$fd{name}'>' value='3' <TMPL_VAR NAME='flw_$$fd{name}_3'> />スマートフォン用のソースを使用
			</TMPL_IF>
		</td>
		<td><a id='help' name='ch_source'></a></td>
	</tr>
	<tr><td colspan='3'>&nbsp;</td></tr>
	</table>
</TMPL_IF>

<div id='source' style='width:700px;'>
	<textarea name='temp_cont' class='<TMPL_VAR NAME='$switch::ta'>' id='temp_cont' rows='12' onfocus="get_pos(temp_cont);" onmouseup="get_pos(temp_cont);" onkeyup="get_pos(temp_cont);"><TMPL_VAR NAME='$$defd{$$fd{name}}'></textarea>
</div>
<div class='btn'>
<!--
	<input type='button' class='<TMPL_VAR NAME='$switch::btn'>' name='' value='現在の表示内容を確認' onclick="window.open('./defchk.cgi?id=<TMPL_VAR NAME='$$fd{id}'>&name=<TMPL_VAR NAME='$$fd{name}'>','_blank');" />
-->
	<input type='submit' class='<TMPL_VAR NAME='$switch::btn'>' name='save_default' value='設定を保存' />
	<input type='submit' class='<TMPL_VAR NAME='$switch::btn'>' name='' onClick="history.back(); return false;" value='戻　る' />
</div>
<input type='hidden' name='name' value='<TMPL_VAR NAME='$$fd{name}'>' />
<input type='hidden' name='id' value='<TMPL_VAR NAME='$$fd{id}'>' />
<input type='hidden' name='type' value='<TMPL_VAR NAME='$$fd{type}'>' />
<!-- ▼1.79～ -->
<input type='hidden' name='device' value='<TMPL_VAR NAME='$$fd{device}'>' />
<!-- ▲1.79～ -->
</form>

<div id='preview'>
<p style='text-align:center;font-weight:bold;'>リアルタイムプレビュー	<input type='button' name='update_preview' value='更新' class='s_btn' style='font-size:9px;' />
</p>
<!-- preview start -->
<iframe id='default_preview' name='preview_frame' class='<TMPL_VAR NAME='$switch::sol'>' style='width:<TMPL_IF NAME='device-1'>706</TMPL_IF><TMPL_IF NAME='device-2'>258</TMPL_IF><TMPL_IF NAME='device-3'>330</TMPL_IF>px;height:348px;display:block;margin:0px auto;'>フレーム対応のブラウザでご覧ください。</iframe>
<form id='preview_form' name='preview_form' target='preview_frame' action='' method='post'>
	<input type='hidden' name='mode' value='ajax_call_default_preview' />
	<input type='hidden' name='id' value='<TMPL_VAR NAME='$$fd{id}'>' />
	<input type='hidden' name='name' value='<TMPL_VAR NAME='$$fd{name}'>' />
	<input type='hidden' name='device' value='<TMPL_VAR NAME='$$fd{device}'>' />
	<input type='hidden' name='source' value='' />
</form>
<!-- preview end -->
<script type="text/javascript" src="./js/temp_cont_ie.js"></script>

</div><!-- id='preview' -->

