<!-- show notice start -->
<TMPL_IF NAME='notice_save'>
	<script type='text/javascript' src='./js/notice_save.js'></script>
</TMPL_IF>
<!-- show notice end -->
<!--
<script type="text/javascript" src='./js/slide_fixed_list.js'></script>
<script type="text/javascript" src='./js/slide_free_list.js'></script>
-->
<script type='text/javascript' src='./js/operate_form_setting.js'></script>
<form action="" method="post">
	<div class="<TMPL_VAR NAME='$switch::cap_main'>">
		<ul class='cap_main'>
			<li class='top'><a href='?mode=ch_type&type=<TMPL_VAR NAME='$$fd{type}'>'><TMPL_VAR NAME='$type'>の設定</a></li>
			<li class='sub'><a href='?mode=show_state&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>'><TMPL_VAR NAME='$$fd{id}'></a></li>
			<li class='sub'><a href='?mode=show_generator&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>'>フォーム設定</a></li>
			<li class='sub'><TMPL_VAR NAME='$title'>フォームの項目設定</li>
		</ul>
	</div>
	<div id='set_charset'>
		<table class='nor' cellspacing='1' cellpadding='3' border='0'>
			<tr>
				<td class="<TMPL_VAR NAME='$switch::th'>" width='200'>利用の許可</td>
				<td class='cont'>
					<label><input type='checkbox' name='permit' value='1' <TMPL_VAR NAME='permit_1'> /> このフォームの利用を許可する</label>
				</td>
				<td><a id='help' name='permit'></a></td>
			</tr>
			<TMPL_IF NAME='modify-2'>
				<input type="hidden" name="charset" value="utf8" />
			<TMPL_ELSE>
			<tr>
				<td class="<TMPL_VAR NAME='$switch::th'>" width='200'>設置するページの文字コード</td>
				<td class='cont'>
					<label><input type="radio" name="charset" value="utf8" <TMPL_VAR NAME='charset_utf8'> />UTF-8</label>&nbsp;&nbsp;&nbsp;&nbsp;
					<label><input type="radio" name="charset" value="sjis" <TMPL_VAR NAME='charset_sjis'> />Shift_JIS</label>&nbsp;&nbsp;&nbsp;&nbsp;
					<label><input type="radio" name="charset" value="euc" <TMPL_VAR NAME='charset_euc'> />EUC-JP</label>
				</td>
				<td><a id='help' name='charset'></a></td>
			</tr>
			</TMPL_IF>
			<tr>
				<td class="<TMPL_VAR NAME='$switch::th'>" width='200'>確認画面の表示</td>
				<td class='cont'>
					<label><input type='checkbox' name='alert' value='1' <TMPL_VAR NAME='alert_1'> /> <TMPL_VAR NAME='$title'>時に確認画面を表示する</label>
				</td>
				<td><a id='help' name='alert'></a></td>
			</tr>
		</table>
	</div>
	<div class='desc'>
		<br />
		フォームに設置したい項目を選択してください<br />
		項目の入力を必須とする場合は「必須」にチェックを入れてください<br />
	</div>

	<div id='form_box'>
<!--
		<div style='float:right;'>
			<span id='fixed' class='box_heading'>固定項目</span>
			<span id='free' class='box_heading'>自由項目</span>
		</div>
-->
		<div class='form_list'>

			<TMPL_IF NAME='$item_limit'>
				<div class='desc'>
					※現在<a href="?mode=show_setting&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>">基本設定の編集</a>にてダブルオプトイン機能が有効になっているため「メールアドレス（確認）」「お名前（姓名）」以外の項目は選択できません。
				</div>
			</TMPL_IF>
			<table class='<TMPL_VAR NAME='$switch::sol'>' border='0' cellspacing='0' cellpadding='5'>
<!--
			<TMPL_IF NAME='modify-1'>
				<tr>
					<td class="<TMPL_VAR NAME='$switch::th'>" width='5%'>
						<input type="checkbox" id='email_new' name="email_new" value="1" <TMPL_VAR NAME='$$stg{email_new}'> />
					</td>
					<td class="<TMPL_VAR NAME='$switch::th'>" width='25%'><label for='email_new'>新しいメールアドレス</label></td>
					<td width='5%'>
						<input type="checkbox" id='email_new_e' name="email_new_e" value="1" <TMPL_VAR NAME='$$stg{email_new_e}'> />
					</td>
					<td aligh='left'><label for='email_new_e'>入力必須</label></td>
					<td>&nbsp;</td>
				</tr>
			</TMPL_IF>
-->
			<tr class='<TMPL_VAR NAME='$switch::th'>'>
				<td width='20'><input type='checkbox' id='check_all_form' /></td>
				<td width='20'>&nbsp;</td>
				<td width='28%'>項目名</td>
				<td width='60'><input type='checkbox' id='check_all_essen' /> 必須</td>
				<td>備 考</td>
				<td colspan='2'>表示順</td>
				<td width='22'>&nbsp;</td>
			</tr>
			<TMPL_LOOP NAME='$item_list'>
			<TMPL_IF NAME='type-0'>
				<!-- ▼fixed item -->
				<tr id='fixed' class='<TMPL_VAR NAME='$switch::tr'>'>
					<td align='center' id='active'>
						<TMPL_IF NAME='is_email'>&nbsp;
						<TMPL_ELSE>
							<input type='checkbox' id='<TMPL_VAR NAME='$$reg_item[3]'>' name='<TMPL_VAR NAME='$$reg_item[3]'>' value='1' <TMPL_VAR NAME='$$stg{$reg_item[3]}'> <TMPL_VAR NAME='disabled'> />
						</TMPL_IF>
					</td>
					<td><img src='./img/ms_cp_icon_locked.gif' title='固定項目' /></td>
					<td>
						<label for='<TMPL_VAR NAME='$$reg_item[3]'>'><span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>><TMPL_VAR NAME='$$reg_item[1]'></span></label>
					</td>
					<td align='center'>
						<TMPL_IF NAME='is_email'>&nbsp;
						<TMPL_ELSE>
							<label><input type='checkbox' id='essen' name="<TMPL_VAR NAME='$$reg_item[3]_e'>" value="1" <TMPL_VAR NAME='$$stg{$reg_item[3]_e}'> <TMPL_VAR NAME='disabled'> /><span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>>必須</span></label>
						</TMPL_IF>
					</td>
					<td style='font-size:11px;' class='cont'>
						<TMPL_IF NAME='is_name'>
							<label><input type='checkbox' name='name_splt' value='1' <TMPL_VAR NAME='$$stg{name_splt}'> /> 姓と名のフィールドを分ける</label>
						</TMPL_IF>
						<!-- ▼ tarea -->
						<TMPL_IF NAME='is_tarea'>
							<div style='margin:5px 0px 5px 0px;'>
							<span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>><TMPL_VAR NAME='$$reg_item[1]'>の説明</span>
								<textarea class='<TMPL_VAR NAME='$switch::ta'>' name='<TMPL_VAR NAME='$$reg_item[3]_exp'>' rows='2' <TMPL_IF NAME='disabled'>disabled</TMPL_IF>><TMPL_VAR NAME='$$stg{$reg_item[3]_exp}'></textarea>
							</div>
						</TMPL_IF>
						<!-- ▲ tarea -->
					</td>
					<td>
						<ul class='sort'>
						<li><a class='sort_asc' title='1つ上へ'></a></li><li><a class='sort_desc' title='1つ下へ'></a></li>
						</ul>
					</td>
					<td align='center'>
						<input type='text' id='disp_order' class='<TMPL_VAR NAME='$switch::s_txt'>' name='disp_order_<TMPL_VAR NAME='$$reg_item[3]'>' value='<TMPL_VAR NAME='disp_order'>'  style='ime-mode:disabled;' />
					</td>
					<td><img src='./img/ms_cp_icon_noteditable.gif' title='編集不可' /></td>
				</tr>
				<!-- ▲fixed item -->
			</TMPL_IF>
			<TMPL_IF NAME='type-1'>
			<!-- ▼free item -->
				<tr class='<TMPL_VAR NAME='$switch::tr'>'>
					<td id='active'>
						<input type='checkbox' id='free_<TMPL_VAR NAME='$$free_stg{no}'>_active' name='free_<TMPL_VAR NAME='$$free_stg{no}'>_active' value='1' <TMPL_VAR NAME='$$free_stg{active}'> <TMPL_VAR NAME='disabled'> />
					</td>
					<td align='center'>&nbsp;</td>
					<td>
						<label for='free_<TMPL_VAR NAME='$$free_stg{no}'>_active'>
							<span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>><TMPL_VAR NAME='$$free_stg{form_name}'></span>
						</label>
					</td>
					<td align='center'>
						<label>
							<input type='checkbox' id='essen' name="free_<TMPL_VAR NAME='$$free_stg{no}'>_e" value="1" <TMPL_VAR NAME='$$free_stg{essen}'> <TMPL_VAR NAME='disabled'> />
							<span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>>必須</span>
						</label>
					</td>
					<td class='cont' style='font-size:11px;color:#888888;'><TMPL_VAR NAME='$$_{form_type}'></td>
					<td>
						<ul class='sort'>
						<li><a class='sort_asc' title='1つ上へ'></a></li><li><a class='sort_desc' title='1つ下へ'></a></li>
						</ul>
					</td>
					<td align='center' <TMPL_IF NAME='is_tarea'>rowspan='3'</TMPL_IF>>
						<input type='text' id='disp_order' class='<TMPL_VAR NAME='$switch::s_txt'>' name='disp_order_free_<TMPL_VAR NAME='$$free_stg{no}'>' value='<TMPL_VAR NAME='disp_order'>'  style='ime-mode:disabled;' />
					</td>
					<td>
						<a href='?mode=show_free_form_setting&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>&no=<TMPL_VAR NAME='$$free_stg{no}'>&modify=<TMPL_VAR NAME='$modify'>'><img src='./img/ms_cp_icon_edit.gif' title='この自由項目を編集' /></a>
					</td>
				</tr>
			<!-- ▲free item -->
			</TMPL_IF>
			</TMPL_LOOP>
<!--
				<tr>
					<td class="<TMPL_VAR NAME='$switch::th'>" rowspan='3'>
						<input type="checkbox" id='tarea' name="tarea" value="1" <TMPL_VAR NAME='$$stg{tarea}'> <TMPL_IF NAME='$item_limit'>disabled</TMPL_IF> />
					</td>
					<td class="<TMPL_VAR NAME='$switch::th'>" rowspan="3">
						<label for='tarea'><span <TMPL_IF NAME='$item_limit'>class='unconfig2'</TMPL_IF>>コメント欄</span></label>
					</td>
					<td>
						<input type="checkbox" id='tarea_e' name="tarea_e" value="1" <TMPL_VAR NAME='$$stg{tarea_e}'> <TMPL_IF NAME='$item_limit'>disabled</TMPL_IF> />
					</td>
					<td><label for='tarea_e'><span <TMPL_IF NAME='$item_limit'>class='unconfig2'</TMPL_IF>>入力必須</span></label></td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td colspan='3'><span <TMPL_IF NAME='$item_limit'>class='unconfig2'</TMPL_IF>>コメント欄の説明（※半角255文字以内）</span></td>
				</tr>
				<tr>
					<td colspan='3'>
						<textarea class="<TMPL_VAR NAME='$switch::ta'>" name="tarea_exp" rows="3" <TMPL_IF NAME='$item_limit'>disabled</TMPL_IF>><TMPL_VAR NAME='$$stg{tarea_exp}'></textarea>
					</td>
				</tr>
-->
			</table>
		</div>
	</div><!-- end form_box -->

<!--
	<div class='<TMPL_VAR NAME='$switch::cap_sub'>'>
		<ul class='cap_main'>
			<li class='top'>自由項目</li>
		</ul>
	</div>
	<div id='free_box'>
		<div style='height:20px;'>
			<span class='box_heading'>表示/非表示</span>
		</div>
		<div class='free_list'>
			<TMPL_IF NAME='$item_limit'>
				<div class='desc'>
					※現在<a href="?mode=show_setting&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>">基本設定の編集</a>にてダブルオプトイン機能が有効になっているため、自由項目は選択できません。
				</div>
			</TMPL_IF>
			<table class='nor' cellspacing='1' cellpadding='5'>
			<TMPL_IF NAME='$free_list'>
				<TMPL_LOOP NAME='$free_list'>
					<tr>
						<td class="<TMPL_VAR NAME='$switch::th'>" width='5%'>
							<input type="checkbox" id='free_<TMPL_VAR NAME='$$free_stg{no}'>_active' name='free_<TMPL_VAR NAME='$$free_stg{no}'>_active' value="1" <TMPL_VAR NAME='$$free_stg{active}'> <TMPL_VAR NAME='disabled'> />
						</td>
						<td class="<TMPL_VAR NAME='$switch::th'>" width='25%'>
							<label for='free_<TMPL_VAR NAME='$$free_stg{no}'>_active'>
								<span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>><TMPL_VAR NAME='$$free_stg{form_name}'></span>
							</label>
						</td>
						<td width='5%'>
							<input type="checkbox" id='free_<TMPL_VAR NAME='$$free_stg{no}'>_e' name="free_<TMPL_VAR NAME='$$free_stg{no}'>_e" value="1" <TMPL_VAR NAME='$$free_stg{essen}'> <TMPL_VAR NAME='disabled'> />
						</td>
						<td align='left'>
							<label for='free_<TMPL_VAR NAME='$$free_stg{no}'>_e'>
								<span <TMPL_IF NAME='disabled'>class='unconfig2'</TMPL_IF>>入力必須</span>
							</label>
						</td>
						<td align='left' style='font-size:11px;color:#888888;'><TMPL_VAR NAME='$$_{form_type}'></td>
						<td align='center' width='18%'>
							<a class='link_main' href='?mode=show_free_form_setting&id=<TMPL_VAR NAME='$$fd{id}'>&type=<TMPL_VAR NAME='$$fd{type}'>&no=<TMPL_VAR NAME='$$free_stg{no}'>&modify=<TMPL_VAR NAME='$modify'>'>フォーム編集</a>
						</td>
					</tr>
				</TMPL_LOOP>
			<TMPL_ELSE>
				<tr>
					<td>自由項目は設定されていません。</td>
				</tr>
			</TMPL_IF>
			</table>
		</div>
	</div>
->
<!-- end of free_box -->
<br />
	<div class='btn'>
		<input type="submit" class="<TMPL_VAR NAME='$switch::btn'>" name="show_new_free_form" value="新しい自由項目を追加" />
		<input type="submit" class="<TMPL_VAR NAME='$switch::btn'>" name="save_form_setting" value="設定を保存" />
	</div>
	<input type="hidden" name="id" value="<TMPL_VAR NAME='$$fd{id}'>" />
	<input type="hidden" name="type" value="<TMPL_VAR NAME='$$fd{type}'>" />
	<input type="hidden" name="new_free_form_num" value="<TMPL_VAR NAME='$new_free_form_num'>" />
	<input type="hidden" name="modify" value="<TMPL_VAR NAME='$modify'>" />
	<input type='hidden' name='device' value='1' />
</form>
