#!/usr/bin/perl
###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Inc. owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package main;

use strict;
use lib qw(./ext_lib ./asp_opt);
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use CGI::Cookie;
use DBI;
use Unicode::Japanese;
use Mail::POP3Client;

require "./config.cgi";
require "./lib/save.pl";
require "./lib/proc.pl";
require "./lib/get.pl";
require './lib/check.pl';
require "./lib/cp.pl";
require "./lib/db.pl";
require "./lib/asp.pl";
require "./lib/auto.pl";
require "./lib/start.pl";
require "./lib/item.pl";
require "./lib/show.pl";	# only debug
require "./lib/idms.pl";	# 1.80

$| = 1;
&db::open();
my $pid;;
#=pod
FORK: {
	if($pid = fork) {
		print <<EOM;
Content-type: text/html

OK! action.cgi succeeded in creating a process.（action.cgiはプロセスの生成に成功しました。）
EOM
		close(STDOUT);
		close(STDERR);
		close(STDIN);
		wait;
	}
	elsif (defined $pid) {
		close(STDOUT);
		close(STDERR);
		close(STDIN);
#=cut
#		&db::open();
		&db::child_open();
		# 1.80 ######################
		#if($config::oem){
			my $pid_2;
			if($pid_2 = fork){
				#&auto::collect();
				#require "./lib/action_1.pl";
				#require "./lib/action_2.pl";
				require "./lib/action_3.pl";
				wait;
			}
			elsif (defined $pid_2){
				&db::child_open();
				require "./lib/idms.pl";
				&idms::continue();
			}
		#}
		#else{
		#	&auto::collect();
		#	require "./lib/action_1.pl";
		#	require "./lib/action_2.pl";
		#	require "./lib/action_3.pl";
		#}
		###########################
#=pod
	}
	elsif( $! =~ /No more process/){
		sleep 5;
		redo FORK;
	}
	else{
		die "Can't fork: $!\n";
	}
} # End of Label:fork
#=cut
exit;
1;

