/*
* @ スライドナビゲーション
* @ Cookieを使って開閉をコントロール
*/
$(function(){
	// ナビゲーションで使うCookieを読みこんでおく
	var cookie = ($.cookie("fixed_list") && $.cookie("fixed_list")!=null)
		? $.cookie("fixed_list")
		: "";

	$(".fixed_list","div#fixed_box").each(
		function(i){
			// 開閉ナビで使う変数定義
			var me = $(this),
			box = me.parent(), // 親要素のdiv.nav
//			heading = me.prev().append("<span class='toggle'></span>"),
			heading = me.prev(),
			// 兄要素のh2にspan.toggleを追加して変数に保存
//			toggle = $("span.toggle",heading), // Toggle
			toggle = $("div#fixed_box span.box_heading"), // Toggle
			pos = "["+i+"]"; // Cookieに保存する

			// クッキーに[i]がある場合はナビを表示する
			if($.cookie("fixed_list") == null || cookie.indexOf(pos)==-1){
				me.hide();
//				toggle.hide();
			}
			else{
				box.addClass("opened");
//				heading.addClass("opened");
				toggle.addClass("opened");
			}

			// Toggleボタンの表示非表示
//			heading.hover(
//				function(){
					toggle.show();
//				}
//				,
//				function(){
					// h2.openedの場合はToggleを表示したままにする
//					if(!heading.hasClass("opened")) toggle.hide();
//				}
//			);

			// Toggleクリック時の動作
			toggle.click(
				function(){
//					heading.toggleClass("opened");
					toggle.toggleClass("opened");
					if(!box.hasClass("opened")){
						box.addClass("opened");
						cookie += pos;
						$.cookie("fixed_list",cookie);
					}
					else{
						cookie = cookie.replace(pos,"");
						$.cookie("fixed_list",cookie.length==0 ? null : cookie);
					}

					// アニメーション設定
					me.animate(
						{
							height: "toggle"
						},
						{
//							easing: "easeOutBounce", // jQuery Easing
							duration: 400,
							complete: function(){
//								if(!heading.hasClass("opened")) box.removeClass("opened");
								if(!toggle.hasClass("opened")) box.removeClass("opened");
							}
						}
					);

				}
			);
		}
	);
});
