
$(function(){
	var cookie_name = "mag_nav" + type_num;
	// ナビゲーションで使うCookieを読みこんでおく
	var cookie = ($.cookie(cookie_name) && $.cookie(cookie_name)!=null)
		? $.cookie(cookie_name)
		: "";

	$("ul.sub_nav","div#mag_nav").each(
		function(i){
			var me = $(this),
			box = me.parent(), // 親要素のdiv.nav
			heading = me.prev().append("<span class='toggle'></span>"),
			toggle = $("span.toggle",heading), // Toggle
			pos = "["+i+"]"; // Cookieに保存する

			// クッキーに[i]がある場合はナビを表示する
			if($.cookie(cookie_name) == null || cookie.indexOf(pos)==-1){
				me.hide();
				toggle.hide();
			}
			else{
				box.addClass("opened");
				heading.addClass("opened");
			}

			// Toggleボタンの表示非表示
//			heading.hover(
//				function(){
					if(($("li",me).size()) > 0){
						toggle.show();
					}
//
//				,
//				function(){
					// h2.openedの場合はToggleを表示したままにする
//					if(!heading.hasClass("opened")) toggle.hide();
//				}
//			);

			// Toggleクリック時の動作
			toggle.click(
				function(){
					heading.toggleClass("opened");
					if(!box.hasClass("opened")){
						box.addClass("opened");
						cookie += pos;
						$.cookie(cookie_name,cookie);
					}
					else{
						cookie = cookie.replace(pos,"");
						$.cookie(cookie_name,cookie.length==0 ? null : cookie);
					}

					// アニメーション設定
					me.animate({
							height: "toggle"
						},{
//							easing: "easeOutBounce", // jQuery Easing
							duration: 400,
							complete: function(){
								if(!heading.hasClass("opened")) box.removeClass("opened");
							}
						}
					);

				}
			);

			// Tooltip
			var mag_id = $("a",heading);
			$("body").append("<div class='tooltip' id='mag_name" + i + "'>" + mag_id.attr('title')+ "</div>");
			//$("body").append("<div class='tooltip' id='mag_name" + i + "'>" + mag_id.attr('title').html()+ "</div>");
			var my_tooltip = $("div#mag_name" + i);
//alert(mag_id.attr('title'));
			if(mag_id.attr("title") != "" && mag_id.attr("title") != "undefined" ){
				mag_id
				.removeAttr("title")
				.mouseover(function(){  
					my_tooltip.css("display","").fadeIn(200);  
				})
				.mousemove(function(kmouse){
					var offsetX = 30;
					var offsetY = -10;  
					var left_pos = kmouse.pageX + offsetX;  
					var top_pos  = kmouse.pageY + offsetY;  
					my_tooltip.css({left:left_pos, top:top_pos});  
				});
			}
			mag_id.mouseout(function(){  
				my_tooltip.css("display","none");                   
			});

			$("li a",me).each(function(j){
				// Tooltip
				var article = $(this);
				$("body").append("<div class='tooltip' id='article_" + i + '_' + j + "'>" + article.attr('title')+ "</div>");
				var my_tooltip = $("div#article_" + i + '_' + j);

				if(article.attr("title")){
					article.removeAttr("title").mouseover(
						function(){  
							my_tooltip.css("display","").fadeIn(200);  
						}
					).mousemove(
						function(kmouse){
							var offsetX = 30;  
							var offsetY = -10;  
							var left_pos = kmouse.pageX + offsetX;  
							var top_pos  = kmouse.pageY + offsetY;  
							my_tooltip.css({left:left_pos, top:top_pos});  
						}
					);
				}
				article.mouseout(function(){  
					my_tooltip.css("display","none");                   
				});
			});
		}
	);
	
});
