###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Communications owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package check;

use strict;
my $F = CGI->new();
my $EC = __PACKAGE__.$ver::version.'_';
my $product_name = $config::oem ? $config::oem_product  : 'MilkyStep';

sub authority{
	my $type = &get::type();
	my($login_id) = @_;
	&db::query("SELECT * FROM ms_author WHERE login_id='$login_id'");
	my $href = $db::sth->fetchrow_hashref;
	if($F->param('make_new_mag') || $F->param('del_mags')){
		if(	($href->{can_mk_ms}  != 1 && $F->param('type') == 1) ||
			($href->{can_mk_am}  != 1 && $F->param('type') == 2) ||
			($href->{can_mk_sm}  != 1 && $F->param('type') == 3) ||
			($href->{can_mk_inv} != 1 && $F->param('type') == 4)	){
			&show::error("$typeの作成/削除を行う権限がありません",$EC.__LINE__);
		}
	}
	if(	$F->param('mode') eq "show_story"			||
		$F->param('mode') eq "show_extra"			||
		$F->param('mode') eq "copy_story"			||
		$F->param('mode') eq "copy_extra"			||
		$F->param('mode') eq "copy_his"				||
		$F->param('new_story')						||
		$F->param('new_extra')						||
		$F->param('new_indiv')						||
		$F->param('show_setting')					||
		$F->param('mode') eq 'show_setting'		||
		$F->param('show_delivery')					||
		$F->param('mode') eq 'show_delivery'		||
		$F->param('show_form_setting')				||
		$F->param('show_modify_form_setting')		||
		$F->param('new_benefits')					||
		$F->param('mode') eq 'show_benefits'		||
		$F->param('save_karame_setting')			||
		$F->param('save_bcn_setting')				||
		$F->param('mode') eq 'show_default'		||
		$F->param('show_new_lmtd')					||
		$F->param('mode') eq 'show_lmtd_setting'	||
		$F->param('show_accounts')					||
		$F->param('mode') eq 'show_accounts'		||
		$F->param('save_user_migration')			||
		$F->param('save_indiv_users')				||
		$F->param('show_del_indiv')					||
		$F->param('show_operate_his')				){
		if(	($href->{can_edit_ms}  != 1 && $F->param('type') == 1)	||
			($href->{can_edit_am}  != 1 && $F->param('type') == 2)	||
			($href->{can_edit_sm}  != 1 && $F->param('type') == 3)	||
			($href->{can_edit_inv} != 1 && $F->param('type') == 4)		){
			&show::error("$typeの編集を行う権限がありません",$EC.__LINE__);
		}
	}
	# 1.77 ######
	if(	$F->param('show_users')				|| $F->param('mode') eq 'show_users'			||
		$F->param('show_csv')				|| $F->param('mode') eq 'show_csv'				||
		$F->param('show_users_more')		|| $F->param('mode') eq 'show_users_more'		||
		$F->param('show_users_edit')		|| $F->param('mode') eq 'show_users_edit'		||
		$F->param('show_his_delivered')		|| $F->param('mode') eq 'show_his_delivered'	||
		$F->param('show_his_clicked')		|| $F->param('mode') eq 'show_his_clicked'	||
		$F->param('show_his_clicked_eu')	|| $F->param('mode') eq 'show_his_clicked_eu'	||
		$F->param('show_err_users')			|| $F->param('mode') eq 'show_err_users'		){
		if($href->{can_show_users} != 1){
			&show::error("読者の閲覧を行う権限がありません",$EC.__LINE__);
		}
	}
	if($F->param('show_filtered_users') || $F->param('mode') eq 'show_filtered_users'){
		if($href->{can_show_users} != 1){
			&show::error_popup("読者の閲覧を行う権限がありません",$EC.__LINE__);
		}
	}
	#############
	if(	$F->param('show_import')					||	$F->param('mode') eq 'show_import'			||
		$F->param('import_users')				||	$F->param('mode') eq 'import_users'		||
		$F->param('show_operate_users')			||	$F->param('mode') eq 'show_operate_users'	||
		$F->param('show_users_edit')			||	$F->param('mode') eq 'show_users_edit'		||
		$F->param('save_users_edit')			||	$F->param('mode') eq 'save_users_edit'		||
		$F->param('mode') eq 'new_user'	){			# 1.77
		if($href->{can_operate_users} != 1){
			&show::error("読者登録/削除/編集を行う権限がありません",$EC.__LINE__);
		}
	}
	if(	$F->param('mode') eq 'show_ready_vup'){
		if($href->{can_vup} != 1){
			&show::error("バージョンアップを行う権限がありません",$EC.__LINE__);
		}
	}
	if($F->param('proc_version_up_sys') || $F->param('proc_version_up_opt')){
		if($href->{can_vup} != 1){
			&show::vup_status("ng:バージョンアップを行う権限がありません（".$EC.__LINE__."）");
		}
	}
	if(
		$F->param('mode') eq	'show_bodytpl'		||
		$F->param('show_new_bodytpl')				||
		$F->param('new_header')						||
		$F->param('new_footer')						||
		$F->param('mode') eq "show_define_header"	||
		$F->param('mode') eq "show_define_footer"	||
		$F->param('new_attri')						||
		$F->param('mode') eq "show_attri"			||
		$F->param('show_new_original_tag')			||
		$F->param('mode') eq "show_original_tag"	||
		$F->param('show_image_upload') 				||
		$F->param('show_ready_del_image')		 	||
		$F->param('mode') eq	'show_smtp'			||
		$F->param('show_new_smtp')					||
		$F->param('proc_backup')					 	||
		$F->param('proc_rebuild_db')			 	||
		$F->param('show_set_sys_info')					){
		if($href->{can_other} != 1){
			&show::error("共通設定の編集を行う権限がありません",$EC.__LINE__);
		}
	}
	# 1.83 ########
	#if($F->param('mode') eq "show_author" || $F->param('show_new_author')){
	if(
		$F->param('mode') eq 'show_author'     || $F->param('show_author')     ||
		$F->param('mode') eq 'show_new_author' || $F->param('show_new_author') ||
		$F->param('mode') eq 'save_author'     || $F->param('save_author')
	){
		#if($href->{'super_user'} != 1 && $F->param('no') != $href->{'no'}){
		#	&show::error("
		#		<p>ユーザの追加・削除・権限編集はシステム管理者のみが行えます。</p>
		#		<p>一般ユーザは自分のユーザ設定以外は編集できません。</p>
		#	",$EC.__LINE__);
		#}
		if($href->{'super_user'} != 1){
			if($F->param('no') != $href->{'no'} ){
				&show::error("ユーザの追加・削除・権限編集はシステム管理者のみが行えます。",$EC.__LINE__);
			}
			map { &show::error(
					"ユーザの権限編集はシステム管理者のみが行えます。",
					$EC.__LINE__
			) if $_ =~ /^can_/; } $F->param;
		}
	}
	#if($F->param('show_del_author')){
	if(
		$F->param('mode') eq 'show_del_author' || $F->param('show_del_author') ||
		$F->param('mode') eq 'save_del_author' || $F->param('save_del_author')
	){
		if($href->{'super_user'} != 1){
			&show::error("ユーザの追加・削除・権限編集はシステム管理者のみが行えます。",$EC.__LINE__);
		}
	}
	##############
	if($F->param('mode') eq "show_restore"){
		if($href->{'super_user'} != 1){
			&show::error("データベースの復元はシステム管理者のみが行えます。",$EC.__LINE__);
		}
	}
	# Return
	if($href->{'super_user'} == 1){ return "su"; } else { return "gu"; }
}

sub author{
	#my $ad = $F->Vars;
	my $fd = $F->Vars;
	if($$fd{login_id} !~ /^[\d\w]+$/){
		&show::error("ログインIDは半角英数字と_（アンダーバー）の組み合わせで指定してください",$EC.__LINE__);
	}
	if($$fd{login_pass} !~ /^[\d\w]+$/){
		&show::error("ログインパスワードは半角英数字と_（アンダーバー）の組み合わせで指定してください",$EC.__LINE__);
	}
	if($$fd{login_pass} ne $$fd{login_pass_chk}){
		&show::error("パスワードと確認用パスワードの内容が違います",$EC.__LINE__);
	}
	if(!$$fd{pass_phrase}){
		&show::error("パスフレーズを入力してください",$EC.__LINE__);
	}
	if(&check::email($$fd{email}) == 0){
		&show::error("ユーザのメールアドレスを正しく入力してください",$EC.__LINE__);
	}
	&db::query("SELECT no,login_id FROM `ms_author` WHERE login_id='$$fd{login_id}'");
	my $href = $db::sth->fetchrow_hashref();
	if($href && $href->{no} != $$fd{no}){
		&show::error("そのログインIDはすでに使用されています",$EC.__LINE__);
	}
}

sub del_author{	# 1.83
	my ($ad,$auth,$myid) = @_;
	&show::error("システム管理者は削除できません。",$EC.__LINE__) if $$ad{super_user};
}

sub smtp{
	my $fd = $F->Vars;
	&show::error("名前を入力してください",$EC.__LINE__) if !$$fd{name};
	&show::error("SMTPサーバ名を入力してください",$EC.__LINE__) if !$$fd{smtp_server};
	if(!&check::fqdn($$fd{smtp_server}) && !&check::ipv4($$fd{smtp_server}) && !&check::ipv6($$fd{smtp_server}) ){
		&show::error("SMTPサーバ名が不正です。",$EC.__LINE__);
	}
	&show::error("SMTPポート番号を入力してください",$EC.__LINE__) if !$$fd{smtp_port};
	if($$fd{smtp_port} !~ /^\d+$/ || $$fd{smtp_port} < 0){
		&show::error("SMTPポート番号は正の整数（半角）で指定してください",$EC.__LINE__);
	}
	if($$fd{smtp_auth}){
		&show::error("SMTP認証を行うユーザ名を入力してください",$EC.__LINE__) if !$$fd{smtp_user};
		&show::error("SMTP認証を行うパスワードを入力してください",$EC.__LINE__) if !$$fd{smtp_pass};
	}
	# 1.72 ####
	if($$fd{smtp_prot} == 1){	# TLS
		if(!$$fd{smtp_user} || $$fd{smtp_user} =~ /^[\s　]+$/){
			&show::error("TLS接続を利用する場合はユーザ名とパスワードを指定する必要があります。",$EC.__LINE__);
		}
		if(!$$fd{smtp_pass} || $$fd{smtp_pass} =~ /^[\s　]+$/){
			&show::error("TLS接続を利用する場合はユーザ名とパスワードを指定する必要があります。",$EC.__LINE__);
		}
	}
	if($$fd{smtp_check}){
		if(!$$fd{smtp_check_id}){
			&show::error("送信テスト時に基本設定情報を利用するメルマガ・ステップメールIDを選択してください。",$EC.__LINE__);
		}
		else{
			$$fd{id} = $$fd{smtp_check_id};
			&check::smtp_connection($fd);
		}
	}
	##########
}

sub email{
	my ($email) = @_;
	if($email =~ /^[\d\w-.+]+\@[\d\w-]+(\.[\d\w-]+)+$/){
		return 1;
	}
	else{
		return 0;
	}
}
sub black{
	my ($email,$col_id) = @_;
	my $id = $col_id || $F->param('id') || $F->param('m');
	&db::query("SELECT * FROM `ms_black_$id` WHERE email='$email'");
	my $row = $db::sth->fetchrow_array;
	if(!$row){
		return 1;
	}
	else{
		return 0;
	}
}
sub user{
	my ($email,$col_id) = @_;
	my $id = $col_id || $F->param('id') || $F->param('m');
	&db::query("
		SELECT email FROM `ms_user_$id`
		WHERE email = '$email'
	");
	my $row = $db::sth->fetchrow_array;
	if(!$row){
		return 1;
	}
	else{
		return 0;
	}
}
sub user_except_myself {	# For editing a user email in CP # 1.76
	my ($email,$id,$my_no) = @_;
	&db::query("
		SELECT email FROM `ms_user_$id`
		WHERE email = '$email' AND no != $my_no
	");
	my ($row) = $db::sth->fetchrow_array();
	if(!$row){	return 1; }else{ return 0; }
}
sub active_user{
	my ($email,$id) = @_;
	# 1.86 #####
	#&db::query("
	#	SELECT email FROM `ms_user_$id`
	#	WHERE email = '$email' AND active = 1
	#");
	&db::query(
		"SELECT email FROM `ms_user_$id`
		 WHERE email = ? AND active = 1",
		[{value => $email}]
	);
	############
	my $row = $db::sth->fetchrow_array;
	if(!$row){
		return 1;
	}
	else{
		return 0;
	}
}
sub url{
	my $result = "";
	if($_[0] =~ /^s?https?:\/\/[-_.!~*'()a-zA-Z0-9;\/?:\@&=+\$,%#]+$/){
		$result = 1;
	}
	else{
		$result = 0;
	}
	return $result;
}

sub fqdn{
	my ($fqdn) = @_;
	if($fqdn =~ /^[-_.a-zA-Z0-9:]+\.([-_.a-zA-Z0-9:]+){1,}$/){
		return 1;
	}
	return 0;
}

sub ipv4{
	my ($ipv4) = @_;
	if($ipv4 =~ /^(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)(?:.(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)){3}$/){
		return 1;
	}
	return 0;
}

sub ipv6{
	my ($ipv6) = @_;
	if($ipv6 =~ /^::|(?:[0-9a-fA-F]{1,4}:){1,7}:|:(?::[0-9a-fA-F]{1,4}){1,7}|(?:[0-9a-fA-F]{1,4}:){7}[0-9a-fA-F]{1,4}|(?:[0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}
$/){
		return 1;
	}
	return 0;
}

sub accounts1{

}
sub accounts2{

}
sub del_image{
	&show::error("画像が選択されていません",$EC.__LINE__) if !$F->param('choiced_image');
	my @del = $F->param('choiced_image');
 	my $list = &get::all_id_and_type();

################# check data
	my %check = ();
	
	for(my $k=0; $k<@$list; $k++){
		my $sc = '';
		my $ec = '';
		my $ic = '';
		my $max = '';
		if($$list[$k]{type_num} <= 2){
			($sc,$max) = &get::story_contents($$list[$k]{id});
			$ec = &get::extra_nos($$list[$k]{id});
		}
		elsif($$list[$k]{type_num} == 3){
			($ec,$max) = &get::extra_contents($$list[$k]{id});
		}
		# check story contents
		if($sc && @$sc != 0){
			for(my $i = 0; $i < @$sc; $i++){
				my $str = "";
				if($$sc[$i]{'define_header'} == 1 ){
					if($$sc[$i]{'define_footer'} == 1){
						my $dhd = &get::define_header($$sc[$i]{define_header_no});
						my $dfd = &get::define_footer($$sc[$i]{define_footer_no});
						$str = $$dhd{content}. $$sc[$i]{body}. $$dfd{content};
					}
					else{
						my $dhd = &get::define_header($$sc[$i]{define_header_no});
						$str = $$dhd{content}. $$sc[$i]{body}. $$sc[$i]{footer};
					}
				}
				else{
					if($$sc[$i]{'define_footer'} == 1){
						my $dfd = &get::define_footer($$sc[$i]{define_footer_no});
						$str = $$sc[$i]{header}. $$sc[$i]{body} .$$dfd{content};
					}
					else{
						$str = $$sc[$i]{'header'}. $$sc[$i]{'body'} .$$sc[$i]{'footer'};
					}
				}
				for(my $j = 0; $j < @del; $j++){
					$del[$j] =~ s/\./_/g;
					if($str =~ /\%\%UPIMG_$del[$j]\%\%/){
						$check{$del[$j]} .= "<li>$$list[$k]{'id'}のストーリー".$$sc[$i]{'sort_no'}."</li>\n";
					}
				}
			}
		}
		# check extra contents
		if($ec && @$ec != 0){
			for(my $i = 0; $i < @$ec; $i++){
				my $str = "";
				if($$ec[$i]{'define_header'} == 1 ){
					if($$ec[$i]{'define_footer'} == 1){
						my $dhd = &get::define_header($$ec[$i]{define_header_no});
						my $dfd = &get::define_footer($$ec[$i]{define_footer_no});
						$str = $$dhd{content}. $$ec[$i]{body}. $$dfd{content};
					}
					else{
						my $dhd = &get::define_header($$ec[$i]{define_header_no});
						$str = $$dhd{content}. $$ec[$i]{body}. $$ec[$i]{footer};
					}
				}
				else{
					if($$ec[$i]{'define_footer'} == 1){
						my $dfd = &get::define_footer($$ec[$i]{define_footer_no});
						$str = $$ec[$i]{header} .$$ec[$i]{body} .$$dfd{content};
					}
					else{
						$str = $$ec[$i]{'header'} .$$ec[$i]{'body'} .$$ec[$i]{'footer'};
					}
				}
				for(my $j = 0; $j < @del; $j++){
					$del[$j] =~ s/\./_/g;
					if($str =~ /\%\%UPIMG_$del[$j]\%\%/){
						$check{$del[$j]} .= "<li>$$list[$k]{'id'}の予約記事".$$ec[$i]{'sort_no'}."</li>\n";
					}
				}
			}
		}
		########### check indiv contents
=pod
		if($ic && @$ic != 0){
			for(my $i = 0; $i < @$ic; $i++){
				my $str = "";
				if($$ic[$i]{'define_header'} == 1 ){
					if($$ic[$i]{'define_footer'} == 1){
						my ($h_title,$h_content) = &get::define_header($$ic[$i]{'define_header_no'});
						my ($f_title,$f_content) = &get::define_footer($$ic[$i]{'define_footer_no'});
						$str = $h_content. $$ic[$i]{'body'}. $f_content;
					}
					else{
						my ($h_title,$h_content) = &get::define_header($$ic[$i]{'define_header_no'});
						$str = $h_content. $$ic[$i]{'body'}. $$ic[$i]{'footer'};
					}
				}
				else{
					if($$ic[$i]{'define_footer'} == 1){
						my ($f_title,$f_content) = &get::define_footer($$ic[$i]{'define_footer_no'});
						$str = $$ic[$i]{'header'} .$$ic[$i]{'body'} .$f_content;
					}
					else{
						$str = $$ic[$i]{'header'} .$$ic[$i]{'body'} .$$ic[$i]{'footer'};
					}
				}
				for(my $j = 0; $j < @del; $j++){
					$del[$j] =~ s/\./_/g;
					if($str =~ /\%\%UPIMG_$del[$j]\%\%/){
						$check{$del[$j]} .= "<li>$$list[$k]{'id'}の個別記事".$$ic[$i]{'no'}."</li>\n";
					}
				}
			}
		}
=cut
	}

	# check history data that temporaly stopped	1.77
	my @his_tbl = ();
	&db::query("SHOW TABLES LIKE 'ms_his_%'");
	while(my @ary = $db::sth->fetchrow_array()){
		push(@his_tbl,$ary[0]);
	}
	foreach(@his_tbl){
		my $id; if($_ =~ /^ms_his_([\d\w]+)$/){$id = $1;}
		if($id){
			&db::query("
				SELECT	*
				FROM	`ms_his_$id`
				WHERE  complete = 0 OR complete IS NULL
			");
			while(my $hd = $db::sth->fetchrow_hashref()){
				my $str;
				if($$hd{define_header} == 1){
					my $dhd = &get::define_header($$hd{define_header_no});
					$str .= $$dhd{content};
				}
				else{
					$str .= $$hd{header};
				}
				$str .= $$hd{o_body};
				if($$hd{define_footer} == 1 ){
					my $dfd = &get::define_footer($$hd{define_footer_no});
					$str .= $$dfd{content};
				}
				else{
					$str .= $$hd{footer};
				}
				for(my $j = 0; $j < @del; $j++){
					$del[$j] =~ s/\./_/g;
					if($str =~ /\%\%UPIMG_$del[$j]\%\%/){
						$check{$del[$j]} .= "<li>$idの配信未完了の記事（履歴No.".$$hd{no}."）</li>\n";
					}
				}
			} # while
		} # if $id
	} # foreach

	# print error
	if (%check){
		my $msg = "";
		foreach(keys %check){
			my $f_name = $_;
			$f_name =~ s/_/\./;
			$msg .= "
				<p>「$f_name」は以下の記事に使用されているため削除できません。</p>
				<p>削除したい場合はこれらの記事から、タグ「\%\%UPIMG_$_\%\%」を削除してください。配信中の場合は配信が完了するまで待つか、停止して配信履歴を削除してください。</p>
				<ul>$check{$_}</ul>
			";
		}
		&show::error($msg,$EC.__LINE__);
	}

}

sub del_free_form{

}

sub del_lmtd{

}

sub insert_image{
	my ($str) = @_;
	if(!$F->param('html') && $str =~ /\%\%IMG_.*?\%\%|\%\%UPIMG_.*?\%\%/){
		&show::error("テキスト形式のメールに「\%\%IMG_***\%\%」や「\%\%UPIMG_***\%\%」などの画像挿入タグは使用できません。",$EC.__LINE__);
	}
	return $str;
}
sub insert_image_sub{
	my ($str) = @_;
	if($str =~ /\%\%IMG_.*?\%\%|\%\%UPIMG_.*?\%\%/){
		&show::error("メールの件名に「\%\%IMG_***\%\%」や「\%\%UPIMG_***\%\%」などの画像挿入タグは使用できません。",$EC.__LINE__);
	}
	return $str;
}
sub insert_pictgram{
	my ($str) = @_;
	if(!$F->param('html') && $str =~ /\%\%PG_.*?\%\%/){
		&show::error("テキスト形式のメールに「\%\%PG_***\%\%」などの携帯絵文字挿入タグは使用できません。",$EC.__LINE__);
	}
	return $str;
}
sub insert_pictgram_sub{
	my ($str) = @_;
	if(!$F->param('html') && $str =~ /\%\%PG_.*?\%\%/){
		&show::error("テキスト形式のメールの件名に「\%\%PG_***\%\%」などの携帯絵文字挿入タグは使用できません。",$EC.__LINE__);
	}
	if($F->param('html') == 1 && $str =~ /\%\%PG_.*?\%\%/){
		&show::error("PC向けHTML形式のメールの件名に「\%\%PG_***\%\%」などの携帯絵文字挿入タグは使用できません。",$EC.__LINE__);
	}
	return $str;
}
sub reserve_day{
=pod
	my @mdays = (31,28,31,30,31,30,31,31,30,31,30,31);
	my $leap = &check::leapyear($F->param('res_year'));     #うるう年なら1
	if ($F->param('res_day') > $mdays[$F->param('res_mon')-1] ){
		if ($F->param('res_mon') == 2){
			if ($leap == 1){
				if ($F->param('res_day') > 29){
					&show::error("存在しない日時です",$EC.__LINE__);
				}
			}
			else{
				if ($F->param('res_day') > 28){
					&show::error("存在しない日時です",$EC.__LINE__);
				}
			}
		}
		else{
			&show::error("存在しない日時です",$EC.__LINE__);
		}
	}
	use Time::Local qw( timelocal );
	#yyyy-mm-dd-tt→epoch
	my $res_epoch = &timelocal(
									0,
									$F->param('res_min'),
									$F->param('res_hour'),
									$F->param('res_day'),
									$F->param('res_mon')-1,
									$F->param('res_year')-1900
	);
=cut
	my $fd = $F->Vars;
	if(!&check::date_exists($$fd{res_year}.'-'.$$fd{res_mon}.'-'.$$fd{res_day})){
		&show::error("予約日が存在しない日付です。",$EC.__LINE__);
	}
	&db::query("
		SELECT UNIX_TIMESTAMP(
			'$$fd{res_year}-$$fd{res_mon}-$$fd{res_day} $$fd{res_hour}:$$fd{res_min}:00'
		) - UNIX_TIMESTAMP(NOW())
	");
	my ($sec) = $db::sth->fetchrow_array();
	if (($sec/60) < 10 || ($sec/60/60/24) > 30){
		&show::error("予約可能日時は10分後から30日後までです。",$EC.__LINE__);
	}
}

sub date_exists{
	my ($date) = @_;
	&db::query("SELECT DAYOFYEAR('$date')");
	my ($exists) = $db::sth->fetchrow_array();
	if (!$exists){return 0;}
	return 1;
}

=pod
sub leapyear{        #閏年
    my($year) = @_;
    if ($year % 4 == 0){
        if ($year % 100 == 0){
            if ($year % 400 == 0){
                return 1
            }
            else{
                return 0;
            }
        }
        else{
            return 1;
        }
    }
    else{
        return 0;
    }
}
=cut

#sub mag_id{
sub new_mag{	# 1.85
	my $fd = $F->Vars;
	if($$fd{new_mag_id} !~ /^[\d\w]{1,8}$/){
		&show::error("IDは半角英数字と_（アンダーバー）の組み合わせで8文字以内で指定してください。",$EC.__LINE__);
	}
	#重複チェック
	&db::query("SELECT id FROM `ms_setting` WHERE id = '$$fd{new_mag_id}'");
	if(my $href = $db::sth->fetchrow_hashref()){
		&show::error("ID「$$fd{new_mag_id}」はすでに使用されています。",$EC.__LINE__);
	}
	# 1.85
	if($$fd{copy_setting} && !$$fd{source_id}){
		&show::error("コピー元のIDを選択してください。",$EC.__LINE__);
	}
}

sub story{

}

sub extra{
	if($F->param('html') != 1 && $F->param('os')){	# 1.81
		&show::error("開封率の測定はPC向けHTMLメール形式でのみ可能です。",$EC.__LINE__);
	}
	if(!$F->param('auto_sbj')){
		if($F->param('sbj_cont') eq ''){
			&show::error("件名を入力してください",$EC.__LINE__);
		}
		if(length($F->param('sbj_cont')) > 255){	# 1.77
			&show::error("件名が長すぎます。255バイト以内で指定して下さい。",$EC.__LINE__);
		}
		&check::unavailable_chars_utf8($F->param('sbj_cont'));	# 1.80(bug fixed)
	}
	&check::insert_image_sub($F->param('sbj_cont'));
	&check::insert_pictgram_sub($F->param('sbj_cont'));
	if($F->param('define_header') == 1){
		if($F->param('define_header_no') == 0){
			&show::error("既定のヘッダを選択してください",$EC.__LINE__);
		}
	}
	else{
		if(length($F->param('header')) > 65535){	# 1.82
			&show::error("ヘッダの文字数が多すぎます。64キロバイト以内で指定して下さい。",$EC.__LINE__);
		}
	}
	if($F->param('body') eq ''){
		&show::error("本文を入力してください",$EC.__LINE__);
	}
	if(length($F->param('body')) > 65535){	# 1.82
		&show::error("本文の文字数が多すぎます。64キロバイト以内で指定して下さい。",$EC.__LINE__);
	}
	if($F->param('define_footer') == 1){
		if($F->param('define_footer_no') == 0){
			&show::error("既定のフッタを選択してください",$EC.__LINE__);
		}
	}
	else{
		if(length($F->param('footer')) > 65535){	# 1.82
			&show::error("フッタの文字数が多すぎます。64キロバイト以内で指定して下さい。",$EC.__LINE__);
		}
	}
######################################################################
 if($F->param('cs')){
  &show::error("クリック測定機能は「MilkyStep Professional」にてご利用いただけます。");
 }
 if($F->param('os')){
  &show::error("開封率測定機能は「MilkyStep Professional」にてご利用いただけます。");
 }
######################################################################
	my $str = "";
	my $str = &proc::set_body();

	if($F->param('filter') == 1){
		if(&check::filter() == 0	){
			&show::error("フィルターの内容を指定してください",$EC.__LINE__);
		}
		&check::refine_params();
	}
	&check::unavailable_chars_utf8($str);	# 1.80(bug fixed)
	&check::accounts1($str);
	&check::insert_image($str);
	&check::insert_pictgram($str);
	if($F->param('show_reserve_extra') || $F->param('save_extra')){
		&check::reserve_day();
	}
}

sub extra_started{
	my($id,$no) = @_;
	&db::query("SELECT * FROM `ms_extra_$id` WHERE no = $no");
	if($db::sth->fetchrow_hashref()){
		return 1;
	}
	else{
		return 0;
	}
}

#sub test_add{
sub test {
	&show::error("テスト配信先のメールアドレスを指定してください。",$EC.__LINE__) if ($F->param('test_add') =~ /^[\s　]*$/);
	my @test_add = split(/,/,$F->param('test_add'));
	&show::error("テスト配信先のメールアドレスは最大5件まで指定可能です。",$EC.__LINE__) if @test_add > 5;
	foreach(@test_add){
		$_ =~ s/\s|　//g;
		if(!&check::email($_)){
			&show::error("「$_」は不正なメールアドレス形式です。",$EC.__LINE__);
		}
	}
	&check::unavailable_chars_utf8($F->param('test_prefix'));	# 1.80
}

sub session_token(){	# 1.75
	&db::query("
		SELECT	*
		FROM	`ms_session`
		WHERE	login_id = '$main::login_id'	AND
				token    IS NOT NULL				AND
				token    = '".$F->param('token')."'
	");
	if(!$db::sth->fetchrow_hashref()){
		&show::error(
			"この操作は再実行できません。一旦<a href='?mode=show_state&id=".
			$F->param('id'). "&type=". $F->param('type').
			"'>概要画面</a>に戻ってください。",
			$EC.__LINE__
		);
	}
}

sub indiv{

}
sub indiv_users{

}
sub filter{
	my $md = $F->Vars;
	if(	($$md{kw} eq '' || $$md{kw} =~ /^[\s　]*$/) &&
		$$md{regist_from}		eq ''	&&
		$$md{regist_mode}		eq ''	&&
		$$md{sex}				eq ''	&&
		$$md{under_age}		eq ''	&&
		$$md{over_age}		eq ''	&&
		$$md{under_clicks}	eq ''	&&
		$$md{over_clicks}		eq ''	&&
		$$md{under_points}	eq ''	&&
		$$md{over_points}		eq ''	&&
		$$md{postal}			eq ''	&&
		$$md{live_1}			eq ''	&&
		$$md{live_2}			eq ''	&&
		$$md{phone}			eq ''	&&
		$$md{job}				eq ''	&&
		$$md{marr}				eq ''	&&
		$$md{child}			eq ''	&&
		$$md{house}			eq ''	&&
		$$md{pet}				eq ''	&&
		$$md{pet_kind}		eq ''	&&
		$$md{uid}				eq ''	&&
		$$md{interest}		eq ''	&&
		$$md{sports}			eq ''	&&
		$$md{trouble}			eq ''	&&
		!($$md{entry_year_from}	&& $$md{entry_mon_from}	&& $$md{entry_day_from})	&& 
		!($$md{entry_year_to}	&& $$md{entry_mon_to}	&& $$md{entry_day_to})	&& 
		$$md{attri}			eq ''	&&
		$$md{domain}			eq ''	&&
		$$md{udevice}			eq ''	&&	# 1.81
		!$$md{is_birthday}			&&
		$$md{is_birthday_g} 	eq ''
	){
		foreach(keys %$md){
			if($_ =~ /^(is_)?free_\d+_\d+(_\w+)?$/ && $$md{$_} !~ /^[\s　]*$/){
				return 1;
			}
			# 1.75 #########
			elsif($_ =~ /^(under|over)_diag_\w+$/ && $$md{$_} !~ /^[\s　]*$/){
				return 1;
			}
			################
		}
		return 0;
	}
	return 1;
}

sub refine_params{
	my $fd = $F->Vars;
 	if($$fd{is_birthday_g} ne '' && ($$fd{is_birthday_g} == 0 || $$fd{is_birthday_g} !~ /^\-?\d+$/)){
		&show::error("フィルターの「○○日後」は0以外の半角数字で指定してください",$EC.__LINE__);
	}
	foreach(keys %$fd){
		if($_ =~ /^free_(\d+)_\d+_(from|to)$/ && $$fd{$_} ne ''){
			my $form_no = $1;
			if($$fd{$_} !~ /^\d{4}\-\d{1,2}\-\d{1,2}$/){
				my $stg = &get::free_form_setting($form_no);
				&show::error("$$stg{form_name}の範囲は「YYYY-MM-DD」形式で指定してください",$EC.__LINE__);
			}
			if(!&check::date_exists($$fd{$_})){
				my $stg = &get::free_form_setting($form_no);
				&show::error("$$stg{form_name}の範囲指定が存在しない日付です",$EC.__LINE__);
			}
		}
		if($_ =~ /^is_free_(\d+)_\d+_g$/ && $$fd{$_} ne ''){
			my $form_no = $1;
			if($$fd{$_} == 0 || $$fd{$_} !~ /^\-?\d+$/){
				my $stg = &get::free_form_setting($form_no);
				&show::error("フィルターの「○○日後」は0以外の半角数字で指定してください",$EC.__LINE__);
			}
		}
		if($_ =~ /^(under|over)_diag_/ && $$fd{$_} ne ''){		# 1.75
			if($$fd{$_} == 0 || $$fd{$_} !~ /^\d+$/){
				&show::error("不達情報は0以外の整数を半角で指定してください",$EC.__LINE__);
			}
		}
	}
}

sub insert{
	my ($str) = @_;
	my $ad = &get::accounts();
	if($ad){
		my $i = 0;
		for(my $i=0; $i<@$ad; $i++){
			if(	$str =~ /\%\%$$ad[$i]{'insert_str'}.*?\%\%/){
				return 1;
			}
		}
	}
	return 0;
}
sub define{
	if($F->param('title') eq '' || $F->param('title') =~ /^[\s　]+$/){
		&show::error("名前を入力してください",$EC.__LINE__);
	}
	if(length($F->param('title')) > 255){	# 1.77
		&show::error("名前が長すぎます。255バイト以内で指定して下さい。",$EC.__LINE__);
	}
	&check::unavailable_chars_utf8($F->param('title'));	# 1.80(bug fixed)
	if($F->param('content') eq '' || $F->param('content') =~ /^[\s　]+$/){
		&show::error("内容を入力してください",$EC.__LINE__);
	}
	if(length($F->param('content')) > 65535){	# 1.82
		&show::error("内容の文字数が多すぎます。64キロバイト以内で指定して下さい。",$EC.__LINE__);
	}
	&check::unavailable_chars_utf8($F->param('content'));	# 1.80(bug fixed)
}
sub delivery{
	if($F->param('mass') !~ /^\d+$/ || $F->param('mass') < 0){
		&show::error("送信数は正の整数（半角）で指定してください",$EC.__LINE__);
	}
	if($F->param('intervals') !~ /^\d+$/ || $F->param('intervals') < 0){
		&show::error("待機時間は正の整数で指定してください",$EC.__LINE__);
	}
	if($F->param('smtp_given') == 1){
		&show::error("SMTPサーバ名を入力してください",$EC.__LINE__) if !$F->param('smtp_server');
		&show::error("SMTPポート番号を入力してください",$EC.__LINE__) if !$F->param('smtp_port');
		if($F->param('smtp_port') !~ /^\d+$/ || $F->param('smtp_port') < 0){
			&show::error("SMTPポート番号は正の整数（半角）で指定してください",$EC.__LINE__);
		}
		if($F->param('smtp_auth')){
			&show::error("SMTP認証を行うユーザ名を入力してください",$EC.__LINE__) if !$F->param('smtp_user');
			&show::error("SMTP認証を行うパスワードを入力してください",$EC.__LINE__) if !$F->param('smtp_pass');
		}
		# 1.72 ####
		if($F->param('smtp_prot') == 1){	# TLS
			if(!$F->param('smtp_user') || $F->param('smtp_user') =~ /^[\s　]+$/){
				&show::error("TLS接続を利用する場合はユーザ名とパスワードを指定する必要があります。",$EC.__LINE__);
			}
			if(!$F->param('smtp_pass') || $F->param('smtp_pass') =~ /^[\s　]+$/){
				&show::error("TLS接続を利用する場合はユーザ名とパスワードを指定する必要があります。",$EC.__LINE__);
			}
		}
		# Check Connection
		if($F->param('smtp_check') == 1){
			my $fd = $F->Vars;
			&check::smtp_connection($fd);
		}
		##########
	}
	if($F->param('switch_proc')){
		if($F->param('switch_time') < 1 || $F->param('switch_time') !~ /^\d+$/){
			&show::error("プロセス切り替え時間は1以上の正の整数で指定してください",$EC.__LINE__) if !$F->param('smtp_user');
		}
	}
}
# 1.72 ###################
sub smtp_connection{
	my ($fd) = @_;
	#my $stg = &get::setting_data($$fd{id});
	my $stg = $$fd{id}
	   ? &get::setting_data($$fd{id})
	   : { from_add => $$fd{email}, from_name => $$fd{email}};	# 1.83

#die $$fd{email}.$$stg{from_add};
	my $md = {
		id			=> $$stg{id},
		sbj_cont	=> "$product_name - 送信テスト($$fd{smtp_server})",
		body		=> "このメールは、SMTPサーバ設定時のテストにより、$$fd{smtp_server}から自動送信されたものです。",
		html		=> 0,
		lang		=> 0	# 0 -> ISO-2022-JP
	};
	$md = &proc::make_cont($md);
	#$md = &proc::make_cont($md) if $$stg{id};	# 1.83
	my ($res,$log) = &start::sendmail(
		{
			smtp_given		=> 1,
			smtp_server	=> $$fd{smtp_server},
			smtp_port		=> $$fd{smtp_port},
			smtp_auth		=> $$fd{smtp_auth},
			smtp_user		=> $$fd{smtp_user},
			smtp_pass		=> &cp::enc_pass($$fd{smtp_pass}),
			smtp_prot		=> $$fd{smtp_prot},
			# ▼ 2015-10-22 #################
			smtp_envelope	=> $$fd{smtp_envelope}		# For OEM
			# ▲ 2015-10-22 #################
		},	# $dd
		{
			id			=> $$stg{id},
			from		=> &proc::set_mail_from($stg,$$md{lang}),
			rep			=> $$stg{reply_add},
			env			=> $$stg{envelope_add},
			his_no		=> undef,
			bulk		=> undef
		},	#\%common,
		[{
			email => $$stg{reply_add} || $$stg{from_add}
		}],	#\@ud,
		undef,						# \@user_info
		$md,
		$stg,
		$$md{body},				# $tot_body,
		&get::mobile_domain(),	# $mob_doms,
		undef,						# $attach,
		undef						# $free_list
	);
	&show::error($log,$EC.__LINE__) if !$res;
}
##########################
sub sys_info{
	my $fd = $F->Vars;
	# 1.83 ############
	#if(!$F->param('s_m_path') && !$F->param('smtp_given')){
	if(!$$fd{s_m_path}){
		if(!$$fd{smtp_given}){
			&show::error("sendmailを利用しない場合は、SMTPサーバを指定してください。",$EC.__LINE__);
		}
	}
	else{
		if(!$$fd{smtp_given}){
			&show::error("sendmailパスの形式が不正です。",$EC.__LINE__) if $$fd{s_m_path} !~ /^(\/[\d\w-.]+){1,}\/?$/;	# 1.83
			$$fd{s_m_path} = &proc::conv_html_ref_2($$fd{s_m_path});
			if(!open(MAIL,"| ".$$fd{s_m_path}." -t")){
				&show::error("「".$$fd{s_m_path}."」でsendmailがオープンできません。",$EC.__LINE__);
			}
		}
	}
	##################
	&show::error("システムのメールアドレスを正しく指定してください。",$EC.__LINE__) if !&check::email($$fd{email});
#	close(MAIL);	Measures of malformed-header error
	if($$fd{smtp_given}){
		&show::error("SMTPサーバ名を入力してください",$EC.__LINE__) if !$$fd{smtp_server};
		# 1.83 ####
		if(!&check::fqdn($$fd{smtp_server}) && !&check::ipv4($$fd{smtp_server}) && !&check::ipv6($$fd{smtp_server})){
			&show::error("SMTPサーバ名が不正です。",$EC.__LINE__);
		}
		##########
		&show::error("SMTPポート番号を入力してください",$EC.__LINE__) if !$$fd{smtp_port};
		if($$fd{smtp_port} !~ /^\d+$/ || $$fd{smtp_port} < 0){
			&show::error("SMTPポート番号は正の整数（半角）で指定してください",$EC.__LINE__);
		}
		if($$fd{smtp_auth}){
			&show::error("SMTP認証を行うユーザ名を入力してください",$EC.__LINE__) if !$$fd{smtp_user};
			&show::error("SMTP認証を行うパスワードを入力してください",$EC.__LINE__) if !$$fd{smtp_pass};
		}
	}
	if($$fd{logout_sec} !~ /^\d+?$/){
		&show::error("自動ログアウト時間は0か正の整数で指定してください",$EC.__LINE__);
	}
	foreach(
		split(/\r\n|\r|\n/,$$fd{domain_docomo}  ),
		split(/\r\n|\r|\n/,$$fd{domain_ezweb}   ),
		split(/\r\n|\r|\n/,$$fd{domain_softbank})
	){
		if($_ !~ /^([\d\w-]+\.)?[\d\w-]+(\.[\d\w]{2,})+$/){
			&show::error(&proc::conv_html_ref_2($_)."は正しくないドメイン名です。",$EC.__LINE__);
		}
	}

	if($$fd{ext_delimiter} eq '' || $$fd{ext_delimiter} =~ /^[\s　]+$/){
		&show::error("拡張アドレスのデリミタ（区切り文字）1バイト文字1文字で指定してください。スペースなどの空白文字は使用できません。",$EC.__LINE__);
	}
	if($$fd{ext_delimiter} ne '' && length($$fd{ext_delimiter}) > 1){
		&show::error("拡張アドレスのデリミタ（区切り文字）は1バイト文字1文字を指定してください。",$EC.__LINE__);
	}
	if($$fd{ext_delimiter} =~ /[\!"#\$%&'\( \)~\^\|\\\/\*`\@ \[\]\{\};:<>\,\?]/){
		&show::error("拡張アドレスのデリミタに ! \" # \$ % & ' ( ) ~ ^ | \\ / * ` @ [ ] { } ; : &lt; &gt; , ? の記号は使用できません。",$EC.__LINE__);
	}
	# 1.83 #######
	#&check::smtp_connection_direct($F->param('email'));
#my $fd = $F->Vars;
#die $$fd{s_m_path};
	&check::smtp_connection($fd) if $$fd{smtp_given} && $$fd{smtp_check};
	##############
}

sub reissue{
	my $si = &get::sys_info();
	if(!$$si{'s_m_path'} && !$$si{'smtp_given'}){
		&show::login_page("<p style='color:#ff0000;'>システムの正しいsendmailパス,<br />またはSMTPサーバが指定されていません。</p>");
	}
}
sub attri{
	my $no = $F->param('no');
	my @ids = ();
	my @type_nums = ();
	&db::query("SELECT id,type_num FROM ms_setting ORDER BY type_num");
	while(my $href = $db::sth->fetchrow_hashref){
		push(@ids,       $href->{'id'});
		push(@type_nums, $href->{'type_num'});
	}
	my $errmsg = "";
	if(@ids != 0){
		my $i = 0;
		foreach my $id(@ids){
			my @sto_nos = ();
			my @ext_nos = ();
			my $type = "";
			if   ($type_nums[$i] == 1){$type = "ステップメール";}
			elsif($type_nums[$i] == 2){$type = "自動メルマガ";}
			elsif($type_nums[$i] == 3){$type = "標準メルマガ";}
			if($type_nums[$i] <= 2){
				&db::query("SELECT sort_no FROM ms_story_$id WHERE filter=1 AND filter_cont LIKE '%attri=$no&%'");
				while(my $href = $db::sth->fetchrow_hashref){
					push(@sto_nos, $href->{'sort_no'});
				}
				if (@sto_nos != 0){
					foreach my $sto_no(@sto_nos){
						$errmsg .= "<p>・".$type."「$id」"."のストーリー".$sto_no."</p>\n";
					}
				}
			}
			if($type_nums[$i] <= 3){
				&db::query("SELECT sort_no FROM ms_extra_$id WHERE filter=1 AND filter_cont LIKE '%attri=$no&%'");
				while(my $href2 = $db::sth->fetchrow_hashref){
					push(@ext_nos, $href2->{'sort_no'});
				}
				if (@ext_nos != 0){
					foreach my $ext_no(@ext_nos){
						$errmsg .= "<p>・".$type."「$id」"."の予約記事".$ext_no."</p>\n";
					}
				}
			}
			$i++;
		}
	}
	if($errmsg){
		&show::error("<p>$errmsgにこの属性を利用してフィルタが指定されているため削除できません。</p><p>削除するにはこれらの属性指定を解除してください。</p>",$EC.__LINE__);
	}
}
sub del_define_header{
	my $no = $F->param('no');
	my @ids = ();
	my @type_nums = ();
	&db::query("SELECT id,type_num FROM ms_setting ORDER BY type_num");
	while(my $href = $db::sth->fetchrow_hashref){
		push(@ids,       $href->{'id'});
		push(@type_nums, $href->{'type_num'});
	}
	my $errmsg = "";
	if(@ids != 0){
		my $i = 0;
		foreach my $id(@ids){
			my @sto_nos = ();
			my @ext_nos = ();
			my $type = "";
			if   ($type_nums[$i] == 1){$type = "ステップメール";}
			elsif($type_nums[$i] == 2){$type = "自動メルマガ";}
			elsif($type_nums[$i] == 3){$type = "標準メルマガ";}
			if($type_nums[$i] <= 2){
				&db::query("SELECT sort_no FROM ms_story_$id WHERE define_header=1 AND define_header_no = $no");
				while(my $href = $db::sth->fetchrow_hashref){
					push(@sto_nos, $href->{'sort_no'});
				}
				if (@sto_nos != 0){
					foreach my $sto_no(@sto_nos){
						$errmsg .= "<p>・".$type."「$id」"."のストーリー".$sto_no."</p>\n";
					}
				}
			}
			if($type_nums[$i] <= 3){
				&db::query("SELECT sort_no FROM ms_extra_$id WHERE define_header=1 AND define_header_no = $no");
				while(my $href2 = $db::sth->fetchrow_hashref){
					push(@ext_nos, $href2->{'sort_no'});
				}
				if (@ext_nos != 0){
					foreach my $ext_no(@ext_nos){
						$errmsg .= "<p>・".$type."「$id」"."の予約記事".$ext_no."</p>\n";
					}
				}
			}
			$i++;
		}
	}
	if($errmsg){
		&show::error("<p>$errmsgに、この既定のヘッダが指定されているため削除できません。</p><p>削除するにはこれらの既定のヘッダ選択を解除してください。</p>",$EC.__LINE__);
	}
}
sub del_define_footer{
	my $no = $F->param('no');
	my @ids = ();
	my @type_nums = ();
	&db::query("SELECT id,type_num FROM ms_setting ORDER BY type_num");
	while(my $href = $db::sth->fetchrow_hashref){
		push(@ids,       $href->{'id'});
		push(@type_nums, $href->{'type_num'});
	}
	my $errmsg = "";
	if(@ids != 0){
		my $i = 0;
		foreach my $id(@ids){
			my @sto_nos = ();
			my @ext_nos = ();
			my $type = "";
			if   ($type_nums[$i] == 1){$type = "ステップメール";}
			elsif($type_nums[$i] == 2){$type = "自動メルマガ";}
			elsif($type_nums[$i] == 3){$type = "標準メルマガ";}
			if($type_nums[$i] <= 2){
				&db::query("SELECT no FROM ms_story_$id WHERE define_footer=1 AND define_footer_no = $no");
				while(my $href = $db::sth->fetchrow_hashref){
					push(@sto_nos, $href->{'no'});
				}
				if (@sto_nos != 0){
					foreach my $sto_no(@sto_nos){
						$errmsg .= "<p>・".$type."「$id」"."のストーリー".$sto_no."</p>\n";
					}
				}
			}
			if($type_nums[$i] <= 3){
				&db::query("SELECT no FROM ms_extra_$id WHERE define_footer=1 AND define_footer_no = $no");
				while(my $href2 = $db::sth->fetchrow_hashref){
					push(@ext_nos, $href2->{'no'});
				}
				if (@ext_nos != 0){
					foreach my $ext_no(@ext_nos){
						$errmsg .= "<p>・".$type."「$id」"."の予約記事".$ext_no."</p>\n";
					}
				}
			}
			$i++;
		}
	}
	if($errmsg){
		&show::error("
			<p>$errmsgに、この既定のフッタが指定されているため削除できません。</p>
			<p>削除するにはこれらの既定のフッタ選択を解除してください。</p>
		",$EC.__LINE__);
	}
}

sub setting{
	if($F->param('mag_name') eq ""){
		&show::error("タイトルを入力してください。",$EC.__LINE__);
	}
	if(&check::url($F->param('cs_path')) == 0){
		&show::error("cs.cgiファイルのパスが不正です",$EC.__LINE__);
	}
	if(&check::url($F->param('regist_path')) == 0 && $F->param('type') != 4){
		&show::error("regist.cgiファイルのパスが不正です",$EC.__LINE__);
	}
	if(&check::url($F->param('del_path')) == 0 && $F->param('type') != 4){
		&show::error("rm.cgiファイルのパスが不正です",$EC.__LINE__);
	}
	if(&check::url($F->param('bcn_path')) == 0 && $F->param('type') != 4){
		&show::error("bcn.cgiファイルのパスが不正です",$EC.__LINE__);
	}
	if(&check::url($F->param('lmtd_path')) == 0 && $F->param('type') != 4){
		&show::error("lmtd.cgiファイルのパスが不正です",$EC.__LINE__);
	}
	if($F->param('from_name') eq ''){
		&show::error("送信者名を入力してください。",$EC.__LINE__);
	}
	my $from_add = $config::oem
		? $F->param('from_add_acc').'@'.$F->param('fqdn')
		: $F->param('from_add');
	if(&check::email($from_add) == 0){
		&show::error("送信元アドレス(From)を正しく入力してください。",$EC.__LINE__);
	}
	if($config::oem){
		if(&check::email($F->param('reply_add')) == 0){
			&show::error("返信先アドレスを正しく入力してください。",$EC.__LINE__);
		}
	}
	else{
		if($F->param('reply_add') ne "" && &check::email($F->param('reply_add')) == 0){
			&show::error("返信先アドレスを正しく入力してください。",$EC.__LINE__);
		}
	}
##############################################################
 if($F->param('envelope_add')){
  &show::error("エラーメール処理機能は「MilkyStep Professional」にてご利用いただけます。");
 }
##############################################################
	if($F->param('envelope_add') ne "" && &check::email($F->param('envelope_add')) == 0){
		&show::error("エラーメールを受け取るアドレスに誤りがあります。",$EC.__LINE__);
	}
	if($F->param('envelope_add')){
		if(!$F->param('pop_host')){
			&show::error("エラーメールを受け取るアドレスのPOPサーバ名を入力してください",$EC.__LINE__);
		}
		if(!$F->param('pop_user')){
			&show::error("エラーメールを受け取るアドレスのPOPサーバのユーザ名を入力してください",$EC.__LINE__);
		}
		if(!$F->param('pop_pwd')){
			&show::error("エラーメールを受け取るアドレスのPOPサーバのパスワードを入力してください",$EC.__LINE__);
		}
	}
	###### 1.71
	if($F->param('type') != 4){
		foreach(&item::error_diags()){
			if(!$config::oem || $$_[0] ne 'Auto_return'){
				if($F->param($$_[0]) == 0 || $F->param($$_[0]) !~ /^\d+$/){
					&show::error("不達回数は1以上の整数で指定してください",$EC.__LINE__);
				}
			}
		}
	}
	###### 1.71
	if((	$F->param('admin_repo')			== 1	||
			$F->param('admin_repo_reg')		== 1	||
			$F->param('admin_repo_rm')		== 1 		) ){
				if(&check::email($F->param('admin_add')) == 0){
					&show::error("報告先アドレスを正しく入力してください。",$EC.__LINE__);
				}
				# Check mobile domain 1.71 #########
				my $mob_doms = &get::mobile_domain();
				foreach my $care (keys %$mob_doms){
					foreach my $dom (@{ $$mob_doms{$care} }){
						if($F->param('admin_add') =~ /\@\Q$dom\E$/){
							&show::error("報告先アドレスに携帯メールアドレスは使用できません。",$EC.__LINE__);
						}
					}
				}
				#########################################
	}
	if($F->param('sim_entry') == 1 && $F->param('sim_entry_mags') eq ""){
		&show::error("自主登録時の代理登録先を選択してください。",$EC.__LINE__);
	}
	if($F->param('regi_fini_url1') ne "" && &check::url($F->param('regi_fini_url1')) == 0){
		&show::error("読者登録完了画面URLが不正です",$EC.__LINE__);
	}
	if($F->param('regi_fini_url2') ne "" && &check::url($F->param('regi_fini_url2')) == 0){
		&show::error("読者登録完了画面URL（すでに登録済みの場合）が不正です",$EC.__LINE__);
	}
	if($F->param('ulk_fini_url1') ne "" && &check::url($F->param('ulk_fini_url1')) == 0){
		&show::error("配信解除完了画面URLが不正です",$EC.__LINE__);
	}
	if($F->param('ulk_fini_url2') ne "" && &check::url($F->param('ulk_fini_url2')) == 0){
		&show::error("配信解除完了画面URL（すでに解除済みの場合）が不正です",$EC.__LINE__);
	}
	if($F->param('type') != 4){
		if($F->param('data_period') !~ /^\d+$/ || $F->param('data_period') eq ""){
			&show::error("短縮URL/クリック測定/配信履歴データを保存する日数は、0か正の整数で指定してください",$EC.__LINE__);
		}
	}
#############################################################################
 if($F->param('auto_regi') == 1){
  &show::error("自動代理登録機能は、「MilkyStep Professional」にてご利用いただけます。");
 }
#############################################################################

	if($F->param('auto_regi') == 1 && $F->param('auto_regi_sites') eq ""){
		&show::error("アドレス収集サイトを選択してください。",$EC.__LINE__);
	}
	if(!($F->param('tarea')) && $F->param('tarea_essen') == 1){
		&show::error("登録フォームのテキストエリアを入力必須とする場合は、「テキストエリアを追加」にチェックしてください",$EC.__LINE__);
	}
	if($F->param('type') != 4){
		if($F->param('fir_points1') !~ /^\d+$/ || $F->param('fir_points2') !~ /^\d+$/ || $F->param('add_points') !~ /^\d+$/){
			&show::error("読者の付与ポイントは、0か正の整数で指定してください",$EC.__LINE__);
		}
	}
	if($F->param('post_blog') == 1){
		if(!&check::email($F->param('post_add'))){
			&show::error("投稿先アドレスを正しく入力してください。",$EC.__LINE__);
		}
		# Check mobile domain 1.71 #########
		my $mob_doms = &get::mobile_domain();
		foreach my $care (keys %$mob_doms){
			foreach my $dom (@{ $$mob_doms{$care} }){
				if($F->param('post_add') =~ /\@\Q$dom\E$/){
					&show::error("ブログの投稿先アドレスに携帯メールアドレスは使用できません。",$EC.__LINE__);
				}
			}
		}
		#########################################
	}
}
sub essen_setting{
	my $id = $F->param('id');
	&db::query("SELECT * FROM `ms_setting` WHERE id='$id'");
	my $href = $db::sth->fetchrow_hashref;
	if(!$href->{'mag_name'}){
		&show::error("基本設定の必須項目がまだ設定されていません。",$EC.__LINE__);
	}
}

sub bcn_path{
	my $id = $F->param('id');
	&db::query("SELECT * FROM `ms_setting` WHERE id='$id'");
	my $href = $db::sth->fetchrow_hashref;
	if(!$href->{'bcn_path'}){
		&show::error("
			<p>バックナンバー用ファイルのパスがまだ設定されていません。</p>
			<p>「基本設定の編集」からバックナンバー用ファイル（bcn.cgi）のパスを確認し、設定を保存してください</p>
			",$EC.__LINE__);
	}
}

sub lmtd_path{
	my $id = $F->param('id');
	&db::query("SELECT * FROM `ms_setting` WHERE id='$id'");
	my $href = $db::sth->fetchrow_hashref;
	if(!$href->{'lmtd_path'}){
		&show::error("
			<p>期間限定ページ出力用ファイルのパスがまだ設定されていません。</p>
			<p>「基本設定の編集」から期間限定ページ出力用ファイル（lmtd.cgi）のパスを確認し、設定を保存してください</p>
			",$EC.__LINE__);
	}
}

sub original_tag1{
	if($F->param('insert_str') !~ /^[\d\w]+$/){
		&show::error("タグの表記は、半角の英数字と_（アンダーバー）の組み合わせで指定してください",$EC.__LINE__);	
	}
#	my $td = &get::original_tag_list();
	my ($tl,$max) = &get::original_tag_list();
#	my $td_el = @$td;
#	if($td_el != 0){
#		for(my $i = 0; $i < $td_el; $i++){
#			if($$td[$i]{'no'} != $F->param('no') && $$td[$i]{'insert_str'} eq $F->param('insert_str')){
#				&show::error("そのタグ表記はすでに使用されています",$EC.__LINE__);
#			}
#		}
#	}
	if($max){
		foreach(@$tl){
			if($$_{no} != $F->param('no') && $$_{insert_str} eq $F->param('insert_str')){
				&show::error("そのタグ表記はすでに使用されています",$EC.__LINE__);
			}
		}
	}
	my @common = &item::common_tags();
	foreach(@common){
		if('%%'.$F->param('insert_str').'%%' eq $$_[0]){
			&show::error("そのタグ表記はすでに共通タグに存在するため、使用できません",$EC.__LINE__);
		}	
	}
	my $asp_obj = &asp::set_obj();
	foreach(@$asp_obj){
		my $asp = $_->info();
		if(	$F->param('insert_str') =~ /^$$asp{'insert_str'}/){
			&show::error("そのタグ表記はすでにアフィリエイトタグに存在するため、使用できません",$EC.__LINE__);	
		}
	}

	if(	$F->param('insert_str') =~ /^(PG_|IMG_|UPIMG|FREE_|LMTD_)/){
		&show::error("「PG_」「IMG_」「UPIMG_」「FREE_」「LMTD_」から始まるタグの表記は、システムで予約されているため使用できません。",$EC.__LINE__);	
	}
	
	if($F->param('content') eq ""){
		&show::error("挿入される内容を入力してください",$EC.__LINE__);	
	}
	if($F->param('content') =~ /\%\%.*?\%\%/){
		&show::error("内容中に、他のタグ（\"\%\%\"で囲まれた文字）を含めることはできません",$EC.__LINE__);	
	}
	&check::unavailable_chars_utf8($F->param('content'));	# 1.80(bug fixed)
}
sub original_tag2{
	# 1.83 #####################
	#my $insert_str = "\%\%".$F->param('insert_str')."\%\%";
	my @otd = &get::original_tag($F->param('no'));
	my $insert_str = @otd[1];
	############################
	my $list = &get::all_id_and_type();
	my %check = ();
	if(@$list != 0){
		foreach(@$list){
			my $sc = '';
			my $ec = '';
			my $max;
			if($$_{'type_num'} <= 2){
				($sc,$max) = &get::story_contents($$_{id});
			}
			if($$_{'type_num'} <= 3){
				($ec,$max) = &get::extra_contents($$_{id});
			}
			########### check story contents
#			my $sc_el = @$sc;
			if($sc && @$sc != 0){
				for(my $i = 0; $i < @$sc; $i++){
					my $str = "";
					if($$sc[$i]{'define_header'} == 1 ){
						if($$sc[$i]{'define_footer'} == 1){
							#my ($h_title,$h_content) = &get::define_header($$sc[$i]{'define_header_no'});
							my $dhd = &get::define_header($$sc[$i]{define_header_no});
							#my ($f_title,$f_content) = &get::define_footer($$sc[$i]{'define_footer_no'});
							my $dfd = &get::define_footer($$sc[$i]{define_footer_no});
							#$str = $h_content. $$sc[$i]{'body'}. $f_content;
							$str = $$dhd{content}. $$sc[$i]{body}. $$dfd{content};
						}
						else{
							#my ($h_title,$h_content) = &get::define_header($$sc[$i]{'define_header_no'});
							my $dhd = &get::define_header($$sc[$i]{define_header_no});
							#$str = $h_content. $$sc[$i]{'body'}. $$sc[$i]{'footer'};
							$str = $$dhd{content}. $$sc[$i]{'body'}. $$sc[$i]{'footer'};
						}
					}
					else{
						if($$sc[$i]{'define_footer'} == 1){
							#my ($f_title,$f_content) = &get::define_footer($$sc[$i]{'define_footer_no'});
							my $dfd = &get::define_footer($$sc[$i]{define_footer_no});
							#$str = $$sc[$i]{'header'}. $$sc[$i]{'body'} .$f_content;
							$str = $$sc[$i]{header}. $$sc[$i]{body} .$$dfd{content};
						}
						else{
							$str = $$sc[$i]{'header'}. $$sc[$i]{'body'} .$$sc[$i]{'footer'};
						}
					}
					if($str =~ /$insert_str/){
						$check{$$_{'id'}} .= "<li>ストーリー".$$sc[$i]{'sort_no'}."</li>\n";
					}
					if($$sc[$i]{'excl_cs'} =~ /$insert_str/){
						$check{$$_{'id'}} .= "<li>ストーリー".$$sc[$i]{'sort_no'}."の「測定しないURL」</li>\n";
					}
				}
			}
			########### check extra contents
#			my $ec_el = @$ec;
			if($ec && @$ec != 0){
				for(my $i = 0; $i < @$ec; $i++){
					my $str = "";
					if($$ec[$i]{'define_header'} == 1 ){
						if($$ec[$i]{'define_footer'} == 1){
							#my ($h_title,$h_content) = &get::define_header($$ec[$i]{'define_header_no'});
							my $dhd = &get::define_header($$ec[$i]{define_header_no});
							#my ($f_title,$f_content) = &get::define_footer($$ec[$i]{'define_footer_no'});
							my $dfd = &get::define_footer($$ec[$i]{define_footer_no});
							#$str = $h_content. $$ec[$i]{'body'}. $f_content;
							$str = $$dhd{content}. $$ec[$i]{body}. $$dfd{content};
						}
						else{
							#my ($h_title,$h_content) = &get::define_header($$ec[$i]{'define_header_no'});
							my $dhd = &get::define_header($$ec[$i]{define_header_no});
							#$str = $h_content. $$ec[$i]{'body'}. $$ec[$i]{'footer'};
							$str = $$dhd{content}. $$ec[$i]{body}. $$ec[$i]{footer};
						}
					}
					else{
						if($$ec[$i]{'define_footer'} == 1){
							#my ($f_title,$f_content) = &get::define_footer($$ec[$i]{'define_footer_no'});
							my $dfd = &get::define_footer($$ec[$i]{define_footer_no});
							#$str = $$ec[$i]{'header'} .$$ec[$i]{'body'} .$f_content;
							$str = $$ec[$i]{header} .$$ec[$i]{body} .$$dfd{content};
						}
						else{
							$str = $$ec[$i]{'header'} .$$ec[$i]{'body'} .$$ec[$i]{'footer'};
						}
					}
					if($str =~ /$insert_str/){
						$check{$$_{'id'}} .= "<li>予約記事".$$ec[$i]{'sort_no'}."</li>\n";
					}
					if($$ec[$i]{'excl_cs'} =~ /$insert_str/){
						$check{$$_{'id'}} .= "<li>ストーリー".$$ec[$i]{'sort_no'}."の「測定しないURL」</li>\n";
					}
				}
			}
			######### check return messages
			my $stg = &get::setting_data($$_{'id'});
			if($$stg{regi_msg} == 1){
				if($$stg{regi_msg_cont} =~ /$insert_str/){
						$check{$$_{id}} .= "<li>自主登録時の登録確認メール</li>\n";
				}
			}
			if($$stg{ulk_msg} == 1){
				if($$stg{ulk_msg_cont} =~ /$insert_str/){
						$check{$$_{id}} .= "<li>配信解除時の解除確認メール</li>\n";
				}
			}
			if($$stg{mdf_msg} == 1){
				if($$stg{mdf_msg_cont} =~ /$insert_str/){
						$check{$$_{id}} .= "<li>読者情報変更時の確認メール</li>\n";
				}
			}
			if($$stg{double_optin} == 1){
				if($$stg{doi_msg_cont} =~ /$insert_str/){
						$check{$$_{id}} .= "<li>代理登録時のオプトインメール</li>\n";
				}
			}
			if($$stg{double_optin2} == 1){
				if($$stg{'doi2_msg_cont'} =~ /$insert_str/){
						$check{$$_{id}} .= "<li>自主登録時のダブルオプトインメール</li>\n";
				}
			}
		}
		################# print error
		if (%check){
			my $msg = "";
			foreach (keys %check){
				$msg .= "
					<p>ID:$_</p>
					<ul>$check{$_}</ul>
				";
			}
			$msg .= "
				<p>これらに、独自タグ「\%\%$insert_str\%\%」が使用されているため削除できません。</p>
				<p>削除するにはこれらから、「\%\%$insert_str\%\%」の表記を外してください</p>
			";
			&show::error($msg,$EC.__LINE__);
		}
	}
}
sub benefits{

}
sub karame_setting{

}
sub msg_cont{
	my $asp_obj = &asp::set_obj();
	if($asp_obj && @$asp_obj != 0){
		for(my $i=0; $i<@$asp_obj; $i++){
			my $info = $$asp_obj[$i]->info();
			if(	$F->param('msg_sbj')  =~ /\%\%$$info{'insert_str'}.*?\%\%/	||
				$F->param('msg_cont') =~ /\%\%$$info{'insert_str'}.*?\%\%/		){
				&show::error("この記事にアフィリエイトタグを挿入することはできません。",$EC.__LINE__);
			}
		}
	}
}
sub new_user {
	my $stg = &get::setting_data();
	if($$stg{mag_name}){
		if($$stg{double_optin}){
			&show::error("現在オプトイン機能が有効になっているためこの操作は実行できません。「読者の一括インポート/削除」からオプトインメッセージの配信を行ってください。",$EC.__LINE__);
		}
	}
	else{
		&show::error("基本設定の必須項目がまだ設定されていないためこの操作は実行できません。",$EC.__LINE__);
	}
}
sub users_edit {	# For editing user info in CP.
	my $pd = $F->Vars;
	&show::error("メールアドレスを正しく入力してください",$EC.__LINE__) if &check::email($$pd{email}) == 0;
	# 1.76 #################
	if($$pd{no}){
		if(!&check::user_except_myself($$pd{email},$$pd{id},$$pd{no})){
			&show::error("入力されたメールアドレスはすでに登録されています。",$EC.__LINE__);
		}
	}
	else{
		if(!&check::user($$pd{email},$$pd{id})){
			&show::error("入力されたメールアドレスはすでに登録されています。",$EC.__LINE__);
		}
	}
	#######################
	if($$pd{name}){	# 1.80(bug fixed)
		&check::unavailable_chars_utf8($$pd{name});
	}
	if($$pd{points} && $$pd{points} !~ /^\d+$/){
		&show::error("ポイントは、0か正の整数で指定してください",$EC.__LINE__);
	}
	if($$pd{birth} && $$pd{birth} !~ /^\d{4}-\d{1,2}-\d{1,2}$/){
		&show::error("生年月日は「YYYY-MM-DD」の形式で指定してください",$EC.__LINE__);
	}
	if($$pd{birth} && $$pd{birth} ne '0000-00-00' && !&check::date_exists($$pd{birth})){
		&show::error("生年月日が存在しない日付です",$EC.__LINE__);
	}
	if($$pd{postal} && $$pd{postal} !~ /^\d{3}\-\d{4}$/){
		&show::error("郵便番号は、半角数字３桁+ハイフン+半角数字４桁の形式で入力してください",$EC.__LINE__);
	}
	if($$pd{live_2}){	# 1.80(bug fixed)
		&check::unavailable_chars_utf8($$pd{live_2});
	}
	if($$pd{phone} && $$pd{phone} !~ /^[\d\-]+$/){
		&show::error("電話番号は、半角数字とハイフンの組み合わせで入力してください",$EC.__LINE__);
	}
	if($$pd{uid}){
		if($$pd{uid} !~ /^[\d\w_]+$/){
			&show::error("IDは半角英数字と_（アンダーバー）の組み合わせで指定してください",$EC.__LINE__);
		}
		else{
			# Check unique id
			# 1.76 ################
			#&db::query("SELECT * FROM ms_user_$$pd{'id'} WHERE uid='$$pd{'uid'}' AND no!=$$pd{'no'}");
			if($$pd{no}){
				&db::query("SELECT * FROM ms_user_$$pd{id} WHERE uid='$$pd{uid}' AND no != $$pd{no}");
			}
			else{
				&db::query("SELECT * FROM ms_user_$$pd{id} WHERE uid='$$pd{uid}'");
			}
			#######################
			my $href = $db::sth->fetchrow_hashref();
			if($href){
				&show::error("そのユーザIDはすでに使用されています。",$EC.__LINE__);
			}
		}
	}
	if($$pd{'upwd'} && $$pd{'upwd'} !~ /^[\d\w_]+$/){
		&show::error("パスワードは半角英数字と_（アンダーバー）の組み合わせで指定してください",$EC.__LINE__);
	}
	my @attri_no = 1..9;
	foreach my $no(@attri_no){
		my $name = 'attri_' .$no;
		if($$pd{$name}){
			if($no < @attri_no){
				foreach my $next(($no+1)..9){
					my $next_name = 'attri_' .$next;
					if($$pd{$name} == $$pd{$next_name}){
						&show::error("属性が重複しています。",$EC.__LINE__);
					}
				}
			}
		}
	}
	
	# free form
	foreach(keys %$pd){
		if($_ =~ /^free_(\d+)_[015]$/){
			my $form_no = $1;
			if($$pd{$_} ne '' && $$pd{$_} =~ /^[\s　]*$/){
				my $free_stg = &get::free_form_setting($form_no);
				&show::error("$$free_stg{form_name}の値が不正です。",$EC.__LINE__);
			}
			&check::unavailable_chars_utf8($$pd{$_});		# 1.80(bug fixed)
		}
		elsif($_ =~ /^free_(\d+)_[6]$/){
			my $form_no = $1;
			if($$pd{$_} ne '' && $$pd{$_} !~ /^\d{4}\-\d{1,2}\-\d{1,2}$/){
				my $free_stg = &get::free_form_setting($form_no);
				&show::error("$$free_stg{form_name}は「YYYY-MM-DD」の形式で入力してください。",$EC.__LINE__);
			}
			if($$pd{$_} ne '' && !&check::date_exists($$pd{$_})){
				my $free_stg = &get::free_form_setting($form_no);
				&show::error("$$free_stg{form_name}が存在しない日付です",$EC.__LINE__);
			}
		}
	}
}

sub form_setting{
	if(!$F->param('charset')){
		&show::error("フォームを設置するページの文字コードを選択してください。",$EC.__LINE__);
	}
	if($F->param('modify') == 1 && $F->param('email_cfm')){
		if(!$F->param('email_new')){
			&show::error("「新しいメールアドレス（確認）」を使用する場合は、「新しいメールアドレス」も併せて選択する必要があります。",$EC.__LINE__);
		}
	}
}
sub free_form_setting{

}

sub default {	# 1.80
	&check::unavailable_chars_utf8($F->param('temp_cont')) if $F->param('temp_cont');
}

sub lmtd_setting{

}

sub user_migration{
	my $fd = $F->Vars;
	if(($$fd{migration_mode} == 1 || $$fd{migration_mode} == 2) && !$$fd{destination_id}){
		&show::error("移行先のメルマガ・ステップメールを選択してください",$EC.__LINE__);
	}
}

sub regist_param{
	&check::demo_limit('user_by_form',5);	# 1.81
	my ($pd,$modify) = @_;
	# fixed form
	my $fs = &get::form_setting($modify);	# 1.86 PH OK
	
	if(!$$pd{email} || &check::email($$pd{email}) == 0){
		&show::err_msg("メールアドレスを正しく入力してください")
	}
	# 1.79 #########
	#if($modify){
	if($modify == 1){
		if($$fs{email_new} == 1 && $$fs{email_new_e} == 1 && !$$pd{email_new}){
			&show::err_msg("新しいメールアドレスは入力必須です。");
		}
		if($$pd{email_new} && &check::email($$pd{email_new}) == 0){
			&show::err_msg("新しいメールアドレスを正しく入力してください")
		}
		if($$fs{email_cfm} && $$fs{email_cfm_e} && !$$pd{email_cfm}){
			&show::err_msg("新しいメールアドレス（確認）は入力必須です");
		}
		if($$fs{email_new} && $$fs{email_cfm} && ($$pd{email_new} ne $$pd{email_cfm})){
			&show::err_msg("新しいメールアドレスと新しいメールアドレス（確認）が一致しません");
		}
	}
	else{
		if($$fs{email_cfm} && $$fs{email_cfm_e} && !$$pd{email_cfm}){
			&show::err_msg("メールアドレス（確認）は入力必須です");
		}
		if($$fs{email_cfm} && $$pd{email_cfm} && ($$pd{email} ne $$pd{email_cfm})){
			&show::err_msg("メールアドレスとメールアドレス（確認）が一致しません");
		}
	}
	###############
	if(!$$pd{name}){
		if($$fs{name} == 1 && $$fs{name_e} == 1){
			if($$fs{name_splt} == 1){
				if(!$$pd{name_1} || !$$pd{name_2}){
					&show::err_msg("お名前は入力必須です");
				}
			}
			else{
				&show::err_msg("お名前は入力必須です");
			}
		}
	}
	# 1.80(bug fixed) #############
	#if($$pd{name} && $$pd{name} =~ /^[\s　]*$/){
	#	&show::err_msg("お名前を正しく入力してください");
	#}
	if($$pd{name}){
		&show::err_msg("お名前を正しく入力してください") if $$pd{name} =~ /^[\s　]*$/;
		&check::unavailable_chars_utf8_by_form($$pd{name});
	}
	###################################
	if($$pd{name_1}){
		if($$pd{name_1} =~ /\s|　/){
			&show::err_msg("お名前（姓）にスペースなどの空白文字は使用できません");
		}
		&check::unavailable_chars_utf8_by_form($$pd{name_1});	# 1.80(bug fixed)
		if(!$$pd{name_2}){
			&show::err_msg("お名前の姓と名はセットで入力してください");
		}
	}
	if($$pd{name_2}){
		if($$pd{name_2} =~ /\s|　/){
			&show::err_msg("お名前（名）にスペースなどの空白文字は使用できません");
		}
		&check::unavailable_chars_utf8_by_form($$pd{name_2});	# 1.80(bug fixed)
		if(!$$pd{name_1}){
			&show::err_msg("お名前の姓と名はセットで入力してください");
		}
	}
	&show::err_msg("お名前を正しく入力してください") if $$pd{'user_name'} =~ /^[ |　]+$/;
	
	if(!$$pd{'sex'}){
		if($$fs{'sex'} == 1 && $$fs{'sex_e'} == 1){
			&show::err_msg("性別の選択は必須です");
		}
	}
	if(
		(!$$pd{'birth_year'} || !$$pd{'birth_mon'} || !$$pd{'birth_day'})	&&
		!$$pd{'again'}
	){
		if($$fs{'birth'} == 1 && $$fs{'birth_e'} == 1){
			&show::err_msg("生年月日は入力必須です");
		}
	}
	if(	($$pd{birth_year} && $$pd{birth_mon} && $$pd{birth_day}) &&
		!&check::date_exists($$pd{birth_year}.'-'.$$pd{birth_mon}.'-'.$$pd{birth_day})){
		&show::err_msg("生年月日が存在しない日付です");
	}

	if(!$$pd{'postal'}){
		if($$fs{'postal'} == 1 && $$fs{'postal_e'} == 1){
			&show::err_msg("郵便番号は入力必須です");
		}
	}
	if($$pd{'postal'} && $$pd{'postal'} !~ /^\d{3}\-\d{4}$/){
		&show::err_msg("	<p>郵便場号を正しく入力してください</p>
							<p>（数字３桁+ハイフン+数字４桁の形式で入力してください）</p>	");
	}
	if(!$$pd{'live_1'}){
		if($$fs{'live_1'} == 1 && $$fs{'live_1_e'} == 1){
			&show::err_msg("住所1（都道府県）の選択は必須です");
		}
	}
	if(!$$pd{'live_2'}){
		if($$fs{'live_2'} == 1 && $$fs{'live_2_e'} == 1){
			&show::err_msg("住所2（市町村以下）は入力必須です");
		}
	}
	else{	# 1.80(bug fixed)
		&check::unavailable_chars_utf8_by_form($$pd{live_2});
	}
	if(!$$pd{'phone'}){
		if($$fs{'phone'} == 1 && $$fs{'phone_e'} == 1){
			&show::err_msg("電話番号は入力必須です");
		}
	}
	if($$pd{'phone'} && $$pd{'phone'} !~ /^[\d\-]+$/){
		&show::err_msg("電話番号は半角数字とハイフンの組み合わせで指定してください");
	}
	if(!$$pd{'job'}){
		if($$fs{'job'} == 1 && $$fs{'job_e'} == 1){
			&show::err_msg("職業の選択は必須です");
		}
	}
	if(!$$pd{'marr'}){
		if($$fs{'marr'} == 1 && $$fs{'marr_e'} == 1){
			&show::err_msg("既婚\/未婚の選択は必須です");
		}
	}
	if(!$$pd{'child'}){
		if($$fs{'child'} == 1 && $$fs{'child_e'} == 1){
			&show::err_msg("子供の有無の選択は必須です");
		}
	}
	if(!$$pd{'house'}){
		if($$fs{'house'} == 1 && $$fs{'house_e'} == 1){
			&show::err_msg("住居形態の選択は必須です");
		}
	}
	if(!$$pd{'pet'}){
		if($$fs{'pet'} == 1 && $$fs{'pet_e'} == 1){
			&show::err_msg("ペットの有無の選択は必須です");
		}
	}
	if($$pd{'pet'} == 2 && $$fs{'pet_kind'} == 1 && $$pd{'pet_kind'} eq ""){
			&show::err_msg("ペットの種類を選択してください");
	}
	if($$pd{'interest'} eq ""){
		if($$fs{'interest'} == 1 && $$fs{'interest_e'} == 1){
			&show::err_msg("興味分野の選択は必須です");
		}
	}
	if($$pd{'sports'} eq ""){
		if($$fs{'sports'} == 1 && $$fs{'sports_e'} == 1){
			&show::err_msg("好きなスポーツの選択は必須です");
		}
	}
	if($$pd{'trouble'} eq ""){
		if($$fs{'trouble'} == 1 && $$fs{'trouble_e'} == 1){
			&show::err_msg("生活上の悩みの選択は必須です");
		}
	}
	if(!$$pd{'uid'}){
		if($$fs{'uid'} == 1 && $$fs{'uid_e'} == 1){
			&show::err_msg("IDは入力必須です");
		}
	}
	if($$pd{'uid'}){
		if($$pd{'uid'} !~ /^[\d\w_]+$/){
			&show::err_msg("IDは半角英数字と_（アンダーバー）の組み合わせで指定してください");
		}
		else{
			# Check unique id
			# 1.86 ####
			#&db::query("SELECT * FROM ms_user_$$pd{'id'} WHERE uid='$$pd{'uid'}'");
			&db::query(
				"SELECT * FROM `ms\_user\_$$pd{id}`
				 WHERE uid = ?",
				[ {value => $$pd{uid}} ]
			);
			###########
			my $href = $db::sth->fetchrow_hashref;
			if($href){
				&show::err_msg("そのユーザIDはすでに使用されています。");
			}
		}
	}
	if(!$$pd{'upwd'}){
		if($$fs{'upwd'} == 1 && $$fs{'upwd_e'} == 1){
			&show::err_msg("パスワードは入力必須です");
		}
	}
	if($$pd{'upwd'} && $$pd{'upwd'} !~ /^[\d\w_]+$/){
		&show::err_msg("パスワードは半角英数字と_（アンダーバー）の組み合わせで指定してください");
	}
	# 1.81 #########
	if(!$$pd{udevice}){
		if($$fs{udevice} == 1 && $$fs{udevice_e} == 1){
			&show::err_msg("受信端末の選択は必須です");
		}
	}
	###############
	if(!$$pd{'user_comment'} && !$$pd{'again'}){
		if($$fs{'tarea'} == 1 && $$fs{'tarea_e'} == 1){
			&show::err_msg("コメントは入力必須です")
		}
	}
	# 1.80(bug fixed) ###################
	if($$pd{user_comment}){
		&show::err_msg("コメントを正しく入力してください") if $$pd{user_comment} =~ /^[\s　]*$/;
		&check::unavailable_chars_utf8_by_form($$pd{user_comment});
	}
	##########################################

	# free form
	# 1.72 ##############
	# exists check
	foreach(keys %$pd){
		if($_ =~ /^free_(\d+)_(\d+)(_\w+)?$/){
			my ($param_name,$form_no) = ($&,$1);
			my $free_stg = &get::free_form_setting($form_no);	# 1.86 PH OK
			if(!$free_stg || $$free_stg{id} ne $$pd{id}){
				&show::err_msg("パラメータ情報に不備があります。<br />（パラメータ「$param_name」に該当する自由項目が存在しません）");
			}
		}
	} # foreach
	####################
	# essential check
	my $free_list = &get::free_form_list_active($$pd{id},$modify);	# 1.86 PH OK
	# 1.73 ###############
	#my $essen = $modify ? 'essen_m' : 'essen';
	my $essen;
	if   ($modify == 1){$essen = 'essen_m'; }
	elsif($modify == 2){$essen = 'essen_tr';}
	else               {$essen = 'essen';   }
	######################
	foreach(@$free_list){
		if($$_{$essen}){
			if($$_{form_type} == 6){
				# Case Date-type
				my $i = 0;
				foreach my $date_part(split(/\0|,/, $$pd{"free_$$_{no}_$$_{form_type}"})){
					if(!$date_part){
						&show::err_msg("$$_{form_name}は入力必須です");
					}
					$i++;
				}
				&show::err_msg("$$_{form_name}は入力必須です") if $i < 3;
			}
			else{
				# Case text,password,radio,checkbox,selectbox,testarea
				if(	!$$pd{"free_$$_{no}_$$_{form_type}"} 	||
					 $$pd{"free_$$_{no}_$$_{form_type}"} =~ /^[\s　]*$/		){
					&show::err_msg("$$_{form_name}は入力必須です");
				}
			}
		}
		# 1.80(bug fixed) ###################
		if(
			($$_{form_type} <= 1 || $$_{form_type} == 5) &&
			$$pd{"free_$$_{no}_$$_{form_type}"}
		){
			# Case text,password,textarea and value is exists
			&check::unavailable_chars_utf8_by_form($$pd{"free_$$_{no}_$$_{form_type}"});
		}
		##########################################
		# DATE check
		if( $$_{form_type} == 6 && $$pd{"free_$$_{no}_$$_{form_type}"} ){
			my $date = $$pd{"free_$$_{no}_$$_{form_type}"};
			$date =~ s/\0/\-/g;
			$date =~ s/(year|month|day)_//g;
			if(	$date =~ /^\d{4}\-\d{1,2}\-\d{1,2}$/ && !&check::date_exists($date)){
				&show::err_msg("$$_{form_name}が存在しない日付です");
			}
		}
	}
}

sub upload{
	my $fH = $F->upload('filename');
	if($F->cgi_error) {
		my $err = $F->cgi_error;
		&show::error("CGIエラー：$err") if ($err);
	}
	&show::error("ファイルが指定されていないか、転送できませんでした。",$EC.__LINE__) unless (defined($fH));
	if($F->param('image_upload') && $F->param('next_no')){	# Image
		&show::error("アップロードできるファイルタイプではありません。",$EC.__LINE__) if $fH !~ /\.(jpeg|jpg|gif|png|bmp|swf)$/i;
	}
	elsif($F->param('import_users')){ # CSV
		&show::error("指定されたファイルはCSVファイルではありません。",$EC.__LINE__) if $fH !~ /\.csv$/i;
		&show::error("CSVファイルの文字コード指定が不正です。",$EC.__LINE__) if !$F->param('csv_charset');	# 1.78
	}
	else{	# Backup file
		if(!&check::zip_mod()){
			&show::error("ご利用のサーバにArchive::Zipモジュールがインストールされていないため、この機能はご利用できません。",$EC.__LINE__);
		}
#		&show::error("復元可能なファイル形式でありません。",$EC.__LINE__) if $F->uploadInfo($fH)->{'Content-Type'} !~ /application\/zip/;
		&show::error("復元可能なファイル名でありません。",$EC.__LINE__) if $fH !~ /^ms_backup_\d{8}-\d{6}\.mysql\.zip$/;
	}
#	my $maxsize = 300; # KB
#	&show::error("ファイルサイズが大きすぎます。最大 $maxsize KBまで転送可能です") if ((stat($fH))[7] > $maxsize * 1024);
}
sub active_proc{
	my $active = &get::active_proc();
	if($active && @$active != 0){
		my $msg = '';
		foreach(@$active){
			my $sto = '';
			$sto = 'ストーリー'.$$_{'story_no'};
			$sto = '号外記事' if $$_{'story_no'} == 0;
			$sto = 'ダブルオプトインメッセージ' if $$_{'story_no'} == -1;
			$msg .= "<p>ID「$$_{'id'}」の$stoが現在配信中です。</p>\n"
		}
		$msg .= "ファイルが破損する恐れがあるため、これらの配信が完了してからバージョンアップを行ってください。";
		&show::error($msg,$EC.__LINE__);
	}
}

sub auto_get_mod{
	eval '
		use LWP::UserAgent;
		use HTTP::Cookies;
		use HTTP::Request::Common;
	';
	return 0 if $@;
	return 1;
}
sub auto_get_over_ssl_mod{
	eval 'use Net::SSLeay;';
	return 1 if !$@;
	eval 'use Crypt::SSLeay;';
	return 1 if !$@;
	return 0;
}
sub smtp_auth_mod{
	eval 'use Authen::SASL;';
	return 0 if $@;
	return 1;
}
sub pop_smtp_over_ssl_mod{
	eval 'use IO::Socket::SSL;';
	return 0 if $@;
	return 1;
}
sub zip_mod{
	eval 'use Archive::Zip;';
	return 0 if $@;
	return 1;
}
sub vup_mod{
	eval '
		use LWP::UserAgent;
		use HTTP::Request::Common;
		use Archive::Zip;
	';
	return 0 if $@;
	return 1;
}
sub gd_mod{
	eval 'use GD;';
	return 0 if $@;
	return 1;
}
sub gd_support {	# 1.78
	eval 'use GD::Barcode::QRcode;';
	my $qr_obj = GD::Barcode::QRcode->new(
		 'dummy',
		{ ModuleSize => 2 }	# Ecc & Version => auto select
	);
	my $qr_img;
	eval {	$qr_img = $qr_obj->plot()->gif(); }; if($@){
	eval { $qr_img = $qr_obj->plot()->png(); }; if($@){
	eval { $qr_img = $qr_obj->plot()->jpeg();}; if($@){
		return 0;
	}}}
	return 1;
}

sub new_exe_file{
	my @new_file = ();
	foreach(@ver::req){
		if($$_[1] eq 'var' && !$$_[3]){
			push(@new_file,{
				'default'		=> $$_[0],
				'exp' 			=> $$_[4],
				'input_name'	=> $$_[5]
			});
		}
	}
	if(@new_file != 0){
		&show::set_new_file_name(\@new_file);
	}
}

sub operate_his_delivery {	# 1.77
	my $fd = $F->Vars;
	&db::query("
		SELECT * FROM `ms_his_$$fd{id}`
		WHERE no = $$fd{his_no}
	");
	my $hd = $db::sth->fetchrow_hashref();
	if($hd){	# Exists history data
		if($$hd{complete} == 1){
			&show::error("この記事はすでに配信が完了しています。",$EC.__LINE__);
		}
		else{
			if(!$$hd{pid}){
				&show::error("この記事はまだ配信が開始されていないか、プロセスIDが未定義です。",$EC.__LINE__);
			}
			else{
				my $pid = &check::process_exists($$hd{pid});
				if($$fd{operate} eq 'stop'){
					if(!$$fd{in_uxpctd}){	# Not in Unexpected error 1.80
						if($$hd{complete} == 2 || (!$pid && $$hd{idms} == 11)){
							&show::error("この記事の配信はすでに停止されています。",$EC.__LINE__);
						}
					}
				}
				elsif($$fd{operate} eq 'continue'){
					if($pid || $$hd{idms} == 1 || $$hd{idms} == 2){
						&show::error("この記事の配信はすでに開始されています。",$EC.__LINE__);
					}
					# Check delivers table
					&db::query("
						SELECT * FROM `ms_delivers`
						WHERE id = '$$fd{id}' AND his_no = $$fd{his_no}
					");
					my $dlvs = $db::sth->fetchrow_hashref();
					if(!$dlvs){
						&show::error("この記事の配信予定読者データがすでに削除されているため配信を再開できません。再度記事を作成し直してください。",$EC.__LINE__);
					}
				}
				else{
					&show::error("パラメータに不備があります。",$EC.__LINE__);
				}
			}		
		}
	}
	else{	# No history data
		&show::error("この配信記事の関連データはすでに削除されています",$EC.__LINE__);
	}
}

sub process_exists {
	my ($pid) = @_;
	# 1.79 ##########################
	#if(my $sig = kill('ZERO',$pid)){
	#	return 1;
	#}
	#return 0;
	if(!(kill('ZERO',$pid)) && !-e "/proc/$pid"){
		return 0;
	}
	return 1;
	#################################
}

sub agree_extra {
	my $fd = $F->Vars;
	if(!$$fd{agree}){
		&show::error("配信前の同意にチェックが必要です。",$EC.__LINE__);
	}
}
sub agree_story {
	my $fd = $F->Vars;
	if(($$fd{operating} == 1 || ($$fd{operate} == 1 && $$fd{operating} eq '')) && !$$fd{agree}){
		&show::error("配信前の同意にチェックが必要です。",$EC.__LINE__);
	}
}
sub agree_operate_story {
	my $fd = $F->Vars;
	if($$fd{story_operate} == 1 && !$$fd{agree}){
		&show::error("配信前の同意にチェックが必要です。",$EC.__LINE__);
	}
}
sub unavailable_chars_utf8 {	# 1.80(bug fixed)
	my ($str) = @_; my @un_chars = ();
	my $sub = sub {
		my ($un_char) = @_;
		push(@un_chars,$un_char);
	};
	# 4byte文字判定
	$str =~ s/[\xF0-\xF7][\x80-\xBF]{3,}/{$sub->($&)}/eg;
	if(@un_chars != 0){
		&show::error(
			"次の文字は使用できません。　".join(' ',@un_chars)
			,$EC.__LINE__
		);
	}
}
sub unavailable_chars_utf8_by_form {	# 1.80(bug fixed)
	my ($str) = @_; my @un_chars = ();
	my $sub = sub {
		my ($un_char) = @_;
		push(@un_chars,$un_char);
	};
	# 4byte文字判定
	$str =~ s/[\xF0-\xF7][\x80-\xBF]{3,}/{$sub->($&)}/eg;
	if(@un_chars != 0){
		&show::err_msg("次の文字は使用できません。　".join(' ',@un_chars));
	}
}

# Demo proccess
sub demo {
	if($config::demo){&show::error("デモ版のためこの操作は実行できません。",$EC.__LINE__);}
}
sub demo_limit {
	if($config::demo){
		my $fd = $F->Vars;
		my ($name,$limit,$arg) = @_;
		if($name eq 'mag'){
			&db::query("SELECT COUNT(*) FROM `ms_setting` WHERE type_num = $$fd{type}");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上は作成できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'story'){
			&db::query("SELECT COUNT(*) FROM `ms_story_$$fd{id}`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上ストーリーは作成できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'extra'){
			&db::query("SELECT COUNT(*) FROM `ms_extra_$$fd{id}`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上記事は作成できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'indiv'){
			&db::query("SELECT COUNT(*) FROM `ms_individual_$$fd{id}`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上個別記事は作成できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'user'){
			&db::query("SELECT COUNT(*) FROM `ms_user_$$fd{id}`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit名以上読者は登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'user_by_form'){
			&db::query("SELECT COUNT(*) FROM `ms_user_$$fd{id}`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::err_msg("デモ版のため$limit名以上読者は登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'import_user'){
			&db::query("SELECT COUNT(*) FROM `ms_user_$$fd{id}`");
			if($db::sth->fetchrow_array() + @{$arg} > $limit){
				&show::error("デモ版のため$limit名以上読者は登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'free_form'){
			&db::query("SELECT COUNT(*) FROM `ms_freeform` WHERE id = '$$fd{id}'");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上自由項目は作成できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'benefits'){
			&db::query("SELECT COUNT(*) FROM `ms_benefits_$$fd{id}`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上特典は登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'lmtd'){
			&db::query("SELECT COUNT(*) FROM `ms_limited` WHERE id = '$$fd{id}'");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上期間限定ページは登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'bodytpl'){
			&db::query("SELECT COUNT(*) FROM `ms_bodytpl`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上本文テンプレートは登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'header'){
			&db::query("SELECT COUNT(*) FROM `ms_definehead`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上既定のヘッダは登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'footer'){
			&db::query("SELECT COUNT(*) FROM `ms_definefoot`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上既定のフッタは登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'attri'){
			&db::query("SELECT COUNT(*) FROM `ms_attri`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上属性は登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'original_tag'){
			&db::query("SELECT COUNT(*) FROM `ms_originaltag`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上独自タグは登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'img'){
			opendir(DIR,'./upload') || &show::error("uploadディレクトリがオープンできません。",$EC.__LINE__);
			my @imgs = grep(!/^\.+$/, readdir DIR);
			close DIR;
			if(@imgs >= $limit){
				&show::error("デモ版のため$limit件以上画像は登録できません。",$EC.__LINE__);
			}
		}
		elsif($name eq 'smtp'){
			&db::query("SELECT COUNT(*) FROM `ms_smtp`");
			if($db::sth->fetchrow_array() >= $limit){
				&show::error("デモ版のため$limit件以上SMTP情報は登録できません。",$EC.__LINE__);
			}
		}
	}
}

1;

