###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Communications owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package cp;

use strict;
use Crypt::CBC;

my $key = $config::crypt_key;
if(!$key){
	&show::error("暗号化キーが未設定です");
}
my $cbc = Crypt::CBC->new({
		'key'             => $key,
		'cipher'          => 'Blowfish_PP',
		'iv'              => '~KJh#(}q',
		'regenerate_key'  => 1,
		'padding'         => 'standard',
		'prepend_iv'      => 0
	});

sub enc_pass{ # encrypt
	my ($plain) = @_;
	my $cipher = $cbc->encrypt_hex($plain);
	return $cipher;
}

sub dec_pass{ # decrypt
	my ($cipher) = @_;
	my $decrypt = $cbc->decrypt_hex($cipher);
	return $decrypt;
}

1;

