###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Communications owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package db_common;

use strict;

sub open{
	# 1.86 ########
	# mysql_server_prepare=1 ɂƃ}CiX̐l̈ɎxႪł
	# DBD::mysql.pm 4.030_01ŏCH
	# https://allmychanges.com/p/perl/DBD::mysql/#4.030_01
	my $dbs = "DBI:mysql:$config::dbname_common:$config::dbhost_common";
	#my $dbs = "DBI:mysql:$config::dbname_common:$config::dbhost_common:mysql_server_prepare=1";
	###############
	our $dbh = DBI->connect($dbs,$config::master_id,$config::master_pass);
	if(!$dbh){
		return 0;
	}
	&db_common::query("SET NAMES utf8");
}

sub query{
	# 1.86 #########
	#my ($sql) = @_;
	my ($sql, $bind) = @_;
	################
	# 1.79 ###############
	#our $sth = $db_common::dbh->prepare($sql) || die $db_common::dbh->errstr();
	#my $exec = $sth->execute() || die $sth->errstr()."\nSQL:\n".$sql;
	our $sth; my $exec;
	foreach my $q(split(/MS_SQL_SAPARATOR/,$sql)){
		$sth = $db_common::dbh->prepare($q) || die $db_common::dbh->errstr();
		# 1.86 ###########
		if($bind){my $el = 1; map {$sth->bind_param($el,$$_{value},$$_{type}); $el++;} @$bind;}
		##################
		$exec = $sth->execute() || die $sth->errstr()."\nSQL:\n".$q;
	}
	######################
	return $exec;
}

sub close{
	$db_common::sth->finish() if $db_common::sth;
	$db_common::dbh->disconnect();
}

sub child_open{
	$db_common::dbh->{InactiveDestroy} = 1;
	$db_common::dbh = $db_common::dbh->clone();
	&db_common::query("SET NAMES utf8");
}

sub change_connection{
	$db_common::dbh->{InactiveDestroy} = 1;
	my $new_dbh = $db_common::dbh->clone();
	&db_common::close();
	$db_common::dbh = $new_dbh;
	&db_common::query("SET NAMES utf8");
}

1;

