###########################################################################
# This file is a copyrighted work is protected by copyright law.
# Igreks Communications owns the copyrights in this.
# Copying or modification of the code of this file is prohibited.
# Copyright owner, developer and seller is not responsible for
# any problems caused by copying or modification of the user.
###########################################################################
package save;

use strict;

my $F = CGI->new();
my $EC = __PACKAGE__.$ver::version.'_';

sub delivery{
	my $dd = $F->Vars;
	$$dd{'smtp_pass'} = &cp::enc_pass($$dd{'smtp_pass'});
	if($$dd{'mass'} == 0 || $$dd{'intervals'} == 0){
		$$dd{'mass'} = 0;
		$$dd{'intervals'} = 0;
	}
	&db::query("UPDATE `ms_delivery` SET
				smtp_given  = '$$dd{smtp_given}',
				smtp_server = '$$dd{smtp_server}',
				smtp_port   = '$$dd{smtp_port}'	,
				smtp_auth   = '$$dd{smtp_auth}'	,
				smtp_user   = '$$dd{smtp_user}'	,
				smtp_pass   = '$$dd{smtp_pass}'	,
				smtp_prot   = '$$dd{smtp_prot}'	,
				smtp_envelope = '$$dd{smtp_envelope}', -- 2015-10-22
				smtp_check  = '$$dd{smtp_check}',
				mass        = '$$dd{mass}',
				intervals   = '$$dd{intervals}',
				switch_proc = '$$dd{switch_proc}',
				switch_time = '$$dd{switch_time}' 
			WHERE id='$$dd{'id'}'
	");
}
sub sys_info{
	my $dd = $F->Vars;
	&save::rewriterule() if $$dd{use_static};
	$$dd{smtp_pass} = &cp::enc_pass($$dd{smtp_pass});
	$$dd{domain_docomo}   =~ s/(\r\n|\r|\n){2,}/\n/gs;
	$$dd{domain_ezweb}    =~ s/(\r\n|\r|\n){2,}/\n/gs;
	$$dd{domain_softbank} =~ s/(\r\n|\r|\n){2,}/\n/gs;
	&db::query("UPDATE `ms_system` SET
				s_m_path    = '$$dd{s_m_path}'		,
				email       = '$$dd{email}'			,
				smtp_given  = '$$dd{smtp_given}'	,
				smtp_server = '$$dd{smtp_server}'	,
				smtp_port   = '$$dd{smtp_port}'		,
				smtp_auth   = '$$dd{smtp_auth}'		,
				smtp_user   = '$$dd{smtp_user}'		,
				smtp_pass   = '$$dd{smtp_pass}'		,
				smtp_prot   = '$$dd{smtp_prot}'		,
				smtp_check  = '$$dd{smtp_check}'	,
				logout_sec  = '$$dd{logout_sec}'	,
				domain_docomo   = '$$dd{domain_docomo}'	,
				domain_ezweb    = '$$dd{domain_ezweb}'		,
				domain_softbank = '$$dd{domain_softbank}'	,
				use_static      = '$$dd{use_static}'    ,
				use_editor      = '$$dd{use_editor}'    ,
				ext_delimiter   = '$$dd{ext_delimiter}'
	");
}

sub option_ssl { # 1.84
	if($config::oem){
		my $fd = $F->Vars;
		my $si = &get::sys_info();
		my $ab_dir = $ENV{DOCUMENT_ROOT}.$F->url(-absolute => 1); $ab_dir =~ s/[^\/]*$//g;
		my $cmd_path = $ab_dir .'command.sh';

		if($$fd{step} eq 'switch_cert'){
			if($$fd{use_option_ssl}){
				if(!$$si{use_option_ssl}){
#my $ret = `sudo $cmd_path use_ssl_origin`;
#&show::vup_status("ng:Debug msg: $ret");
					if(my $err = `sudo $cmd_path use_ssl_origin`){
						&show::vup_status("ng:証明書の切替に失敗しました（$err）");
					}
					else{
						&show::vup_status("ok:完了$err");
					}
				}
			}
			else{
				if($$si{use_option_ssl}){
					if(my $err = `sudo $cmd_path use_ssl_wc`){
						&show::vup_status("ng:証明書の切替に失敗しました（$err）");
					}
					&show::vup_status("ok:完了");
				}
			}
		}

		elsif($$fd{step} eq 'httpd_reload'){
			if($$fd{use_option_ssl} != $$si{use_option_ssl}){
				`sudo $cmd_path httpd_reload` # -> Always this process will reset
			}
		}

		elsif($$fd{step} eq 'save_setting'){
#sleep 3;
#&show::vup_status("ng:Stop by debug");
			if($$fd{use_option_ssl}){
				&db::query("
					UPDATE `ms_setting` SET
					cs_path     = REPLACE(cs_path,     'http://', 'https://'),
					regist_path = REPLACE(regist_path, 'http://', 'https://'),
					del_path    = REPLACE(del_path,    'http://', 'https://'),
					bcn_path    = REPLACE(bcn_path,    'http://', 'https://'),
					lmtd_path   = REPLACE(lmtd_path,   'http://', 'https://')
					WHERE mag_name != ''
				");
				&db::query("UPDATE `ms_system` SET use_option_ssl = '1'")
			}
			else{
				&db::query("
					UPDATE `ms_setting` SET
					cs_path     = REPLACE(cs_path,     'https://', 'http://'),
					regist_path = REPLACE(regist_path, 'https://', 'http://'),
					del_path    = REPLACE(del_path,    'https://', 'http://'),
					bcn_path    = REPLACE(bcn_path,    'https://', 'http://'),
					lmtd_path   = REPLACE(lmtd_path,   'https://', 'http://')
					WHERE mag_name != ''
				");
				&db::query("UPDATE `ms_system` SET use_option_ssl = '0'")
			}
			&show::vup_status("ok:完了");
		}

	}

}

sub rewriterule{	# 1.63
	my $ht;
	open(HTR,"./.htaccess") || &show::vup_status("ng:.htaccessファイルが読込みオープンできません。（".$EC.__LINE__."）");
		binmode HTR;
		while(<HTR>){
			$ht .= $_;
		}
	close(HTR);
	foreach(@ver::req){
		if($$_[5] =~ /^def_/){
			$ht =~ s/(RewriteRule.*?)$$_[0]\?/$1$$_[3]\?/gi;
		}
	}
	# rename & cory config file
	open(HTW,">./pre_htaccess") || &show::vup_status("ng:新しい.htaccessファイルが書き込みオープンできません。（".$EC.__LINE__."）");
		binmode HTW;
		flock(HTW,2);
		print HTW $ht;
		flock(HTW,8);
	close(HTW);
	unlink("./.htaccess") || &show::vup_status("ng:旧.htaccessファイルが削除できません。（".$EC.__LINE__."）");
	rename("./pre_htaccess","./.htaccess") || &show::vup_status("ng:.htaccessファイルのリネームができません。（".$EC.__LINE__."）");
}

sub attri{
	my $no   = $F->param('no');
	my $name = $F->param('name');
	my $memo = $F->param('memo');
	if(!$name || $name =~ /^[ 　]+$/ ){
		&show::error("属性名を入力してください");
	}
	&db::query("CREATE TABLE IF NOT EXISTS ms_attri(
			no        INT          NOT NULL AUTO_INCREMENT PRIMARY KEY,
			name      VARCHAR(255),
			memo      VARCHAR(255)
	) DEFAULT CHARSET = utf8");
	$name =~ s/'/''/g;
	$memo =~ s/'/''/g;
	$name =~ s/\\/\\\\/g;
	$memo =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO ms_attri (
			no,
			name,
			memo
		)
		VALUES(
			$no,
			'$name',
			'$memo'
		)
	");
	&db::query("UPDATE ms_attri SET 
			name = '$name',
			memo = '$memo'
			 WHERE no=$no
	");
}
sub del_attri{
	my $attri_no = $F->param('no');
	my $list = &get::all_id_and_type();
	if($list && @$list != 0){
		foreach(@$list){
			if($$_{'type_num'} <= 3){
				my @nos = ();
				my @attri_1s = ();
				my @attri_2s = ();
				my @attri_3s = ();
				my @attri_4s = ();
				my @attri_5s = ();
				my @attri_6s = ();
				my @attri_7s = ();
				my @attri_8s = ();
				my @attri_9s = ();
				&db::query("SELECT 
							no,
							attri_1,
							attri_2,
							attri_3,
							attri_4,
							attri_5,
							attri_6,
							attri_7,
							attri_8,
							attri_9
						FROM ms_user_$$_{'id'} WHERE 
							attri_1 = $attri_no OR 
							attri_2 = $attri_no OR 
							attri_3 = $attri_no OR 
							attri_4 = $attri_no OR 
							attri_5 = $attri_no OR 
							attri_6 = $attri_no OR 
							attri_7 = $attri_no OR 
							attri_8 = $attri_no OR 
							attri_9
				");
				while(my $href2 = $db::sth->fetchrow_hashref){
					push(@nos,      $href2->{'no'});
					push(@attri_1s, $href2->{'attri_1'});
					push(@attri_2s, $href2->{'attri_2'});
					push(@attri_3s, $href2->{'attri_3'});
					push(@attri_4s, $href2->{'attri_4'});
					push(@attri_5s, $href2->{'attri_5'});
					push(@attri_6s, $href2->{'attri_6'});
					push(@attri_7s, $href2->{'attri_7'});
					push(@attri_8s, $href2->{'attri_8'});
					push(@attri_9s, $href2->{'attri_9'});
				}
				my $i = 0;
				while($i < @nos){
					my @now_attri = (
						$attri_1s[$i],
						$attri_2s[$i],
						$attri_3s[$i],
						$attri_4s[$i],
						$attri_5s[$i],
						$attri_6s[$i],
						$attri_7s[$i],
						$attri_8s[$i],
						$attri_9s[$i]
					);
					my @new_attri = ();
					foreach(@now_attri){
						if($_ == $attri_no){
							next;
						}
						else{
							push(@new_attri, $_);
						}
					}
					&db::query("
						UPDATE ms_user_$$_{'id'} SET 
								attri_1='$new_attri[0]',
								attri_2='$new_attri[1]',
								attri_3='$new_attri[2]',
								attri_4='$new_attri[3]',
								attri_5='$new_attri[4]',
								attri_6='$new_attri[5]',
								attri_7='$new_attri[6]',
								attri_8='$new_attri[7]',
								attri_9='$new_attri[8]'
						 WHERE no='$nos[$i]'
					");
					$i++;
				}
			}
		}
	}
	&db::query("DELETE FROM ms_attri WHERE no=$attri_no");
}
sub setting{
	my $fd = $F->Vars;
	$$fd{sim_entry_mags}  =~ s/\0/,/g;
	$$fd{auto_regi_sites} =~ s/\0/,/g;
	$$fd{auto_regi_time}  = $$fd{auto_regi_hour}.':'.$$fd{auto_regi_min}.':00';

	$$fd{mag_name}  =~ s/'/''/g;
	$$fd{memo}      =~ s/'/''/g;
	$$fd{from_name} =~ s/'/''/g;

	$$fd{mag_name}  =~ s/\\/\\\\/g;
	$$fd{memo}      =~ s/\\/\\\\/g;
	$$fd{from_name} =~ s/\\/\\\\/g;

	$$fd{from_add} = $config::oem
		? $$fd{from_add_acc}.'@'.$$fd{fqdn}
		: $$fd{from_add};
	my @error_diags = ();
	foreach(&item::error_diags()){
		push (@error_diags,"$$_[0]='$$fd{$$_[0]}'");
	}
	my $error_diags = join(',',@error_diags);

	&db::query("
		UPDATE `ms_setting` SET 
			cs_path			= '$$fd{'cs_path'}',
			regist_path		= '$$fd{'regist_path'}',
			del_path			= '$$fd{'del_path'}',
			bcn_path			= '$$fd{'bcn_path'}',
			lmtd_path			= '$$fd{'lmtd_path'}',
			mag_name			= '$$fd{'mag_name'}',
			memo				= '$$fd{'memo'}',
			from_add			= '$$fd{'from_add'}',
			reply_add			= '$$fd{'reply_add'}',
			envelope_add		= '$$fd{'envelope_add'}',
			pop_host			= '$$fd{'pop_host'}',
			pop_user			= '$$fd{'pop_user'}',
			pop_pwd			= '$$fd{'pop_pwd'}',
			pop_ssl			= '$$fd{'pop_ssl'}',
			$error_diags,
			treat_err			= '$$fd{treat_err}',
			from_name			= '$$fd{from_name}',
			regi_msg			= '$$fd{regi_msg}',
			ulk_msg			= '$$fd{ulk_msg}',
			mdf_msg			= '$$fd{mdf_msg}',
			double_optin		= '$$fd{double_optin}',
			double_optin2		= '$$fd{double_optin2}',
			treat_doi			= '$$fd{treat_doi}',
			unlink				= '$$fd{unlink}',
			unlink_alert		= '$$fd{unlink_alert}',
			treat_ulk			= '$$fd{treat_ulk}',
			black				= '$$fd{'black'}',
			admin_repo			= '$$fd{'admin_repo'}',
			repo_inc_users	= '$$fd{'repo_inc_users'}',
			repo_inc_body		= '$$fd{'repo_inc_body'}',
			admin_repo_reg	= '$$fd{'admin_repo_reg'}',
			admin_repo_rm		= '$$fd{'admin_repo_rm'}',
			admin_add			= '$$fd{'admin_add'}',
			sim_entry			= '$$fd{'sim_entry'}',
			sim_entry_mags	= '$$fd{'sim_entry_mags'}',
			regi_fini_url1	= '$$fd{'regi_fini_url1'}',
			regi_fini_url2	= '$$fd{'regi_fini_url2'}',
			ulk_fini_url1		= '$$fd{'ulk_fini_url1'}',
			ulk_fini_url2		= '$$fd{'ulk_fini_url2'}',
			data_period 		= '$$fd{'data_period'}',
			auto_regi			= '$$fd{'auto_regi'}',
			auto_regi_time	= '$$fd{'auto_regi_time'}',
			auto_regi_sites	= '$$fd{'auto_regi_sites'}',
			fir_points1		= '$$fd{'fir_points1'}',
			fir_points2		= '$$fd{'fir_points2'}',
			add_points			= '$$fd{'add_points'}',
			add_1time			= '$$fd{'add_1time'}',
			post_blog			= '$$fd{'post_blog'}',
			post_add			= '$$fd{'post_add'}',
			return_day1 		= '$$fd{'return_day1'}',
			show_img_plt 		= '$$fd{'show_img_plt'}'  
		WHERE id='$$fd{'id'}'
	");
}
sub regi_msg_cont{
	my $fd = $F->Vars;
	$$fd{msg_sbj}  =~ s/'/''/g;	########## 1.66
	$$fd{msg_cont} =~ s/'/''/g;
	$$fd{msg_sbj}  =~ s/\\/\\\\/g;	########## 1.67
	$$fd{msg_cont} =~ s/\\/\\\\/g;
#	&db::query("
#		UPDATE `ms_setting`
#		SET		regi_msg_cont='$$fd{msg_cont}',
#				regi_msg_lang='$$fd{msg_lang}'
#		WHERE	id='$$fd{id}'
#	");
	&db::query("
		UPDATE `ms_setting`
		SET		regi_msg_sbj  = '$$fd{msg_sbj}',
				regi_msg_cont = '$$fd{msg_cont}',
				regi_msg_lang = '$$fd{msg_lang}'
		WHERE	id = '$$fd{id}'
	");
}
sub ulk_msg_cont{
	my $fd = $F->Vars;
	$$fd{msg_sbj}  =~ s/'/''/g;	########## 1.66
	$$fd{msg_cont} =~ s/'/''/g;
	$$fd{msg_sbj}  =~ s/\\/\\\\/g;	########## 1.67
	$$fd{msg_cont} =~ s/\\/\\\\/g;
#	&db::query("
#		UPDATE	`ms_setting`
#		SET		ulk_msg_cont='$$fd{msg_cont}',
#				ulk_msg_lang='$$fd{msg_lang}'
#		WHERE	id='$$fd{id}'
#	");
	&db::query("
		UPDATE `ms_setting`
		SET		ulk_msg_sbj  = '$$fd{msg_sbj}',
				ulk_msg_cont = '$$fd{msg_cont}',
				ulk_msg_lang = '$$fd{msg_lang}'
		WHERE	id = '$$fd{id}'
	");
}
sub mdf_msg_cont{
	my $fd = $F->Vars;
	$$fd{msg_sbj}  =~ s/'/''/g;	########## 1.66
	$$fd{msg_cont} =~ s/'/''/g;
	$$fd{msg_sbj}  =~ s/\\/\\\\/g;	########## 1.67
	$$fd{msg_cont} =~ s/\\/\\\\/g;
#	&db::query("
#		UPDATE	`ms_setting`
#		SET		mdf_msg_cont='$$fd{msg_cont}',
#				mdf_msg_lang='$$fd{msg_lang}'
#		WHERE	id='$$fd{id}'
#	");
	&db::query("
		UPDATE `ms_setting`
		SET		mdf_msg_sbj  = '$$fd{msg_sbj}',
				mdf_msg_cont = '$$fd{msg_cont}',
				mdf_msg_lang = '$$fd{msg_lang}'
		WHERE	id = '$$fd{id}'
	");
}
sub doi_msg_cont{
	my $fd = $F->Vars;
	$$fd{msg_sbj}  =~ s/'/''/g;	########## 1.66
	$$fd{msg_cont} =~ s/'/''/g;
	$$fd{msg_sbj}  =~ s/\\/\\\\/g;	########## 1.67
	$$fd{msg_cont} =~ s/\\/\\\\/g;
#	&db::query("
#		UPDATE	`ms_setting`
#		SET		doi_msg_cont='$$fd{msg_cont}',
#				doi_msg_lang='$$fd{msg_lang}'
#		WHERE	id='$$fd{id}'
#	");
	&db::query("
		UPDATE `ms_setting`
		SET		doi_msg_sbj  = '$$fd{msg_sbj}',
				doi_msg_cont = '$$fd{msg_cont}',
				doi_msg_lang = '$$fd{msg_lang}'
		WHERE	id = '$$fd{id}'
	");
}
sub doi2_msg_cont{
	my $fd = $F->Vars;
	$$fd{msg_sbj}  =~ s/'/''/g;	########## 1.66
	$$fd{msg_cont} =~ s/'/''/g;
	$$fd{msg_sbj}  =~ s/\\/\\\\/g;	########## 1.67
	$$fd{msg_cont} =~ s/\\/\\\\/g;
#	&db::query("
#		UPDATE	`ms_setting`
#		SET		doi2_msg_cont='$$fd{msg_cont}',
#				doi2_msg_lang='$$fd{msg_lang}'
#		WHERE	id='$$fd{id}'
#	");
	&db::query("
		UPDATE `ms_setting`
		SET		doi2_msg_sbj  = '$$fd{msg_sbj}',
				doi2_msg_cont = '$$fd{msg_cont}',
				doi2_msg_lang = '$$fd{msg_lang}'
		WHERE	id = '$$fd{id}'
	");
}

sub form_setting{
	my $fd = $F->Vars;
	my @reg_item = &item::reg_item();
	my @set = ();
	my %order_fixed = (	# 1.74
		'email' => $$fd{disp_order_email},
		'tarea' => $$fd{disp_order_tarea}
	);
	for(my $i=0; $i<@reg_item; $i++){
		push(@set, "
			$reg_item[$i][3]='$$fd{$reg_item[$i][3]}',
			$reg_item[$i][3]_e='".$$fd{"$reg_item[$i][3]_e"}."'"
		);
		$order_fixed{$reg_item[$i][3]} = $$fd{'disp_order_'.$reg_item[$i][3]};	#### 1.74
	}
	# 1.79 #########################
	#if($$fd{modify} == 1){
	#	push(@set, "email_new='$$fd{email_new}', email_new_e='$$fd{email_new_e}'" );
	#	$order_fixed{email_new} = $$fd{disp_order_email_new};	#### 1.74
	#}
	if(!$$fd{modify}){
		push(@set,	"email_cfm='$$fd{email_cfm}', email_cfm_e='$$fd{email_cfm_e}'");
		$order_fixed{email_cfm} = $$fd{disp_order_email_cfm};	# 1.79
	}
	elsif($$fd{modify} == 1){
		push(@set, (
			"email_new='$$fd{email_new}', email_new_e='$$fd{email_new_e}'",
			"email_cfm='$$fd{email_cfm}', email_cfm_e='$$fd{email_cfm_e}'",
		));
		$order_fixed{email_new} = $$fd{disp_order_email_new};	# 1.74
		$order_fixed{email_cfm} = $$fd{disp_order_email_cfm};	# 1.79
	}
	###############################
	my $set = join(',',@set);
	$$fd{tarea_exp} =~ s/'/''/g;
	$$fd{tarea_exp} =~ s/\\/\\\\/g;
	&db::query("
		UPDATE	`ms_regform`
		SET		permit		= '$$fd{permit}',
				charset	= '$$fd{charset}',
				alert		= '$$fd{alert}',
				name_splt	= '$$fd{name_splt}',
				$set,
				tarea		= '$$fd{tarea}',
				tarea_e	= '$$fd{tarea_e}',
				tarea_exp	= '$$fd{tarea_exp}'
		WHERE	id		= '$$fd{id}'		AND
				modify	= $$fd{modify}
	");

	my $free_list = &get::free_form_list($$fd{id});
	# 1.73 ##################
	my ($active,$essen);
	if( $$fd{modify}    == 1){	# modify form
		($active,$essen) = ('active_m','essen_m');
	}elsif($$fd{modify} == 2){	# true reg form
		($active,$essen) = ('active_tr','essen_tr');
	}else{							# reg,rm form
		($active,$essen) = ('active','essen');
	}
	########################
	my %order_free = ();
	foreach(@$free_list){
		my ($key1,$key2) = ('free_'.$$_{no}.'_active','free_'.$$_{no}.'_e');
		&db::query("
			UPDATE `ms_freeform` SET
				$active = '$$fd{$key1}',
				$essen  = '$$fd{$key2}'
			WHERE no = '$$_{no}'
		");
		$order_free{$$_{no}} = $$fd{'disp_order_free_'.$$_{no}};	#### 1.74
	}
	# Save display order 1.74 #######################
	&db::query("
		DELETE FROM `ms_formorder` 
		WHERE	id     = '$$fd{id}'		AND
				modify = $$fd{modify}
	");
	# fixed form
	&db::query("
		INSERT IGNORE INTO `ms_formorder` (
			id, type, modify, fixed_form_name, disp_order
		) VALUES ".
		join(',', map {"('$$fd{id}', 0, $$fd{modify}, '$_', '$order_fixed{$_}')"} keys %order_fixed)
	);
	# free form
	if(%order_free != 0){
		&db::query("
			INSERT IGNORE INTO `ms_formorder` (
				id, type, modify, free_form_no, disp_order
			) VALUES ".
			join(',', map {"('$$fd{id}', 1, $$fd{modify}, $_, '$order_free{$_}')"} keys %order_free)
		);
	}
	#####################################################
}

sub free_form_setting{

}

sub del_free_form{

}

sub lmtd_setting{

}

sub del_lmtd{

}

sub user_migration{
	my $fd = $F->Vars;
	$$fd{destination_id} = undef if ($$fd{migration_mode} == 0 || $$fd{migration_mode} == 3);
	&db::query("
		INSERT IGNORE INTO `ms_migration` (
			id,
			migration_mode,
			destination_id
		) VALUES (
			'$$fd{id}',
			'$$fd{migration_mode}',
			'$$fd{destination_id}'
		) 
	");
	&db::query("
		UPDATE `ms_migration` SET
			migration_mode	= '$$fd{migration_mode}',
			destination_id	= '$$fd{destination_id}'
		WHERE id = '$$fd{id}'
	");
}

sub users_edit{
	my $fd = $F->Vars;
	$$fd{name} = &get::forming_name($$fd{name});
	my @multiple = ();
	foreach(&item::user_info()){
		if($$_[4] == 0){ # Case Direct
			$$fd{$$_[3]} =~ s/'/''/g;
			$$fd{$$_[3]} =~ s/\\/\\\\/g;
		}
		elsif($$_[4] == 2){	# Case multiple choice
			push(@multiple, "$$_[3]=''");
		}
	}
	# 複数選択項目が選択無しの場合$fdに格納されないため一旦初期化 1.71
	my $multiple = join(',',@multiple);
	&db::query("
		UPDATE	`ms_user_$$fd{id}`
		SET 	$multiple
		WHERE	no = '$$fd{no}'
	");
	#############################################################

	my @set = ();
	foreach(keys %$fd){
		if(
			$_ ne 'save_users_edit'	&&
			$_ ne 'no'					&&
			$_ ne 'id'					&&
			$_ ne 'type'				&&
			$_ ne 'reset_err'			&&
			$_ !~ /^free_\d+_\d+$/
		){
			$$fd{$_} =~ s/\0/,/g;
			push(@set, "$_='$$fd{$_}'");
		}
	}
	if($$fd{reset_err}){
		foreach(&item::error_diags()){
			push(@set, "$$_[0]=0");
		}
	}
	my $set = join(',',@set);
	# 1.76 #########
	if(!$$fd{no}){ # New entry
		my $stg = &get::setting_data();
		&db::query("
			INSERT IGNORE INTO `ms_user_$$fd{id}` (
				active,
				entry,
				regist_mode,
				regist_from,
				clicks,
				next_story
			)
			VALUES(
				1,
				CURRENT_DATE(),
				1, -- dairi
				0, -- unconfig
				0,
				1
			)
		");
		&db::query("SELECT LAST_INSERT_ID() FROM `ms_user_$$fd{id}`");
		$$fd{no} = $db::sth->fetchrow_array();
		# Set the string crypted no of new entry user 
		$set .= ", no_crypt = '".&cp::enc_pass($$fd{no})."'";
	}
	################
#die $set;
	&db::query("
		UPDATE `ms_user_$$fd{id}` SET $set	WHERE no='$$fd{no}'
	");

	# free form
	# 複数選択項目が選択無しの場合$fdに格納されないため、複数選択項目の値は一旦削除 1.71 ###
	&db::query("
		DELETE FROM `ms_freeusersinfo`
		WHERE
			id         = '$$fd{id}'	AND
			user_no    = $$fd{no}	AND
			form_type  = 3
	");
	########################################################################################
	foreach(keys %$fd){
		if($_ =~ /^free_(\d+)_(\d+)$/){
			my ($form_no,$form_type) = ($1,$2);
			if($form_type == 3){
				# Multiple choice
=pod
				&db::query("
					SELECT * FROM `ms_freeusersinfo`
					WHERE
						id        = '$$fd{id}'	AND
						user_no   = $$fd{no}		AND
						form_no   = $form_no		AND
						form_type = $form_type
				");
				my @conts = ();
				while(my $href = $db::sth->fetchrow_hashref()){
					push(@conts,$href);
				}
				my @keeps = ();
				my @check_parts = split(/\0/,$$fd{$_});
				foreach my $old(@conts){
					foreach my $new(@check_parts){
						if($$old{parts_cont} == $new){
							push(@keeps,$$old{parts_cont});
							last;
						}
					}
				}
				my %cnt = ();
				foreach my $ele (@keeps, @check_parts){
					$cnt{$ele}++;
				}
				my @new_parts = ();
				foreach my $ele (keys %cnt) {
					push(@new_parts,$ele) if $cnt{$ele} == 1;
				}
#die "@keeps,@new_parts";
				my $keeps = @keeps != 0
					? "AND parts_cont NOT IN(".join(',',map("'$_'",@keeps)).")"
					: '';
#die $keeps;
				&db::query("
					DELETE FROM `ms_freeusersinfo`
					WHERE
						id         = '$$fd{id}'	AND
						user_no    = $$fd{no}	AND
						form_no    = $form_no	AND
						form_type  = $form_type
						$keeps
				");
				foreach(@new_parts){
					&db::query("
						INSERT IGNORE INTO `ms_freeusersinfo` (
							id,
							user_no,
							form_no,
							form_type,
							parts_cont
						) VALUES (
							'$$fd{id}',
							$$fd{no},
							$form_no,
							$form_type,
							'$_'
						)
					");
				}
=cut
				# 複数選択値全挿入 1.71 ################################
				foreach my $val (split(/\0/,$$fd{$_})){
					&db::query("
						INSERT IGNORE INTO `ms_freeusersinfo` (
							id,
							user_no,
							form_no,
							form_type,
							parts_cont
						) VALUES (
							'$$fd{id}',
							$$fd{no},
							$form_no,
							$form_type,
							'$val'
						)
					");
				}
				########################################################
			}
			else{
				if($$fd{$_} ne '' && $$fd{$_} !~ /^[\s　]*$/){
					# Alternative choice & Direct & DATE-type
					$$fd{$_} =~ s/'/''/g;
					$$fd{$_} =~ s/\\/\\\\/g;
					if($form_type == 6){
						# DATE-type
						$$fd{$_} = sprintf("%04d-%02d-%02d", split(/\-/,$$fd{$_}));
					}
					&db::query("
						SELECT * FROM `ms_freeusersinfo`
						WHERE
							id         = '$$fd{id}'	AND
							user_no    = $$fd{no}	AND
							form_no    = $form_no	AND
							form_type  = $form_type
					");
					my ($row) = $db::sth->fetchrow_array();
					if($row){
						&db::query("
							UPDATE `ms_freeusersinfo` SET
								parts_cont = '$$fd{$_}'
							WHERE
								id         = '$$fd{id}'	AND
								user_no    = $$fd{no}	AND
								form_no    = $form_no	AND
								form_type  = $form_type
						");
					}
					else{
						&db::query("
							INSERT IGNORE INTO `ms_freeusersinfo` (
								id,
								user_no,
								form_no,
								form_type,
								parts_cont
							) VALUES (
								'$$fd{id}',
								$$fd{no},
								$form_no,
								$form_type,
								'$$fd{$_}'
							)
						");
					}
				}
				else{
					&db::query("
						DELETE FROM `ms_freeusersinfo`
						WHERE
							id         = '$$fd{id}'	AND
							user_no    = $$fd{no}	AND
							form_no    = $form_no	AND
							form_type  = $form_type
					");
				}
			}
		}
	}
}

sub users_edit_by_form{
	my ($ud,$pd) = @_;
	$$pd{charset} = $$pd{charset} ? $$pd{charset} : 'auto';

	# fixed form
	if($$pd{name_1} && $$pd{name_2}){
		$$pd{name} = $$pd{name_1}.' '.$$pd{name_2};
	}
	if(
		$$pd{birth_year}		&&
		$$pd{birth_mon}		&&
		$$pd{birth_day}
	){
		$$pd{birth} = "$$pd{birth_year}-$$pd{birth_mon}-$$pd{birth_day}";
	}
	my @reg_item = &item::reg_item();
	my @set = ();
	my @bind = (); # 1.86
	for(my $i=0; $i<@reg_item; $i++){
		if(
			$$pd{$reg_item[$i][3]}	&&
			$$pd{$reg_item[$i][3]} !~ /^[-\s　]*$/
		){
			$$pd{$reg_item[$i][3]} =~ s/\0/,/g;
			$$pd{$reg_item[$i][3]} =~ s/'/''/g;
			$$pd{$reg_item[$i][3]} =~ s/\\/\\\\/g;

			if($reg_item[$i][4] == 0 && $$pd{charset} ne 'utf8'){
				$$pd{$reg_item[$i][3]} = Unicode::Japanese->new(
											$$pd{$reg_item[$i][3]},
											$$pd{charset}
										)->utf8;
			}
			if($reg_item[$i][3] eq 'name'){
				$$pd{name} = &get::forming_name($$pd{name}) if $$pd{name};
			}
			# 1.86 ####
			#push(@set, "$reg_item[$i][3] = '$$pd{$reg_item[$i][3]}'");
			push(@set, "$reg_item[$i][3] = ?");
			push(@bind, { value => $$pd{$reg_item[$i][3]} });
			###########
		}
	}
	# 1.86 ###
	#push(@set,"email = '$$pd{email_new}'") if $$pd{email_new};
	if($$pd{email_new}){
		push(@set, "email = ?");
		push(@bind, { value => $$pd{email_new} });
	}
	##########
	# 1.86####
	#&db::query("
	#	UPDATE `ms_user_$$pd{'id'}` SET ".join(',',@set)."
	#	WHERE email = '$$pd{email}'
	#") if @set != 0;
	if(@set != 0){
		push(@bind, { value => $$pd{email} });
		&db::query(
			"UPDATE `ms\_user\_$$pd{id}` SET ".join(',',@set).
			" WHERE email = ?",
			\@bind
		);
	}
	##########

	# free form
	foreach(keys %$pd){
		if($_ =~ /^free_(\d+)_(\d+)(_\w+)?$/){
			my ($form_no, $form_type, $date_parts) = ($1, $2, $3);
			if($form_type == 3 && $$pd{$_}){
				# Multiple choice
				# 1.86 #####
				#&db::query("
				#	SELECT * FROM `ms_freeusersinfo`
				#	WHERE
				#		id        = '$$pd{id}'	AND
				#		user_no   = $$ud{no}		AND
				#		form_no   = $form_no		AND
				#		form_type = $form_type
				#");
				&db::query(
					"SELECT * FROM `ms\_freeusersinfo`
					 WHERE id        = ? AND
					       user_no   = ? AND
					       form_no   = ? AND
					       form_type = ?",
					[
						{value => $$pd{id}  },
						{value => $$ud{no}  },
						{value => $form_no  },
						{value => $form_type}
					]
				);
				############
				my @conts = ();
				while(my $href = $db::sth->fetchrow_hashref()){
					push(@conts,$href);
				}
				my @keeps = ();
				my @check_parts = split(/\0|,/,$$pd{$_});
				foreach my $old(@conts){
					foreach my $new(@check_parts){
						if($$old{parts_cont} == $new){
							push(@keeps,$$old{parts_cont});
							last;
						}
					}
				}
				my %cnt = ();
				foreach my $ele (@keeps, @check_parts){
					$cnt{$ele}++;
				}
				my @new_parts = ();
				foreach my $ele (keys %cnt) {
					push(@new_parts,$ele) if $cnt{$ele} == 1;
				}
#die "@keeps,@new_parts";
				my $keeps = @keeps != 0
					? "AND parts_cont NOT IN(".join(',',map("'$_'",@keeps)).")"
					: '';
#die $keeps;
				# 1.86 ####
				#&db::query("
				#	DELETE FROM `ms_freeusersinfo`
				#	WHERE
				#		id         = '$$pd{id}'	AND
				#		user_no    = $$ud{no}	AND
				#		form_no    = $form_no	AND
				#		form_type  = $form_type
				#		$keeps
				#");
				&db::query(
					"DELETE FROM `ms\_freeusersinfo`
					 WHERE id         = ?	AND
					       user_no    = ?	AND
					       form_no    = ?	AND
					       form_type  = ?
					       $keeps",
					[
						{value => $$pd{id}  },
						{value => $$ud{no}  },
						{value => $form_no  },
						{value => $form_type}
					]
				);
				###########
				foreach(@new_parts){
					# 1.86 ####
					#&db::query("
					#	INSERT IGNORE INTO `ms_freeusersinfo` (
					#		id,
					#		user_no,
					#		form_no,
					#		form_type,
					#		parts_cont
					#	) VALUES (
					#		'$$pd{id}',
					#		$$ud{no},
					#		$form_no,
					#		$form_type,
					#		'$_'
					#	)
					#");
					&db::query(
						"INSERT IGNORE INTO `ms\_freeusersinfo` (
							id, user_no, form_no, form_type, parts_cont
						) VALUES (
							?, ?, ?, ?, ?
						)",
						[
							{value => $$pd{id}  },
							{value => $$ud{no}  },
							{value => $form_no  },
							{value => $form_type},
							{value => $_        }
						]
					);
					###########
				}
			}
			else{
				if($$pd{$_} ne '' && $$pd{$_} !~ /^[\s　]*$/){
					# Alternative choice & Direct & DATE-type
					$$pd{$_} =~ s/'/''/g;
					$$pd{$_} =~ s/\\/\\\\/g;
					if(
						($form_type == 0 || $form_type == 1 || $form_type == 5)	&&
						$$pd{charset} ne 'utf8'
					){
						# Case text,password,textarea
						$$pd{$_} = Unicode::Japanese->new(
										$$pd{$_},
										$$pd{charset}
									)->utf8;
					}
					elsif($form_type == 6){
#die __LINE__;
						# 1.86 ###
						if(!$$pd{again}){
						##########
							# Case DATE-type
							my %date = ();
							foreach my $date_part(split(/\0|,/,$$pd{$_})){
								if($date_part =~ /year_(\d{4})/){
									$date{year}  = $1;
								}
								elsif($date_part =~ /month_(\d{1,2})/){
									$date{month} = sprintf ("%02d", $1);
								}
								elsif($date_part =~ /day_(\d{1,2})/){
									$date{day}   = sprintf ("%02d", $1);
								}
							}
							if($date{year} && $date{month} && $date{day}){
								$$pd{$_} = $date{year}.'-'.$date{month}.'-'.$date{day};
							}
							else{
								next;
							}
						# 1.86 ###
						}
						##########
					}
					# 1.86 #####
					#&db::query("
					#	SELECT * FROM `ms_freeusersinfo`
					#	WHERE
					#		id         = '$$pd{id}'	AND
					#		user_no    = $$ud{no}	AND
					#		form_no    = $form_no	AND
					#		form_type  = $form_type
					#");
					&db::query(
						"SELECT * FROM `ms\_freeusersinfo`
						 WHERE id        = ? AND
						       user_no   = ? AND
						       form_no   = ? AND
						       form_type = ?",
						[
							{value => $$pd{id}  },
							{value => $$ud{no}  },
							{value => $form_no  },
							{value => $form_type}
						]
					);
					############
					my ($row) = $db::sth->fetchrow_array();
					if($row){
						# 1.86 ###
						#&db::query("
						#	UPDATE `ms_freeusersinfo` SET
						#		parts_cont = '$$pd{$_}'
						#	WHERE
						#		id         = '$$pd{id}'	AND
						#		user_no    = $$ud{no}	AND
						#		form_no    = $form_no	AND
						#		form_type  = $form_type
						#");
						&db::query(
							"UPDATE `ms\_freeusersinfo`
							 SET     parts_cont = ?
							 WHERE   id         = ? AND
							         user_no    = ? AND
							         form_no    = ? AND
							         form_type  = ?",
							[
								{value => $$pd{$_}  },
								{value => $$pd{id}  },
								{value => $$ud{no}  },
								{value => $form_no  },
								{value => $form_type}
							]
						);
						##########
					}
					else{
						# 1.86 ###
						#&db::query("
						#	INSERT IGNORE INTO `ms_freeusersinfo` (
						#		id,
						#		user_no,
						#		form_no,
						#		form_type,
						#		parts_cont
						#	) VALUES (
						#		'$$pd{id}',
						#		$$ud{no},
						#		$form_no,
						#		$form_type,
						#		'$$pd{$_}'
						#	)
						#");
						&db::query(
							"INSERT IGNORE INTO `ms\_freeusersinfo` (
							    id, user_no, form_no, form_type, parts_cont
							) VALUES (
								?, ?, ?, ?, ?
							)",
							[
								{value => $$pd{id}  },
								{value => $$ud{no}  },
								{value => $form_no  },
								{value => $form_type},
								{value => $$pd{$_}  }
							]
						);
						##########
					}
				}
			} # else
		} # if
	} # foreach
}

sub accounts{

}

sub story{

}

sub del_story{

}

sub operate_story{
	my $fd = $F->Vars;
	if($$fd{story_range} == 0){
		# Operate checked story
		foreach(split(/\0/,$$fd{checked_story})){
			&db::query("
				UPDATE `ms_story_$$fd{id}`
				SET		operate = $$fd{story_operate}
				WHERE no = '$_'
			");
		}
	}
	elsif($$fd{story_range} == 1){
		# Operate all story of the ID
		&db::query("
			UPDATE `ms_story_$$fd{id}`
			SET		operate = $$fd{story_operate}
		");
	}
}

sub extra{
	my $md = $F->Vars;
	if($$md{with_test}){
		# 1.80 #############
		#&check::test_add();
		&check::test();
		###################
		eval{&start::test();};
	}
	foreach(keys %$md){
		if($_ eq "sbj_cont" || $_ eq "subject" || $_ eq "header" || $_ eq "body" || $_ eq "footer" || $_ eq 'excl_word' || $_ eq 'excl_cs'
		){
			$$md{$_} =~ s/'/''/g;
			$$md{$_} =~ s/\\/\\\\/g;
		}
	}
	&db::query("
		INSERT IGNORE INTO `ms_extra_$$md{id}` (
			no,
			sort_no,
			html,
			lang,
			nl2br,
			os, -- 1.81
			auto_sbj,
			sbj_cont,
			reserve_day,
			reserve_time,
			define_header,
			define_header_no,
			header,
			body,
			define_footer,
			define_footer_no,
			footer,
			cs,
			excl_cs,
			filter,
			filter_cont,
			excl_word,
			locked_pid,
			draft
		)
		VALUES(
			'$$md{ext_no}',
			'$$md{ext_no}',
			'$$md{html}',
			'$$md{lang}',
			'$$md{nl2br}',
			'$$md{os}', -- 1.81
			'$$md{auto_sbj}',
			'$$md{sbj_cont}',
			'$$md{res_year}-$$md{res_mon}-$$md{res_day}',
			'$$md{res_hour}:$$md{res_min}:00',
			'$$md{define_header}',
			'$$md{define_header_no}',
			'$$md{header}',
			'$$md{body}',
			'$$md{define_footer}',
			'$$md{define_footer_no}',
			'$$md{footer}',
			'$$md{cs}',
			'$$md{excl_cs}',
			'$$md{filter}',
			'$$md{filter_cont}',
			'$$md{excl_word}',
			0,
			0
		)
	");
	&db::query("UPDATE `ms_extra_$$md{id}`
		SET	html             = '$$md{html}',
			lang             = '$$md{lang}',
			nl2br            = '$$md{nl2br}',
			os               = '$$md{os}',			-- 1.81
			auto_sbj         = '$$md{auto_sbj}',
			sbj_cont         = '$$md{sbj_cont}',
			reserve_day      = '$$md{res_year}-$$md{res_mon}-$$md{res_day}',
			reserve_time     = '$$md{res_hour}:$$md{res_min}:00',
			define_header    = '$$md{define_header}',
			define_header_no = '$$md{define_header_no}',
			header           = '$$md{header}',
			body             = '$$md{body}',
			define_footer    = '$$md{define_footer}',
			define_footer_no = '$$md{define_footer_no}',
			footer           = '$$md{footer}',
			cs               = '$$md{cs}',
			excl_cs          = '$$md{excl_cs}',
			filter           = '$$md{filter}',
			filter_cont      = '$$md{filter_cont}',
			excl_word        = '$$md{excl_word}',
			locked_pid       = 0,
			draft            = 0
		WHERE no = $$md{ext_no}
	");
	######## Sort extras
	&db::query("SELECT no FROM `ms_extra_$$md{id}` ORDER BY reserve_day,reserve_time");
	my @nos = ();
	while(my @row = $db::sth->fetchrow_array()){
		push(@nos,$row[0]);
	}
	for(my $i = 1; $i <= @nos; $i++){
		&db::query("UPDATE `ms_extra_$$md{id}` SET sort_no=$i WHERE no=$nos[$i-1]");
	}
}

sub draft_extra{
	my $md = $F->Vars;
	foreach(keys %$md){
		if($_ eq "sbj_cont" || $_ eq "subject" || $_ eq "header" || $_ eq "body" || $_ eq "footer" || $_ eq 'excl_word' || $_ eq 'excl_cs'
		){
			$$md{$_} =~ s/'/''/g;
			$$md{$_} =~ s/\\/\\\\/g;
		}
	}
	if($$md{filter} == 1){
		$$md{filter_cont} = <<EOM;
			kw=$$md{'kw'}
			&sex=$$md{'sex'}
			&under_age=$$md{'under_age'}
			&over_age=$$md{'over_age'}
			&postal=$$md{'postal'}
			&live_1=$$md{'live_1'}
			&live_2=$$md{'live_2'}
			&phone=$$md{'phone'}
			&job=$$md{'job'}
			&marr=$$md{'marr'}
			&child=$$md{'child'}
			&house=$$md{'house'}
			&pet=$$md{'pet'}
			&pet_kind=$$md{'pet_kind'}
			&interest=$$md{'interest'}
			&sports=$$md{'sports'}
			&trouble=$$md{'trouble'}
			&uid=$$md{'uid'}
			&under_clicks=$$md{'under_clicks'}
			&over_clicks=$$md{'over_clicks'}
			&under_points=$$md{'under_points'}
			&over_points=$$md{'over_points'}
			&regist_from=$$md{'regist_from'}
			&regist_mode=$$md{'regist_mode'}
			&entry_year_from=$$md{'entry_year_from'}
			&entry_mon_from=$$md{'entry_mon_from'}
			&entry_day_from=$$md{'entry_day_from'}
			&entry_year_to=$$md{'entry_year_to'}
			&entry_mon_to=$$md{'entry_mon_to'}
			&entry_day_to=$$md{'entry_day_to'}
			&attri=$$md{'attri'}
			&domain=$$md{'domain'}
			&is_birthday=$$md{is_birthday}
			&is_birthday_g=$$md{is_birthday_g}
EOM
		foreach (keys %$md){
			if($_ =~ /^(is_)?free_\d+_\d+(_\w+)?$/){
				$$md{filter_cont} .= "&$_=$$md{$_}";
			}
		}
		$$md{filter_cont} =~ s/\r\n|\n|\r|\t|\s//g;
		$$md{filter_cont} =~ s/\0/,/g;	# 1.61
	}

	&db::query("
		INSERT IGNORE INTO `ms_extra_$$md{id}` (
			no,
			sort_no,
			html,
			lang,
			nl2br,
			os, -- 1.84
			auto_sbj,
			sbj_cont,
			reserve_day,
			reserve_time,
			define_header,
			define_header_no,
			header,
			body,
			define_footer,
			define_footer_no,
			footer,
			cs,
			excl_cs,
			filter,
			filter_cont,
			excl_word,
			locked_pid,
			draft
		)
		VALUES(
			'$$md{ext_no}',
			'$$md{ext_no}',
			'$$md{html}',
			'$$md{lang}',
			'$$md{nl2br}',
			'$$md{os}', -- 1.84
			'$$md{auto_sbj}',
			'$$md{sbj_cont}',
			'$$md{res_year}-$$md{res_mon}-$$md{res_day}',
			'$$md{res_hour}:$$md{res_min}:00',
			'$$md{define_header}',
			'$$md{define_header_no}',
			'$$md{header}',
			'$$md{body}',
			'$$md{define_footer}',
			'$$md{define_footer_no}',
			'$$md{footer}',
			'$$md{cs}',
			'$$md{excl_cs}',
			'$$md{filter}',
			'$$md{filter_cont}',
			'$$md{excl_word}',
			0,
			1
		)
	");
	&db::query("UPDATE `ms_extra_$$md{id}`
		SET	html             = '$$md{html}',
			lang             = '$$md{lang}',
			nl2br            = '$$md{nl2br}',
			os               = '$$md{os}',			-- 1.84
			auto_sbj         = '$$md{auto_sbj}',
			sbj_cont         = '$$md{sbj_cont}',
			reserve_day      = '$$md{res_year}-$$md{res_mon}-$$md{res_day}',
			reserve_time     = '$$md{res_hour}:$$md{res_min}:00',
			define_header    = '$$md{define_header}',
			define_header_no = '$$md{define_header_no}',
			header           = '$$md{header}',
			body             = '$$md{body}',
			define_footer    = '$$md{define_footer}',
			define_footer_no = '$$md{define_footer_no}',
			footer           = '$$md{footer}',
			cs               = '$$md{cs}',
			excl_cs          = '$$md{excl_cs}',
			filter           = '$$md{filter}',
			filter_cont      = '$$md{filter_cont}',
			excl_word        = '$$md{excl_word}',
			locked_pid       = 0,
			draft            = 1
		WHERE no = $$md{ext_no}
	");
	######## Sort extras
	&db::query("SELECT no FROM `ms_extra_$$md{id}` ORDER BY reserve_day,reserve_time");
	my @nos = ();
	while(my @row = $db::sth->fetchrow_array()){
		push(@nos,$row[0]);
	}
	for(my $i = 1; $i <= @nos; $i++){
		&db::query("UPDATE `ms_extra_$$md{id}` SET sort_no=$i WHERE no=$nos[$i-1]");
	}
}

sub del_extra{
	my $id = $F->param('id') || $_[0];
	my $ext_no = $F->param('ext_no') || $_[1];
	&db::query("DELETE FROM `ms_extra_$id` WHERE no = $ext_no");

	# Sort extras
	&db::query("SELECT no FROM `ms_extra_$id` ORDER BY reserve_day,reserve_time");
	my @nos = ();
	while(my @row = $db::sth->fetchrow_array()){
		push(@nos,$row[0]);
	}
	for(my $i = 1; $i <= @nos; $i++){
		&db::query("UPDATE `ms_extra_$id` SET sort_no=$i WHERE no=$nos[$i-1]");
	}
}

sub operate_extra{
	my $fd = $F->Vars;
	if($$fd{extra_range} == 0){
		if($$fd{extra_operate} == 0){
			# Delete checked extra
			foreach(split(/\0/,$$fd{checked_extra})){
				&db::query("
					DELETE FROM `ms_extra_$$fd{id}`
					WHERE no = '$_'
				");
			}
		}
		elsif($$fd{extra_operate} == 1){
			# Return to the draft checked extra
			foreach(split(/\0/,$$fd{checked_extra})){
				&db::query("
					UPDATE	`ms_extra_$$fd{id}`
					SET		reserve_day  = '',
							reserve_time = '',
							locked_pid   = 0,
							draft        = 1
					WHERE	no = '$_'
				");
			}
		}
		else{&show::error("パラメタエラー",$EC.__LINE__);}
	}
	elsif($$fd{extra_range} == 1){
		if($$fd{extra_operate} == 0){
			# Delete all extra of the ID
			&db::query("
				DELETE FROM `ms_extra_$$fd{id}`
			");
			# Sort
		}
		elsif($$fd{extra_operate} == 1){
			# Return to the draft all extra
			&db::query("
				UPDATE	`ms_extra_$$fd{id}`
				SET		reserve_day  = '',
						reserve_time = '',
						locked_pid   = 0,
						draft        = 1
			");
		}
		else{&show::error("パラメタエラー",$EC.__LINE__);}
	}
	# Sort extras
	&db::query("
		SELECT		no
		FROM		`ms_extra_$$fd{id}`
		ORDER BY	reserve_day,reserve_time
	");
	my @nos = ();
	while(my @row = $db::sth->fetchrow_array()){
		push(@nos,$row[0]);
	}
	for(my $i = 1; $i <= @nos; $i++){
		&db::query("
			UPDATE		`ms_extra_$$fd{id}`
			SET			sort_no = $i
			WHERE		no = $nos[$i-1]
		");
	}
}

sub session_token {	# 1.75
	my $token = &get::rand_str(16,'a-z0-9');
	&db::query("
		UPDATE	`ms_session`
		SET		token = '$token'
		WHERE	login_id = '$main::login_id'
	");
	return $token;
}
sub del_session_token {	# 1.75
	&db::query("
		UPDATE	`ms_session`
		SET		token = NULL
		WHERE	login_id = '$main::login_id'
	");
}

sub indiv{

}

sub indiv_users{

}

sub del_indiv{

}

sub operate_indiv{
	my $fd = $F->Vars;
	if($$fd{indiv_range} == 0){
		# Delete checked indiv
		foreach(split(/\0/,$$fd{checked_indiv})){
			&db::query("DELETE FROM	`ms_individual_$$fd{id}` WHERE no = $_");
			# Delete CS data
			&db::query("DELETE FROM `ms_cs_$$fd{id}` WHERE his_no = $_");
		}
	}
	elsif($$fd{indiv_range} == 1){
		# Delete all indiv of the ID
		&db::query("DELETE FROM `ms_individual_$$fd{id}`");
		# Delete CS data
		&db::query("DELETE FROM `ms_cs_$$fd{id}`");
	}
}

sub new_mag{
	my $fd = $F->Vars;
	#my $new_mag_id = $F->param('new_mag_id');
	my $new_mag_id = $$fd{new_mag_id};
	my $type_num = $$fd{type};
	my $tbl = &tbl::conf();
	# 1.85 ########################
	if($$fd{copy_setting} && $$fd{source_id}){	# Copy
		foreach(keys %$tbl){
			if(	$$tbl{$_}{period} eq 'cre_id' && $$tbl{$_}{type} =~ /\($type_num\)/ ){
					&db::query("
						CREATE TABLE IF NOT EXISTS `ms\_$_\_$new_mag_id`"."(
							$$tbl{$_}{column}
						)	$$tbl{$_}{option}
					");
					if($$tbl{$_}{allow_copy}){
						&db::query("
							INSERT IGNORE INTO `ms\_$_\_$new_mag_id`
							SELECT *
							FROM   `ms\_$_\_$$fd{source_id}`
						");
					}
			} # if
			elsif($$tbl{$_}{period} eq 'init' && $$tbl{$_}{allow_copy}){
				my @ins_cols = ();
				&db::query("DESCRIBE `ms\_$_`");
				while(my $href = $db::sth->fetchrow_hashref()){
					if($href->{'Field'} !~ /^(no|id)$/){
						push(@ins_cols, $href->{'Field'});
					}
				}
				&db::query("
					INSERT IGNORE INTO `ms\_$_` (id,". join(',',@ins_cols). ") 
					SELECT '$new_mag_id',". join(',',@ins_cols). "
					FROM   `ms\_$_`
					WHERE   id = '$$fd{source_id}'
				");
				&db::query("
					UPDATE `ms_setting`
					SET     entry = CURRENT_DATE()
					WHERE   id = '$new_mag_id'
				");
			}
		} # foreach
		# copy freeform, freeparts
		my @ff_cols = ();
		&db::query("DESCRIBE `ms\_freeform`");
		while(my $href = $db::sth->fetchrow_hashref()){
			if($href->{'Field'} !~ /^(no|id)$/){
				push(@ff_cols, "ms\_freeform.". $href->{'Field'});
			}
		}
		my @fp_cols = ();
		&db::query("DESCRIBE `ms\_freeparts`");
		while(my $href = $db::sth->fetchrow_hashref()){
			if($href->{'Field'} !~ /^(no|form_no)$/){
				push(@fp_cols, "ms\_freeparts.". $href->{'Field'});
			}
		}
		&db::query("SELECT MAX(no) FROM `ms\_freeform`");
		my $href = $db::sth->fetchrow_hashref();
		my $newffno = $$href{'MAX(no)'} + 1; #die $newno;
		&db::query("SELECT no FROM `ms\_freeform` WHERE id = '$$fd{source_id}'");
		my @ff_list = ();
		while(my $href = $db::sth->fetchrow_hashref()){
			push(@ff_list, $href);
		}
		foreach(@ff_list){
			# freeform
			&db::query("
				INSERT IGNORE INTO `ms_freeform` (`ms_freeform`.no, `ms_freeform`.id, " .join(',', @ff_cols). ")
				SELECT '$newffno', '$new_mag_id', ".join(',', @ff_cols). "
				FROM   `ms_freeform`
				WHERE  no = '$$_{no}'
			");
			# freeparts
			&db::query("
				INSERT IGNORE INTO `ms_freeparts` (`ms_freeparts`.form_no, " .join(',', @fp_cols). ")
				SELECT '$newffno', ".join(',', @fp_cols). "
				FROM   `ms_freeparts`
				WHERE  form_no = '$$_{no}'
			");
			# Update freeform no in formorder table
			&db::query("
				UPDATE `ms_formorder`
				SET     free_form_no = '$newffno'
				WHERE   id = '$new_mag_id' AND free_form_no = '$$_{no}'
			");
			$newffno++;
		}

	} # if
	##################################
	else{ # New create
		foreach(keys %$tbl){
			if($$tbl{$_}{period} eq 'cre_id'){
				if($$tbl{$_}{type} =~ /\($type_num\)/){
					&db::query("
						CREATE TABLE IF NOT EXISTS ms_$_"."_$new_mag_id"."(
							$$tbl{$_}{column}
						)	$$tbl{$_}{option}
					" );
				}
			}
		}
		&db::query("
			INSERT IGNORE INTO `ms_regform`
				(id, modify, email_new,email_new_e, name,name_e, sex,sex_e, birth,birth_e, udevice,udevice_e)
			VALUES
				('$new_mag_id', 0, 0,0, 1,1, 0,0, 0,0, 1,0),
				('$new_mag_id', 1, 1,1, 0,0, 0,0, 0,0, 1,0),
				('$new_mag_id', 2, 0,0, 1,1, 1,1, 1,1, 1,0)
		") if $type_num != 4;
		&db::query("
			INSERT IGNORE INTO `ms_delivery` (
				id
			)
			VALUES(
				'$new_mag_id'
			)
		") if $type_num != 4;

		my $asp_obj = &asp::set_obj();
		foreach(@$asp_obj){
			my $asp = $_->info();
			&db::query("
				SELECT	*
				FROM	`ms_accounts`
				WHERE	id     = '$new_mag_id'		AND
						asp_no = '$$asp{no}'
			");
			if(!$db::sth->fetchrow_hashref()){
				&db::query("
					INSERT IGNORE INTO `ms_accounts` (
						id,
						asp_no,
						type,
						name,
						insert_str
					)
					VALUES	(
						'$new_mag_id',
						'$$asp{no}',
						'$$asp{type}',
						'$$asp{name}',
						'$$asp{insert_str}'
					)
				");
			}
	}

		## 1.66 ～ ##################################################
		my $def_regi_msg_sbj  = &default::regi_msg_sbj();
		my $def_ulk_msg_sbj   = &default::ulk_msg_sbj();
		my $def_mdf_msg_sbj   = &default::mdf_msg_sbj();
		my $def_doi_msg_sbj   = &default::doi_msg_sbj();
		my $def_doi2_msg_sbj  = &default::doi2_msg_sbj();
		$def_regi_msg_sbj =~ s/'/''/g;
		$def_ulk_msg_sbj  =~ s/'/''/g;
		$def_mdf_msg_sbj  =~ s/'/''/g;
		$def_doi_msg_sbj  =~ s/'/''/g;
		$def_doi2_msg_sbj =~ s/'/''/g;
		$def_regi_msg_sbj =~ s/\\/\\\\/g;
		$def_ulk_msg_sbj  =~ s/\\/\\\\/g;
		$def_mdf_msg_sbj  =~ s/\\/\\\\/g;
		$def_doi_msg_sbj  =~ s/\\/\\\\/g;
		$def_doi2_msg_sbj =~ s/\\/\\\\/g;
		#############################################################
	
		my $def_regi_msg_cont  = &default::regi_msg_cont();
		my $def_ulk_msg_cont   = &default::ulk_msg_cont();
		my $def_mdf_msg_cont   = &default::mdf_msg_cont();
		my $def_doi_msg_cont   = &default::doi_msg_cont();
		my $def_doi2_msg_cont  = &default::doi2_msg_cont();
		$def_regi_msg_cont =~ s/'/''/g;
		$def_ulk_msg_cont  =~ s/'/''/g;
		$def_mdf_msg_cont  =~ s/'/''/g;
		$def_doi_msg_cont  =~ s/'/''/g;
		$def_doi2_msg_cont =~ s/'/''/g;
		$def_regi_msg_cont =~ s/\\/\\\\/g;
		$def_ulk_msg_cont  =~ s/\\/\\\\/g;
		$def_mdf_msg_cont  =~ s/\\/\\\\/g;
		$def_doi_msg_cont  =~ s/\\/\\\\/g;
		$def_doi2_msg_cont =~ s/\\/\\\\/g;
	
		&db::query("
			INSERT IGNORE INTO `ms_setting` (
				id,
				type_num,
				entry,
				regi_msg_sbj,
				regi_msg_cont,
				ulk_msg_sbj,
				ulk_msg_cont,
				mdf_msg_sbj,
				mdf_msg_cont,
				doi_msg_sbj,
				doi_msg_cont,
				doi2_msg_sbj,
				doi2_msg_cont
			)
			VALUES(
				'$new_mag_id',
				$type_num,
				current_date(),
				'$def_regi_msg_sbj',
				'$def_regi_msg_cont',
				'$def_ulk_msg_sbj',
				'$def_ulk_msg_cont',
				'$def_mdf_msg_sbj',
				'$def_mdf_msg_cont',
				'$def_doi_msg_sbj',
				'$def_doi_msg_cont',
				'$def_doi2_msg_sbj',
				'$def_doi2_msg_cont'
			)
		");
		&db::query("
			INSERT IGNORE INTO `ms_migration` (
				id,
				migration_mode
			)
			VALUES(
				'$new_mag_id',
				0
			)
		") if $type_num == 1;

	} # else

}

sub del_mags{
	my @id = $F->param('choiced_del_mag');
	if(@id != 0){
		foreach my $id(@id){
			&db::query("DROP TABLE IF EXISTS
					-- 1.78 ms_accounts_$id,
					ms_user_$id,
					ms_story_$id,
					ms_extra_$id,
					ms_cs_$id,
					ms_his_$id,
					ms_black_$id,
					ms_individual_$id,
					ms_benefits_$id
			");
			&db::query("DELETE FROM `ms_setting` WHERE id='$id'");
			&db::query("DELETE FROM `ms_delivery` WHERE id='$id'");
			&db::query("DELETE FROM `ms_regform` WHERE id='$id'");
			&db::query("DELETE FROM `ms_backnumber` WHERE id='$id'");
			&db::query("DELETE FROM `ms_default` WHERE id='$id'");

			my $free_list = &get::free_form_list($id);
			if($free_list && @$free_list != 0){
				foreach(@$free_list){
					&db::query("DELETE FROM `ms_freeparts` WHERE form_no=$$_{no}");
				}
			}
			&db::query("DELETE FROM `ms_freeform` WHERE id='$id'");
			&db::query("DELETE FROM `ms_freeusersinfo` WHERE id='$id'");
			&db::query("DELETE FROM `ms_limited` WHERE id='$id'");
			&db::query("DELETE FROM `ms_delivers` WHERE id='$id'");
			&db::query("DELETE FROM `ms_delivered` WHERE id='$id'");
			&db::query("DELETE FROM `ms_erradd` WHERE id='$id'");
			&db::query("DELETE FROM `ms_actionlog` WHERE id='$id'");
			&db::query("DELETE FROM `ms_migration` WHERE id='$id' OR destination_id = '$id'");
			&db::query("DELETE FROM `ms_cshis` WHERE id='$id'");			# 1.60
			&db::query("DELETE FROM `ms_formorder` WHERE id='$id'");	# 1.74
			&db::query("DELETE FROM `ms_accounts` WHERE id='$id'");		# 1.78
			&db::query("DELETE FROM `ms_oshis` WHERE id='$id'");		# 1.81

			&db::query("
				SELECT
					id,
					sim_entry,
					sim_entry_mags
				FROM `ms_setting` 
				WHERE 
					FIND_IN_SET('$id', sim_entry_mags) > 0 
			");
			my @upd = ();
			while(my $href = $db::sth->fetchrow_hashref()){
				push(@upd,$href);
			}
			foreach(@upd){
				$$_{'sim_entry_mags'}		=~ s/,?$id,?/,/;
				$$_{'sim_entry_mags'}		=~ s/^,|,$//;
				$$_{'sim_entry'} = 0 if !$$_{'sim_entry_mags'};

				&db::query("
					UPDATE `ms_setting` SET 
						sim_entry				=  $$_{'sim_entry'},
						sim_entry_mags		= '$$_{'sim_entry_mags'}'
					WHERE id='$$_{'id'}'
				");
			}
			#unlink glob('./img/qr/QR_'.$id.'_*');	# 1.69 -> 1.78
		}
		##############################
		&db::query("SHOW TABLES LIKE 'ms_benefits_%'");
		my @bene_tbl = ();
		while(my @tbl = $db::sth->fetchrow_array()){
			push(@bene_tbl,$tbl[0]);
		}
		if(@bene_tbl != 0){
			foreach my $tbl_name (@bene_tbl){
				foreach my $id(@id){
					&db::query("
						SELECT
							no,
							bene_sim_entry,
							bene_sim_entry_mags
						FROM `$tbl_name` 
						WHERE  
							FIND_IN_SET('$id', bene_sim_entry_mags) > 0
					");
					my @upd2 = ();
					while(my $href = $db::sth->fetchrow_hashref()){
						push(@upd2,$href);
					}
					foreach(@upd2){
						$$_{'bene_sim_entry_mags'}		=~ s/,?$id,?/,/;
						$$_{'bene_sim_entry_mags'}		=~ s/^,|,$//;
						$$_{'bene_sim_entry'} = 0 if !$$_{'bene_sim_entry_mags'};

						&db::query("
							UPDATE `$tbl_name` SET 
								bene_sim_entry		=  $$_{'bene_sim_entry'},
								bene_sim_entry_mags	= '$$_{'bene_sim_entry_mags'}'
							WHERE no = $$_{'no'}	
						");
					}
				}
			}
		}
		###############################
	}
}
sub bodytpl{
	my $fd = $F->Vars;	
	$$fd{title}   =~ s/'/''/g;
	$$fd{content} =~ s/'/''/g;
	$$fd{title}   =~ s/\\/\\\\/g;
	$$fd{content} =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO `ms_bodytpl` (
			no,
			html,
			nl2br,
			title,
			content
		)
		VALUES(
			$$fd{no},
			'$$fd{html}',
			'$$fd{nl2br}',
			'$$fd{title}',
			'$$fd{content}'
		)
	");
	&db::query("
		UPDATE	`ms_bodytpl`
		SET		html    = '$$fd{html}',
				nl2br   = '$$fd{nl2br}',
				title   = '$$fd{title}',
				content = '$$fd{content}' 
		WHERE	no = $$fd{no}
	");
}

sub smtp{
	my $fd = $F->Vars;	
	$$fd{name}      =~ s/'/''/g;
	$$fd{smtp_user} =~ s/'/''/g;
	$$fd{name}      =~ s/\\/\\\\/g;
	$$fd{smtp_user} =~ s/\\/\\\\/g;
	$$fd{smtp_pass} =  &cp::enc_pass($$fd{smtp_pass});
	&db::query("
		INSERT IGNORE INTO `ms_smtp` (
			no,
			name,
			smtp_server,
			smtp_port,
			smtp_auth,
			smtp_user,
			smtp_pass,
			smtp_prot,
			smtp_envelope, -- 2015-10-22
			smtp_check,
			smtp_check_id
		)
		VALUES(
			'$$fd{no}',
			'$$fd{name}',
			'$$fd{smtp_server}',
			'$$fd{smtp_port}',
			'$$fd{smtp_auth}',
			'$$fd{smtp_user}',
			'$$fd{smtp_pass}',
			'$$fd{smtp_prot}',
			'$$fd{smtp_envelope}', -- 2015-10-22
			'$$fd{smtp_check}',
			'$$fd{smtp_check_id}'
		)
	");
	&db::query("
		UPDATE	`ms_smtp`
		SET		name			= '$$fd{name}',
				smtp_server	= '$$fd{smtp_server}',
				smtp_port		= $$fd{smtp_port},
				smtp_auth		= '$$fd{smtp_auth}',
				smtp_user		= '$$fd{smtp_user}',
				smtp_pass		= '$$fd{smtp_pass}',
				smtp_prot		= $$fd{smtp_prot},
				smtp_envelope = '$$fd{smtp_envelope}', -- 2015-10-22
				smtp_check    = '$$fd{smtp_check}',
				smtp_check_id = '$$fd{smtp_check_id}'
		WHERE	no = '$$fd{no}'
	");
}

sub define_header{
	my $fd = $F->Vars;
	$$fd{title}   =~ s/'/''/g;
	$$fd{content} =~ s/'/''/g;
	$$fd{title}   =~ s/\\/\\\\/g;
	$$fd{content} =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO `ms_definehead` (
			no,
			html,
			nl2br,
			title,
			content
		)
		VALUES(
			$$fd{no},
			'$$fd{html}',
			'$$fd{nl2br}',
			'$$fd{title}',
			'$$fd{content}'
		)
	");
	&db::query("
		UPDATE `ms_definehead` SET 
			html    = '$$fd{html}',
			nl2br   = '$$fd{nl2br}',
			title   = '$$fd{title}',
			content = '$$fd{content}' 
		WHERE no = $$fd{no}
	");
}
sub define_footer{
	my $fd = $F->Vars;
	$$fd{title}   =~ s/'/''/g;
	$$fd{content} =~ s/'/''/g;
	$$fd{title}   =~ s/\\/\\\\/g;
	$$fd{content} =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO `ms_definefoot` (
			no,
			html,
			nl2br,
			title,
			content
		)
		VALUES(
			$$fd{no},
			'$$fd{html}',
			'$$fd{nl2br}',
			'$$fd{title}',
			'$$fd{content}'
		)
	");
	&db::query("
		UPDATE `ms_definefoot` SET 
			html    = '$$fd{html}',
			nl2br   = '$$fd{nl2br}',
			title   = '$$fd{title}',
			content = '$$fd{content}' 
		WHERE no = $$fd{no}
	");
}

sub del_bodytpl{
	my $no = $F->param('no');
	&db::query("DELETE FROM `ms_bodytpl` WHERE no=$no");	
}
sub del_smtp{
	my $no = $F->param('no');
	&db::query("DELETE FROM `ms_smtp` WHERE no=$no");	
}
sub del_define_header{
	my $no = $F->param('no');
	&db::query("DELETE FROM ms_definehead WHERE no=$no");	
}
sub del_define_footer{
	my $no = $F->param('no');
	&db::query("DELETE FROM ms_definefoot WHERE no=$no");	
}
sub convert_url{

}

sub last_deliv{	# Only auto mail magazine

}
sub last_auto_regi{

}
=pod
sub mem_bf_deliv {
	my $mem = `free -m | grep -i buffers/cache:`;	# MB
	if($mem =~ /buffers\/cache:.*?(\d+).*?\d+/i){
		&db::query("
			INSERT IGNORE INTO `ms_usedmem` (
				aid,
				mem_bf_deliv,
				entry
			)
			VALUES (
				'$main::aid',
				$1,
				NOW()
			)
		");
	}
	# ※ $aid -> our scalar
}
sub mem_peak {
	my ($line) = @_;
	my $mem = `free -m | grep -i buffers/cache:`;	# MB
	if($mem =~ /buffers\/cache:.*?(\d+).*?(\d+)/i){
		&db::query("
			UPDATE `ms_usedmem` SET
				mem_peak  = $1,
				mem_free  = $2,
				peak_line = '$line'
			WHERE aid = '$main::aid' AND $1 > mem_peak
		");
	}
	# ※ $aid -> our scalar
}
=cut

sub delivers{
	my ($id,$his_no,$ud) = @_;
	my $vals = join(',', map {"('$id',$his_no,".$$_{no}.")"} @$ud );
	&db::query("
		INSERT IGNORE INTO
		`ms_delivers` (
			id,
			his_no,
			user_no
		) VALUES $vals
	");
	$vals =~ s/^((\([^)]+?\)\,){300}).+$/$1/;		# Ver 1.68～
	$vals =~ s/\,$//;								# Ver 1.68～
	&db::query("
		INSERT IGNORE INTO
		`ms_delivered` (
			id,
			his_no,
			user_no
		) VALUES $vals
	");
}
sub del_deliver{
	my ($no) = @_;
	&db::query("
		DELETE FROM `ms_delivers`
		WHERE	no = $no
	");
}
sub del_delivers{
	my ($id,$his_no) = @_;
	&db::query("
		DELETE FROM `ms_delivers`
		WHERE	id = '$id'			AND
				his_no = $his_no
	");
}

sub temp_delivers{
	my ($id,$his_no,$ud) = @_;
	&db::query("
		INSERT IGNORE INTO `ms_delivers` (
			id,
			his_no,
			temp_email,
			temp_name
		) VALUES ".
		join(',', map {"('$id',$his_no,'$$_{email}','$$_{name}')"} @$ud )
	);
	&db::query("
		INSERT IGNORE INTO `ms_delivered` (
			id,
			his_no,
			temp_email,
			temp_name
		) VALUES ".
		join(',', map {"('$id',$his_no,'$$_{email}','$$_{name}')"} @$ud )
	);
}

sub history_first{
	my (
		$id,
		$md,
		$his_no,
		$story_no,
		$d_type
	) = @_;
	$$md{sbj_cont}	=~ s/'/''/g;
	$$md{header}		=~ s/'/''/g;
	$$md{body}			=~ s/'/''/g;
	$$md{footer}		=~ s/'/''/g;
	$$md{excl_cs}		=~ s/'/''/g;
	$$md{filter_cont}	=~ s/'/''/g;
	$$md{excl_word}	=~ s/'/''/g;
	$$md{sbj_cont}	=~ s/\\/\\\\/g;
	$$md{header}		=~ s/\\/\\\\/g;
	$$md{body}			=~ s/\\/\\\\/g;
	$$md{footer}		=~ s/\\/\\\\/g;
	$$md{excl_cs}		=~ s/\\/\\\\/g;
	$$md{filter_cont}	=~ s/\\/\\\\/g;
	$$md{excl_word}	=~ s/\\/\\\\/g;

	&db::query("
		INSERT INTO `ms_his_$id` (
			no,
			story_no,
			d_type,
			html,
			lang,
			nl2br,
			os, -- 1.81
			auto_sbj,
			sbj_cont,
			define_header,
			define_header_no,
			header,
			o_body,
			define_footer,
			define_footer_no,
			footer,
			cs,
			excl_cs,
			filter,
			filter_cont,
			excl_word,
			continue_uxpctd -- 1.80
		) 
		VALUES(
			$his_no,
			$story_no,
			$d_type,
			'$$md{html}',
			'$$md{lang}',
			'$$md{nl2br}',
			'$$md{os}', -- 1.81
			'$$md{auto_sbj}',
			'$$md{sbj_cont}',
			'$$md{define_header}',
			'$$md{define_header_no}',
			'$$md{header}',
			'$$md{body}',
			'$$md{define_footer}',
			'$$md{define_footer_no}',
			'$$md{footer}',
			'$$md{cs}',
			'$$md{excl_cs}',
			'$$md{filter}',
			'$$md{filter_cont}',
			'$$md{excl_word}',
			1 -- 1.80
		)
	");
}
sub history_second{
	my (
		$id,
		$his_no,
		$save_sbj,
		$save_body,
		$user_no
	) = @_;
	$save_sbj  =~ s/'/''/g;
	$save_body =~ s/'/''/g;
	$save_sbj  =~ s/\\/\\\\/g;
	$save_body =~ s/\\/\\\\/g;
	&db::query("
		UPDATE `ms_his_$id` SET 
			deliv_day				= CURRENT_DATE(),
			deliv_aday				= DAYOFWEEK(CURRENT_DATE())-1,
			deliv_time				= CURRENT_TIME(),
			subject				= '$save_sbj',
			body					= '$save_body',
			users					= $user_no,
			done_users				= 0,
			time_required			= 0,
			complete				= '',
			pid						= $$,
			total_error			= 0,
			Host_not_exists		= 0,
			Account_not_exists	= 0,
			Mailbox_unavailable	= 0,
			Server_error			= 0,
			Authen_error			= 0,
			Auto_return			= 0,
			Other					= 0,
			unlink					= 0 
		WHERE no = $his_no
	");
}

sub history_during{
	my ($id,$his_no) = @_;
	&db::query("
		UPDATE	`ms_his_$id`
		SET		done_users = done_users + 1 
		WHERE	no = $his_no
	");
}
sub history_pid{
	my ($id,$his_no,$pid) = @_;
	&db::query("
		UPDATE	`ms_his_$id`
		SET		pid = $pid 
		WHERE	no = $his_no
	");
}
sub history_idms{
	my ($id,$his_no,$mode) = @_;
	&db::query("
		UPDATE	`ms_his_$id`
		SET		idms = $mode 
		WHERE	no = $his_no
	");
}
sub history_last{
	my ($id,$his_no,$comp) = @_;
	&db::query("
		UPDATE	`ms_his_$id`
		SET		time_required	=
					TIMEDIFF(
						NOW(),
						CONCAT_WS(
							' ',
							deliv_day,
							deliv_time
						)
					),
				complete = $comp 
		WHERE	no = $his_no
	");
}

sub operate_his_delivery {	# 1.77
	my $fd = $F->Vars;
	if($$fd{operate} eq 'stop'){
		&idms::stop_manualy($fd);
	}
	elsif($$fd{operate} eq 'continue'){
		&idms::continue_manualy($fd);
	}
}
=pod
sub continue{
	my (
		$id,
		$his_no,
		$subject,
		$tot_body
	) = @_;
	$subject   =~ s/'/''/g;
	$tot_body  =~ s/'/''/g;
	$subject   =~ s/\\/\\\\/g;
	$tot_body  =~ s/\\/\\\\/g;
	&db::query("
		INSERT INTO `ms_continue` (
			id,
			his_no,
			subject,
			tot_body,
			entry
		) VALUES (
			'$id',
			$his_no,
			'$subject',
			'$tot_body',
			NOW()
		)
	");
}
=cut
sub reaching{

}
sub del_olddata{
	my (
		$id,
		$data_period
	) = @_;
	&db::query("
		DELETE		`ms_cs_$id`,`ms_cshis`
		FROM		`ms_cs_$id`
		LEFT JOIN	`ms_cshis`
		ON
			`ms_cshis`.id    = '$id'					AND
			`ms_cshis`.cs_no = `ms_cs_$id`.no
		WHERE		DATEDIFF(CURRENT_DATE(), `ms_cs_$id`.entry) > $data_period
	");
	# 1.81 #######
=pod
	&db::query("
		DELETE		`ms_his_$id`,`ms_delivered`,`ms_erradd`
		FROM		`ms_his_$id`
		LEFT JOIN	`ms_delivered`
		ON			`ms_delivered`.id     = '$id'				AND
					`ms_delivered`.his_no = `ms_his_$id`.no 
		LEFT JOIN	`ms_erradd`
		ON			`ms_erradd`.id     = '$id'				AND 
					`ms_erradd`.his_no = `ms_his_$id`.no 
		WHERE		DATEDIFF(CURRENT_DATE(), `ms_his_$id`.deliv_day) > $data_period
	");
=cut
	&db::query("
		DELETE		`ms_his_$id`,`ms_delivered`,`ms_erradd`,`ms_oshis`
		FROM		`ms_his_$id`
		LEFT JOIN	`ms_delivered`
		ON			`ms_delivered`.id     = '$id'			AND
					`ms_delivered`.his_no = `ms_his_$id`.no 
		LEFT JOIN	`ms_erradd`
		ON			`ms_erradd`.id     = '$id'				AND 
					`ms_erradd`.his_no = `ms_his_$id`.no 
		LEFT JOIN	`ms_oshis`
		ON			`ms_oshis`.id     = '$id'				AND 
					`ms_oshis`.his_no = `ms_his_$id`.no 
		WHERE		DATEDIFF(CURRENT_DATE(), `ms_his_$id`.deliv_day) > $data_period
	");
	#############
	&db::query("
		DELETE FROM
			`ms_actionlog`
		WHERE
			id = '$id' AND
			DATEDIFF(CURRENT_DATE(), `ms_actionlog`.rec_time) > $data_period
	");
}

sub del_his{
	my $fd = $F->Vars;
	if($$fd{his_range} == 0){
		# Delete checked history
		foreach(split(/\0/,$$fd{checked_his})){
			&db::query("DELETE FROM `ms_delivered`		WHERE id = '$$fd{id}' AND his_no = '$_'");
			&db::query("DELETE FROM `ms_erradd`		WHERE id = '$$fd{id}' AND his_no = '$_'");
			&db::query("DELETE FROM `ms_actionlog`		WHERE id = '$$fd{id}' AND his_no = '$_'");
			&db::query("
				DELETE		`ms_cs_$$fd{id}`,`ms_cshis`
				FROM		`ms_cs_$$fd{id}`
				LEFT JOIN	`ms_cshis`
				ON			`ms_cshis`.id    = '$$fd{id}'					AND
							`ms_cshis`.cs_no = `ms_cs_$$fd{id}`.no
				WHERE	`ms_cs_$$fd{id}`.his_no = '$_'
			");
			&db::query("DELETE FROM `ms_oshis` WHERE id = '$$fd{id}' AND his_no = '$_'");	# 1.81
			&db::query("DELETE FROM `ms_his_$$fd{id}`	WHERE no = '$_'");
		}
	}
	elsif($$fd{his_range} == 1){
		# Delete all history of the ID
		&db::query("
			DELETE		`ms_his_$$fd{id}`,
						`ms_cs_$$fd{id}`,
						`ms_delivered`,
						`ms_erradd`,
						`ms_actionlog`,
						`ms_cshis`,
						`ms_oshis`        -- 1.81
			FROM		`ms_his_$$fd{id}`
			LEFT JOIN	`ms_cs_$$fd{id}`
			ON			`ms_his_$$fd{id}`.no = `ms_cs_$$fd{id}`.his_no
			LEFT JOIN	`ms_cshis`
			ON			`ms_cshis`.id    = '$$fd{id}'					AND 
						`ms_cshis`.cs_no = `ms_cs_$$fd{id}`.no
			LEFT JOIN	`ms_delivered`
			ON			`ms_his_$$fd{id}`.no = `ms_delivered`.his_no	AND
						`ms_delivered`.id		= '$$fd{id}'
			LEFT JOIN	`ms_erradd`
			ON			`ms_his_$$fd{id}`.no = `ms_erradd`.his_no		AND
						`ms_erradd`.id		= '$$fd{id}'
			LEFT JOIN	`ms_actionlog`
			ON			`ms_his_$$fd{id}`.no = `ms_actionlog`.his_no	AND
						`ms_actionlog`.id		= '$$fd{id}'
			LEFT JOIN	`ms_oshis`         -- 1.81
			ON			`ms_his_$$fd{id}`.no = `ms_oshis`.his_no	AND
						`ms_oshis`.id        = '$$fd{id}'
			WHERE		`ms_his_$$fd{id}`.complete = 1	OR
						`ms_his_$$fd{id}`.complete = 2
		");
		&db::query("
			SELECT	*
			FROM	`ms_his_$$fd{id}`
			WHERE	complete = 0	AND
					idms = 0		AND
					pid IS NOT NULL
		");
		my @no_comp = ();
		while(my $href = $db::sth->fetchrow_hashref()){
			push(@no_comp,$href);
		}
		foreach(@no_comp){
			if(!-e "/proc/$$_{pid}"){
				&db::query("DELETE FROM `ms_delivered`		WHERE id = '$$fd{id}' AND his_no = '$$_{no}'");
				&db::query("DELETE FROM `ms_erradd`		WHERE id = '$$fd{id}' AND his_no = '$$_{no}'");
				&db::query("DELETE FROM `ms_actionlog`		WHERE id = '$$fd{id}' AND his_no = '$$_{no}'");
				&db::query("
					DELETE		`ms_cs_$$fd{id}`,
								`ms_cshis`
					FROM		`ms_cs_$$fd{id}`
					LEFT JOIN	`ms_cshis`
					ON			`ms_cshis`.id    = '$$fd{id}'			AND
								`ms_cshis`.cs_no = `ms_cs_$$fd{id}`.no
					WHERE		`ms_cs_$$fd{id}`.his_no = $$_{no}
				");
				&db::query("DELETE FROM `ms_oshis` WHERE id = '$$fd{id}' AND his_no = '$$_{no}'");	# 1.81
				&db::query("DELETE FROM `ms_his_$$fd{id}`	WHERE no = '$$_{no}'");
			}
		}
	}
}

sub action_log{
	my ($id,$his_no,$type,$log) = @_;
	$log =~ s/'/''/g;
	$log =~ s/\\/\\\\/g;
	&db::query("
		INSERT INTO `ms_actionlog` (
			id,
			type,
			his_no,
			rec_time,
			log
		)
		VALUES(
			'$id',
			$type,
			$his_no,
			NOW(),
			'$log'
		)
	");
#	&db::query("SELECT MAX(no) FROM `ms_actionlog`");
#	my $max_no = $db::sth->fetchrow_array;
#	&db::query("DELETE FROM `ms_actionlog` WHERE no <= $max_no-1000");
}
sub original_tag{
	my $no				= $F->param('no');
	my $insert_str	= $F->param('insert_str');
	my $content		= $F->param('content');
	$content =~ s/'/''/g;
	$content =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO ms_originaltag (
			no,
			insert_str,
			content
		)
		VALUES(
			$no,
			'$insert_str',
			'$content'
		)
	");
	&db::query("UPDATE ms_originaltag SET
				insert_str = '$insert_str',
				content    = '$content' 
			WHERE no=$no
	");
}
sub del_original_tag{
	my $no	= $F->param('no');
	&db::query("DELETE FROM `ms_originaltag` WHERE no=$no");
}

sub author{
	my $ad = $F->Vars;
	$$ad{login_pass} = &cp::enc_pass($$ad{login_pass});
	$$ad{pass_phrase} =~ s/'/''/g;
	$$ad{pass_phrase} =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO `ms_author` (
			no,
			super_user,
			login_id,
			login_pass,
			pass_phrase,
			can_mk_ms,
			can_mk_am,
			can_mk_sm,
			can_mk_inv,
			can_edit_ms,
			can_edit_am,
			can_edit_sm,
			can_edit_inv,
			can_show_users,
			can_operate_users,
			can_vup,
			can_other,
			email,
			entry,
			maked_by
		)
		VALUES(
			$$ad{no},
			0,
			'$$ad{login_id}',
			'$$ad{login_pass}',
			'$$ad{pass_phrase}',
			'$$ad{can_mk_ms}',
			'$$ad{can_mk_am}',
			'$$ad{can_mk_sm}',
			'$$ad{can_mk_inv}',
			'$$ad{can_edit_ms}',
			'$$ad{can_edit_am}',
			'$$ad{can_edit_sm}',
			'$$ad{can_edit_inv}',
			'$$ad{can_show_users}',
			'$$ad{can_operate_users}',
			'$$ad{can_vup}',
			'$$ad{can_other}',
			'$$ad{email}',
			NOW(),
			'$$ad{maked_by}'
		)
	");
	&db::query("UPDATE `ms_author` SET
					login_id			= '$$ad{login_id}',
					login_pass			= '$$ad{login_pass}',
					pass_phrase		= '$$ad{pass_phrase}',
					can_mk_ms			= '$$ad{can_mk_ms}',
					can_mk_am			= '$$ad{can_mk_am}',
					can_mk_sm			= '$$ad{can_mk_sm}',
					can_mk_inv			= '$$ad{can_mk_inv}',
					can_edit_ms		= '$$ad{can_edit_ms}',
					can_edit_am		= '$$ad{can_edit_am}',
					can_edit_sm		= '$$ad{can_edit_sm}',
					can_edit_inv		= '$$ad{can_edit_inv}',
					can_show_users	= '$$ad{can_show_users}',
					can_operate_users	= '$$ad{can_operate_users}',
					can_vup			= '$$ad{can_vup}',
					can_other			= '$$ad{can_other}',
					email				= '$$ad{email}'
				WHERE no = $$ad{no}
	");
}

sub del_author{
	my $no = $F->param('no');
	my $ad = &get::author();
	&db::query("DELETE FROM `ms_session` WHERE login_id = '$$ad{login_id}'");
	&db::query("DELETE FROM `ms_author` WHERE no = $no");
}

sub del_image{
	my $fd = $F->Vars;
	foreach(split(/\0/,$$fd{'choiced_image'})){
		if(unlink("./upload/$_") == 0){
			&show::error("$_が削除できません。",$EC.__LINE__);
		}
	}
}

sub cphis{	# 1.85
	my ($arg) = @_;
	$$arg{log} =~ s/'/''/g;
	$$arg{log} =~ s/\\/\\\\/g;
	# 1.86 ####
	#&db::query("
	#	INSERT INTO `ms_cphis` (
	#		rec_time,
	#		login_id,
	#		ip,
	#		user_agent,
	#		log
	#	)
	#	VALUES(
	#		NOW(),
	#		'$$arg{login_id}',
	#		'$ENV{REMOTE_ADDR}',
	#		'$ENV{HTTP_USER_AGENT}',
	#		'$$arg{log}'
	#	)
	#");
	&db::query(
		"INSERT INTO `ms\_cphis` (
			rec_time, login_id, ip, user_agent, log
		) VALUES (
			NOW(), ?, ?, ?, ?
		)",
		[
			{value => $$arg{login_id}      },
			{value => $ENV{REMOTE_ADDR}    },
			{value => $ENV{HTTP_USER_AGENT}},
			{value => $$arg{log}           }
		]
	);
	##########
#	&db::query("SELECT MAX(no) FROM `ms_actionlog`");
#	my $max_no = $db::sth->fetchrow_array;
#	&db::query("DELETE FROM `ms_actionlog` WHERE no <= $max_no-1000");
}

sub del_old_cphis{	# 1.85
	&db::query("
		DELETE FROM	`ms_cphis`
		WHERE	DATEDIFF(CURRENT_DATE(), `ms_cphis`.rec_time) > 90
	");
}

sub benefits{

}

sub del_benefits{

}

sub karame_setting{

}

sub bcn_setting{

}

sub default{

}

sub next_story{	# Only step mail

}
sub keys_cookie{
	my $fd = $F->Vars;
#	if($$fd{'set_keys_cookie'}){
		my $key_type = '';
		if($$fd{'vup_type'} eq 'system'){
			$key_type = 'sys';
		}
		elsif($$fd{'vup_type'} eq 'asp_option'){
			$key_type = $$fd{'asp_name'};
		}
		my $new_value = $$fd{'key_1'}.'-'.$$fd{'key_2'};
		$new_value = &cp::enc_pass($new_value);
		my $cookie =	new CGI::Cookie(
							-name		=> "milkystepvupkey_$key_type",
							-value		=> 	$new_value,
							-expires	=> '+6M'
						);
		print "Set-Cookie: $cookie\n";
#	}
}
sub list_sort_cookie{
	my $fd = $F->Vars;
#	if($$fd{'set_keys_cookie'}){
#		my $new_value = $$fd{'key_1'}.'-'.$$fd{'key_2'};
#		$new_value = &cp::enc_pass($new_value);
		my $cookie =	new CGI::Cookie(
							-name		=> "milkystep_listsort_$$fd{'type'}",
							-value		=> 	$$fd{'list_sort_type'},
							-expires	=> '+6M'
						);
		print "Set-Cookie: $cookie\n";
#	}
}
sub update_his{
	my $fd = $F->Vars;
	my $vup_file = '';
	my $version = '';
	my $release = '';
	my $changes = '';
	if($F->param('proc_version_up_sys')){
		$vup_file = 'sys';
		$version = $ver::version;
		$release = $ver::release;
		$changes = $ver::changes;
	}
	elsif($F->param('proc_version_up_opt')){
		eval "use $$fd{'asp_name'};";
		if($@){
			return 0;
		}
		my $obj = $$fd{'asp_name'}->new();
		$vup_file = $$fd{'asp_name'}.'.pm';
		$version = $$fd{'asp_name'}->VERSION;
		$release = $obj->release();
		$changes = $obj->changes();
	}
	$changes =~ s/'/''/g;
	$changes =~ s/\\/\\\\/g;
	&db::query("
		INSERT IGNORE INTO `ms_updatehis` (
			no,
			entry,
			vup_file,
			version,
			release_date,
			other
		)
		VALUES(
			'',
			NOW(),
			'$vup_file',
			'$version',
			'$release',
			'$changes'
		)
	");
	return 1;
}
sub unknown{
	my ($id,$type,$buff) = @_;
	$buff =~ s/'/''/g;
	$buff =~ s/\\/\\\\/g;
	&db::query("
		INSERT INTO ms_unknown (
			id,
			entry,
			unknown_type,
			source
		)
		VALUES(
			'$id',
			NOW(),
			'$type',
			'$buff'
		)
	");
	&db::query("SELECT MAX(no) FROM ms_unknown");
	my $max = $db::sth->fetchrow_array();
	&db::query("DELETE FROM ms_unknown WHERE no <= $max-30");
}
sub new_file_name{
	# Value check
	my $fd = $F->Vars;
	my %new = ();
	my %old = ();
	my %check = ();
	foreach my $name(keys %$fd){
		if(	$name =~ /^def_(.+)/){
			my $def_name = $1;
			if($$fd{$name} !~ /^[\d\w]+(\.[\d\w]+)?/){
				&show::set_new_file_name_error(
					"ファイル名は、半角英数とアンダーバーの組み合わせで指定してください。"
				);
			}
			if($$fd{$name} ne "$def_name.cgi" && -e "./$$fd{$name}"){
				&show::set_new_file_name_error(
					"ファイル『$$fd{$name}』は既に存在します。他の名前を指定してください。"
				);
			}
			if($check{$$fd{$name}}){
				&show::set_new_file_name_error(
					"ファイル名は重複できません。"
				);
			}
			$check{$$fd{$name}} = 1;
			$new{$name} = $$fd{$name};
			foreach my $cgi(@ver::req){
				if($$cgi[1] eq 'var' && $$cgi[5] eq $name){
					# Set default file name
					$old{$name} = $$cgi[0];
				}
			}
		}
	}

	my $perm = substr((sprintf "%03lo",(stat('./index.cgi'))[2]), -3);
	open(THIS,'./index.cgi') || &show::set_new_file_name_error("./index.cgiがオープンできません。");
	my $sheb = <THIS>;
	close(THIS);
	for my $key(keys %old){
		open(OLD,"./$old{$key}") || &show::set_new_file_name_error("./$old{$key}がオープンできません。");
		binmode OLD;
		open(NEW,">./pre_$new{$key}") || &show::set_new_file_name_error("./pre_$new{$key}がオープンできません。");
		binmode NEW;
		flock(NEW,2);
		my $j = 0;
		while(<OLD>){
			if($j++ == 0){
				print NEW $sheb;
			}
			else{
				print NEW $_;
			}
		}
		flock(NEW,8);
		close(NEW);
		close(OLD);
		
		unlink "./$old{$key}" || &show::set_new_file_name_error("./$old{$key}が削除できません。");
		rename("./pre_$new{$key}","./$new{$key}") || &show::set_new_file_name_error("./pre_$new{$key}のファイル名が変更できません。");
		umask 0000;
		if((chmod oct($perm),"./$new{$key}") == 0){
			&show::set_new_file_name_error("./$new{$key}のパーミッションが変更できません。");
		}
	}

	my $config = '';
	open(RTOC,"./config.cgi") || &show::set_new_file_name_error("※設定ファイル（config.cgi）がオープンできません。");
		binmode RTOC;
		while(<RTOC>){
			$config .= $_;
		}
	close(RTOC);
	unlink("./def_config.cgi") || &show::set_new_file_name_error("※設定ファイル（config.cgi）が削除できません。") if -e './def_config.cgi';
	open(OTOC,">./def_config.cgi") || &show::set_new_file_name_error("※設定ファイル（def_config.cgi）が書き込みオープンできません。");
		binmode OTOC;
		flock(OTOC,2);
		print OTOC $config;
		flock(OTOC,8);
	close(OTOC);
	unlink("./config.cgi") || &show::set_new_file_name_error("※設定ファイル（config.cgi）が削除できません。");

	my $var_file = '';
	foreach(keys %new){
		$var_file .= "our \$$_ = \"$new{$_}\";\n";
	}
	$config =~ s/(# Variable exe file name start)(.*)(# Variable exe file name end)/$1$2$var_file$3/s;

	# Make new config file
	open(TOC,">./config.cgi") || &show::set_new_file_name_error("※設定ファイル（config.cgi）が新規作成できません。");
		binmode TOC;
		# Set formdata & overwrite
		flock(TOC,2);
		print TOC $config;
		flock(TOC,8);
	close(TOC);
	if((chmod 0644,"./config.cgi") == 0){
		&show::set_new_file_name_error("※config.cgiのパーミッションが変更できません。");
	}
	if((chmod 0644,"./def_config.cgi") == 0){
		&show::set_new_file_name_error("※def_config.cgiのパーミッションが変更できません。");
	}
}
1;

